2009-11-04  Rene Milk <koshi@springlobby.info>

	* src/utils/platform.cpp: fix windows build error

2009-11-04  Rene Milk <koshi@springlobby.info>

	* src/utils/platform.cpp, src/utils/platform.h: fix wrong
	shellexecuteex verb on pre vista

2009-11-03  Rene Milk <koshi@springlobby.info>

	* : commit 4c10d263711a84ca8f535c70398814432e1e4694 Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Nov 2 23:57:52 2009 +0100

2009-10-31  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h: fixes 1071

2009-10-30  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp, src/iunitsync.h,
	src/mapctrl.cpp, src/mapgridctrl.cpp, src/mapselectdialog.cpp,
	src/spring.cpp, src/springunitsync.cpp, src/springunitsynclib.cpp: 
	use a vector to hold start positions instead of array

2009-10-28  Rene Milk <koshi@springlobby.info>

	* src/mainoptionstab.cpp: fix tabs duplication in options

2009-10-27  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-10-27  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-10-27  Rene Milk <koshi@springlobby.info>

	* po/ar.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/en_US.po,
	po/es.po, po/fi.po, po/fr.po, po/it.po, po/pl.po, po/pt.po,
	po/ro.po, po/ru.po, po/springlobby.pot, po/sv.po, po/uk.po,
	po/zh_CN.po, src/settings++/panel_pathoption.cpp, src/settings.cpp: 
	apply mammadoris patches

2009-10-27  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp: cbp change

2009-10-26  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-10-26  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-10-26  Rene Milk <koshi@springlobby.info>

	* src/images/replay_icon.png.h: fix BIG replay icon

2009-10-25  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp: only honor GetShowXallTabs for ChatNotebook

2009-10-24  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp: refresh current chat tab after perspective
	load

2009-10-24  Rene Milk <koshi@springlobby.info>

	* : commit f3a29593ad9616d08257c9aea70a0d5d676538ec Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Oct 24 21:58:44 2009 +0200

2009-10-23  Andrea Piras <braindamage@springlobby.info>

	* : commit c3527c1cc4effac34befc3d455d7667bd336d6a9 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri Oct 23 16:17:17
	2009 +0200

2009-10-21  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: fixed ring with relayhosts

2009-10-21  Andrea Piras <braindamage@springlobby.info>

	* src/chatoptionstab.cpp: enable button to toggle irc color code
	parsing

2009-10-19  Andrea Piras <braindamage@springlobby.info>

	* : commit 840fe886f127f9fe820463e8dd6f6a2a61e7a355 Merge: 9a53ae1
	e535f2e Author: Andrea Piras <braindamage@springlobby.info> Date:
	Mon Oct 19 00:39:48 2009 +0200

2009-10-19  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: only copy the needed amount of startpositions

2009-10-19  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed typo

2009-10-19  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed random start pos never working

2009-10-19  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: less wtf and more compact code

2009-10-18  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: don't reinit random seed every iteration

2009-10-18  Andrea Piras <braindamage@springlobby.info>

	* src/battlemaptab.cpp: forgot to remove one limitation for
	relayhost start pos

2009-10-18  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: shuffle doesn't work yet, but random start pos
	won't crash relayhost anymore

2009-10-18  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: convert startpostype fixed to chose before game if
	using relayhost

2009-10-18  Andrea Piras <braindamage@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp, src/spring.cpp: write
	player's position on script.txt using map's coordinates if using
	startposing fixed or random

2009-10-18  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: correct playercount when using relayhosts

2009-10-17  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp: remove obsolete files from cbp

2009-10-17  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp, src/channel/channellistctrl.cpp,
	src/mmoptionwindows.cpp, src/serverevents.cpp: fix post merge
	problems

2009-10-17  Rene Milk <koshi@springlobby.info>

	* : commit 371bf7dd28521203095c3a7b0028fcdab7f67384 Merge: bd6b946
	330bff7 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Fri Oct 9 20:25:53 2009 +0200

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* po/POTFILES.in: removed file from buildsystem

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* : commit 2f89ae24ad3ada7310e92c93732747371197dbd2 Merge: 04708c3
	97bdcdc Author: Andrea Piras <braindamage@springlobby.info> Date:
	Fri Oct 9 19:03:45 2009 +0200

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: fixed column autosize for ai options

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: fixed column autosize for ai options

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: don't skip option 0 for ais

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: fixed AI options not being listed

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionswrapper.cpp: better debug log in ai options load

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionswrapper.cpp: fixed a bug where AI modoption index was
	not stored

2009-10-09  Andrea Piras <braindamage@springlobby.info>

	* po/ar.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/en_US.po,
	po/es.po, po/fi.po, po/it.po, po/pl.po, po/pt.po, po/ro.po,
	po/ru.po, po/sv.po, po/uk.po, po/zh_CN.po, src/addbotdialog.cpp,
	src/addbotdialog.h, src/ibattle.cpp, src/mmoptionwindows.cpp,
	src/mmoptionwindows.h: added AI options support

2009-10-07  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: use LOCALEDIR define for search path if
	available, fixes 1110

2009-10-07  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-09-16  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am, src/settings++/frame.cpp,
	src/settings++/frame.h, src/settings++/tab_debug.cpp,
	src/settings++/tab_debug.h: removed obsolete debug settings tab

2009-09-16  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: fixed build error

2009-09-14  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: don't report yourself as ingame if spring couldn't
	start

2009-09-14  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: apparently the autoquit function from command line
	in spring has been removed, fixed autohost mode

2009-09-13  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-09-13  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp, src/ui.cpp: fixes 1074

2009-09-13  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: fixes 1088

2009-09-12  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: don't corrupt arbitrary mute messages

2009-09-09  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-09-06  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-09-06  Rene Milk <koshi@springlobby.info>

	* : commit 9669a4f3c4b8f74c476e1802129e67a71bf3abee Merge: e5d2179
	801398e Author: Rene Milk <koshi@springlobby.info> Date:   Sun Sep 6
	13:06:12 2009 +0200

2009-09-01  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/serverevents.h, src/tasserver.cpp,
	src/user.h: support for rename-costant user ids

2009-09-01  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: diable crash hander on mac

2009-08-30  Andrea Piras <braindamage@springlobby.info>

	* src/battlelisttab.cpp, src/battleroomtab.cpp,
	src/hostbattledialog.cpp, src/mainoptionstab.cpp: use buttons
	aligned on the same side

2009-08-30  Andrea Piras <braindamage@springlobby.info>

	* src/battlelisttab.cpp: disable nat traversal when using relayhosts

2009-08-27  Andrea Piras <braindamage@springlobby.info>

	* src/flagimages.cpp: added fix for building SL on mac

2009-08-26  Rene Milk <koshi@springlobby.info>

	* Makefile.am: add Cmake file to autotools generated tarball

2009-08-24  Rene Milk <koshi@springlobby.info>

	* : commit 3a92df063cd023a7567b074c34f7732abf18d08a Merge: 46b5ad2
	b5dec44 Author: Rene Milk <koshi@springlobby.info> Date:   Mon Aug
	24 20:24:06 2009 +0200

2009-08-24  Rene Milk <koshi@springlobby.info>

	* tools/upload-temp-win-build_debug.sh: upload script w/o strip

2009-08-23  Andrea Piras <braindamage@springlobby.info>

	* src/channel/channellistctrl.cpp: autosize topic in channel list
	window

2009-08-22  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-08-22  Rene Milk <koshi@springlobby.info>

	* : commit 448fe2871bb2e0921e9db4018bc875f0fefc19c7 Merge: 4e2c162
	d3026c7 Author: Rene Milk <koshi@springlobby.info> Date:   Sat Aug
	22 15:35:35 2009 +0200

2009-08-22  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp: do not try to create updater dir if
	already present

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* : commit d3026c77eac798b5a328d29622fdb40ba7ddd430 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat Aug 22 14:51:29
	2009 +0200

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* : commit 4d69736352e6f858e5262d626b7d897621a175c1 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat Aug 22 14:23:09
	2009 +0200

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: added quote wrapping for shell execute

2009-08-22  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h, src/mapctrl.cpp, src/settings.cpp: 
	Revert "validate boxes again in data, since we cannot seem to trust
	UI data and might;ve been saved corrupted in settings" This reverts commit 90924dc324bf66005677a4dd0ae86e6385f5af3d.

2009-08-22  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: add popup on update finished

2009-08-22  Rene Milk <koshi@springlobby.info>

	* src/hostbattledialog.cpp, src/hostbattledialog.h: show currently
	selected RH as button label, hide the button if checkbox is
	unchecked Conflicts: 	src/hostbattledialog.cpp 	src/hostbattledialog.h

2009-08-22  Rene Milk <koshi@springlobby.info>

	* : commit fac8c18ce8cc63cacd64e7676e160222d0466904 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat Aug 22 02:22:47
	2009 +0200

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: fixed spring version request

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: strip http from download urls

2009-08-22  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: some improvements to the spring updater

2009-08-21  Rene Milk <koshi@springlobby.info>

	* : commit ff685c67d2842c0bb2fa0e0b11ede27e1a120a81 Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Aug 21 19:33:50 2009 +0200

2009-08-21  Rene Milk <koshi@springlobby.info>

	* : commit 0bcdf52679db809b63be532855f484d760421bee Merge: 28d4315
	241d766 Author: Rene Milk <koshi@springlobby.info> Date:   Fri Aug
	21 18:57:28 2009 +0200

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h, src/settings.cpp,
	src/settings.h: make use of layout names

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/Helper/wxtextctrlhist.cpp, src/battle.cpp,
	src/channel/autojoinchanneldialog.cpp, src/chatpanel.cpp,
	src/ibattle.cpp, src/mainwindow.cpp, src/mainwindow.h,
	src/mapselectdialog.cpp, src/playback/playbacklistctrl.cpp,
	src/serverevents.cpp, src/settings++/frame.cpp, src/settings.cpp,
	src/settings.h, src/spring.cpp, src/springunitsync.cpp,
	src/uiutils.cpp, src/widgets/downloadlistctrl.cpp: unsigned/signed
	comparision warnings fixed

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h: comments

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/maintorrenttab.cpp,
	src/playback/playbacktab.cpp, src/playback/playbacktab.h: make
	battlelist, playback and torrent tab properly scroll

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battleoptionstab.cpp,
	src/battleroommmoptionstab.cpp, src/battleroomtab.cpp,
	src/chatoptionstab.cpp, src/lobbyoptionstab.cpp,
	src/mainchattab.cpp, src/mainjoinbattletab.cpp,
	src/mainoptionstab.cpp, src/mainsingleplayertab.cpp,
	src/maintorrenttab.cpp, src/settings++/tab_abstract.cpp,
	src/singleplayertab.cpp, src/springoptionstab.cpp,
	src/torrentoptionspanel.cpp, src/utils/controls.h: use a globally
	defined scroll rate for scrolwins

2009-08-21  Rene Milk <koshi@springlobby.info>

	* po/POTFILES.in: fix distcheck

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/mainchattab.cpp, src/mainchattab.h, src/mainwindow.cpp: chat
	tab stubs

2009-08-21  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h, src/mapctrl.cpp, src/settings.cpp: 
	validate boxes again in data, since we cannot seem to trust UI data
	and might;ve been saved corrupted in settings

2009-08-20  Rene Milk <koshi@springlobby.info>

	* src/mainjoinbattletab.cpp, src/mainjoinbattletab.h,
	src/mainwindow.cpp: autosaveload works using diff profiles for in
	battle and other

2009-08-20  Rene Milk <koshi@springlobby.info>

	* : commit 49bc56c5b754ca434af6c77403cb5b5540185670 Author: Rene
	Milk <koshi@springlobby.info> Date:   Thu Aug 20 21:43:07 2009 +0200

2009-08-20  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master' into rc2 Conflicts: 	src/battlelisttab.cpp 	src/hostbattledialog.cpp 	src/hostbattledialog.h

2009-08-20  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp, src/chatpanel.cpp,
	src/spring.cpp: fix merge aritifacts Signed-off-by: Rene Milk <koshi@springlobby.info>

2009-08-20  Rene Milk <koshi@springlobby.info>

	* : commit 2d899b7ac131c330bc9d34ea16988929410207cf Merge: 76d7d77
	21b41c2 Author: Rene Milk <koshi@springlobby.info> Date:   Thu Aug
	20 19:27:05 2009 +0200

2009-08-20  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed logic error

2009-08-20  Rene Milk <koshi@springlobby.info>

	* Makefile.am, cmake/libtorrent.cmake, po/POTFILES.in, po/ar.po,
	po/cs.po, po/da.po, po/de.po, po/el.po, po/en_US.po, po/es.po,
	po/fi.po, po/fr.po, po/it.po, po/pl.po, po/pt.po, po/ro.po,
	po/ru.po, po/springlobby.pot, po/sv.po, po/uk.po, po/zh_CN.po,
	src/Helper/tasclientimport.cpp, src/libtorrent/asio.hpp,
	src/libtorrent/asio/basic_raw_socket.hpp,
	src/libtorrent/asio/basic_serial_port.hpp,
	src/libtorrent/asio/basic_socket.hpp,
	src/libtorrent/asio/buffer.hpp,
	src/libtorrent/asio/buffers_iterator.hpp,
	src/libtorrent/asio/detail/deadline_timer_service.hpp,
	src/libtorrent/asio/detail/descriptor_ops.hpp,
	src/libtorrent/asio/detail/dev_poll_reactor.hpp,
	src/libtorrent/asio/detail/epoll_reactor.hpp,
	src/libtorrent/asio/detail/handler_base_from_member.hpp,
	src/libtorrent/asio/detail/handler_queue.hpp,
	src/libtorrent/asio/detail/hash_map.hpp,
	src/libtorrent/asio/detail/indirect_handler_queue.hpp,
	src/libtorrent/asio/detail/kqueue_reactor.hpp,
	src/libtorrent/asio/detail/null_thread.hpp,
	src/libtorrent/asio/detail/old_win_sdk_compat.hpp,
	src/libtorrent/asio/detail/posix_thread.hpp,
	src/libtorrent/asio/detail/reactive_descriptor_service.hpp,
	src/libtorrent/asio/detail/reactive_serial_port_service.hpp,
	src/libtorrent/asio/detail/reactive_socket_service.hpp,
	src/libtorrent/asio/detail/reactor_op_queue.hpp,
	src/libtorrent/asio/detail/select_reactor.hpp,
	src/libtorrent/asio/detail/socket_types.hpp,
	src/libtorrent/asio/detail/strand_service.hpp,
	src/libtorrent/asio/detail/task_io_service.hpp,
	src/libtorrent/asio/detail/task_io_service_2lock.hpp,
	src/libtorrent/asio/detail/timer_queue.hpp,
	src/libtorrent/asio/detail/timer_queue_base.hpp,
	src/libtorrent/asio/detail/win_iocp_handle_service.hpp,
	src/libtorrent/asio/detail/win_iocp_io_service.hpp,
	src/libtorrent/asio/detail/win_iocp_serial_port_service.hpp,
	src/libtorrent/asio/detail/win_iocp_socket_service.hpp,
	src/libtorrent/asio/detail/win_thread.hpp,
	src/libtorrent/asio/detail/wince_thread.hpp,
	src/libtorrent/asio/detail/wrapped_handler.hpp,
	src/libtorrent/asio/handler_alloc_hook.hpp,
	src/libtorrent/asio/impl/read_at.ipp,
	src/libtorrent/asio/impl/read_until.ipp,
	src/libtorrent/asio/impl/serial_port_base.ipp,
	src/libtorrent/asio/impl/write_at.ipp,
	src/libtorrent/asio/io_service.hpp,
	src/libtorrent/asio/ip/icmp.hpp,
	src/libtorrent/asio/ip/resolver_query_base.hpp,
	src/libtorrent/asio/local/basic_endpoint.hpp,
	src/libtorrent/asio/raw_socket_service.hpp,
	src/libtorrent/asio/read.hpp, src/libtorrent/asio/read_at.hpp,
	src/libtorrent/asio/read_until.hpp,
	src/libtorrent/asio/serial_port.hpp,
	src/libtorrent/asio/serial_port_base.hpp,
	src/libtorrent/asio/serial_port_service.hpp,
	src/libtorrent/asio/ssl/basic_context.hpp,
	src/libtorrent/asio/ssl/context_base.hpp,
	src/libtorrent/asio/ssl/context_service.hpp,
	src/libtorrent/asio/ssl/detail/openssl_context_service.hpp,
	src/libtorrent/asio/ssl/detail/openssl_init.hpp,
	src/libtorrent/asio/ssl/detail/openssl_operation.hpp,
	src/libtorrent/asio/ssl/detail/openssl_types.hpp,
	src/libtorrent/asio/ssl/stream_base.hpp,
	src/libtorrent/asio/thread.hpp, src/libtorrent/asio/version.hpp,
	src/libtorrent/asio/windows/basic_random_access_handle.hpp,
	src/libtorrent/asio/windows/random_access_handle.hpp,
	src/libtorrent/asio/windows/random_access_handle_service.hpp,
	src/libtorrent/asio/write.hpp, src/libtorrent/asio/write_at.hpp,
	src/libtorrent/include/libtorrent/GeoIP.h,
	src/libtorrent/include/libtorrent/alert.hpp,
	src/libtorrent/include/libtorrent/alert_types.hpp,
	src/libtorrent/include/libtorrent/asio.hpp,
	src/libtorrent/include/libtorrent/assert.hpp,
	src/libtorrent/include/libtorrent/aux_/session_impl.hpp,
	src/libtorrent/include/libtorrent/bandwidth_manager.hpp,
	src/libtorrent/include/libtorrent/bencode.hpp,
	src/libtorrent/include/libtorrent/bitfield.hpp,
	src/libtorrent/include/libtorrent/broadcast_socket.hpp,
	src/libtorrent/include/libtorrent/bt_peer_connection.hpp,
	src/libtorrent/include/libtorrent/buffer.hpp,
	src/libtorrent/include/libtorrent/chained_buffer.hpp,
	src/libtorrent/include/libtorrent/config.hpp,
	src/libtorrent/include/libtorrent/connection_queue.hpp,
	src/libtorrent/include/libtorrent/create_torrent.hpp,
	src/libtorrent/include/libtorrent/debug.hpp,
	src/libtorrent/include/libtorrent/disk_buffer_holder.hpp,
	src/libtorrent/include/libtorrent/disk_io_thread.hpp,
	src/libtorrent/include/libtorrent/entry.hpp,
	src/libtorrent/include/libtorrent/enum_net.hpp,
	src/libtorrent/include/libtorrent/error_code.hpp,
	src/libtorrent/include/libtorrent/escape_string.hpp,
	src/libtorrent/include/libtorrent/extensions.hpp,
	src/libtorrent/include/libtorrent/extensions/smart_ban.hpp,
	src/libtorrent/include/libtorrent/extensions/ut_metadata.hpp,
	src/libtorrent/include/libtorrent/file.hpp,
	src/libtorrent/include/libtorrent/file_pool.hpp,
	src/libtorrent/include/libtorrent/file_storage.hpp,
	src/libtorrent/include/libtorrent/gzip.hpp,
	src/libtorrent/include/libtorrent/hasher.hpp,
	src/libtorrent/include/libtorrent/http_connection.hpp,
	src/libtorrent/include/libtorrent/http_parser.hpp,
	src/libtorrent/include/libtorrent/http_stream.hpp,
	src/libtorrent/include/libtorrent/http_tracker_connection.hpp,
	src/libtorrent/include/libtorrent/instantiate_connection.hpp,
	src/libtorrent/include/libtorrent/intrusive_ptr_base.hpp,
	src/libtorrent/include/libtorrent/invariant_check.hpp,
	src/libtorrent/include/libtorrent/kademlia/closest_nodes.hpp,
	src/libtorrent/include/libtorrent/kademlia/dht_tracker.hpp,
	src/libtorrent/include/libtorrent/kademlia/find_data.hpp,
	src/libtorrent/include/libtorrent/kademlia/msg.hpp,
	src/libtorrent/include/libtorrent/kademlia/node.hpp,
	src/libtorrent/include/libtorrent/kademlia/node_entry.hpp,
	src/libtorrent/include/libtorrent/kademlia/observer.hpp,
	src/libtorrent/include/libtorrent/kademlia/packet_iterator.hpp,
	src/libtorrent/include/libtorrent/kademlia/routing_table.hpp,
	src/libtorrent/include/libtorrent/kademlia/rpc_manager.hpp,
	src/libtorrent/include/libtorrent/lazy_entry.hpp,
	src/libtorrent/include/libtorrent/lsd.hpp,
	src/libtorrent/include/libtorrent/magnet_uri.hpp,
	src/libtorrent/include/libtorrent/natpmp.hpp,
	src/libtorrent/include/libtorrent/parse_url.hpp,
	src/libtorrent/include/libtorrent/pch.hpp,
	src/libtorrent/include/libtorrent/pe_crypto.hpp,
	src/libtorrent/include/libtorrent/peer_connection.hpp,
	src/libtorrent/include/libtorrent/peer_id.hpp,
	src/libtorrent/include/libtorrent/peer_info.hpp,
	src/libtorrent/include/libtorrent/piece_picker.hpp,
	src/libtorrent/include/libtorrent/policy.hpp,
	src/libtorrent/include/libtorrent/proxy_base.hpp,
	src/libtorrent/include/libtorrent/session.hpp,
	src/libtorrent/include/libtorrent/session_settings.hpp,
	src/libtorrent/include/libtorrent/session_status.hpp,
	src/libtorrent/include/libtorrent/size_type.hpp,
	src/libtorrent/include/libtorrent/socket.hpp,
	src/libtorrent/include/libtorrent/socks4_stream.hpp,
	src/libtorrent/include/libtorrent/socks5_stream.hpp,
	src/libtorrent/include/libtorrent/ssl_stream.hpp,
	src/libtorrent/include/libtorrent/stat.hpp,
	src/libtorrent/include/libtorrent/storage.hpp,
	src/libtorrent/include/libtorrent/time.hpp,
	src/libtorrent/include/libtorrent/torrent.hpp,
	src/libtorrent/include/libtorrent/torrent_handle.hpp,
	src/libtorrent/include/libtorrent/torrent_info.hpp,
	src/libtorrent/include/libtorrent/tracker_manager.hpp,
	src/libtorrent/include/libtorrent/udp_socket.hpp,
	src/libtorrent/include/libtorrent/udp_tracker_connection.hpp,
	src/libtorrent/include/libtorrent/upnp.hpp,
	src/libtorrent/include/libtorrent/variant_stream.hpp,
	src/libtorrent/include/libtorrent/version.hpp,
	src/libtorrent/include/libtorrent/web_peer_connection.hpp,
	src/libtorrent/include/libtorrent/xml_parse.hpp,
	src/libtorrent/src/GeoIP.c, src/libtorrent/src/Makefile.am,
	src/libtorrent/src/alert.cpp, src/libtorrent/src/assert.cpp,
	src/libtorrent/src/broadcast_socket.cpp,
	src/libtorrent/src/bt_peer_connection.cpp,
	src/libtorrent/src/connection_queue.cpp,
	src/libtorrent/src/create_torrent.cpp,
	src/libtorrent/src/disk_buffer_holder.cpp,
	src/libtorrent/src/disk_io_thread.cpp,
	src/libtorrent/src/entry.cpp, src/libtorrent/src/enum_net.cpp,
	src/libtorrent/src/error_code.cpp,
	src/libtorrent/src/escape_string.cpp, src/libtorrent/src/file.cpp,
	src/libtorrent/src/file_old.cpp, src/libtorrent/src/file_pool.cpp,
	src/libtorrent/src/file_storage.cpp, src/libtorrent/src/gzip.cpp,
	src/libtorrent/src/http_connection.cpp,
	src/libtorrent/src/http_parser.cpp,
	src/libtorrent/src/http_stream.cpp,
	src/libtorrent/src/http_tracker_connection.cpp,
	src/libtorrent/src/identify_client.cpp,
	src/libtorrent/src/instantiate_connection.cpp,
	src/libtorrent/src/kademlia/closest_nodes.cpp,
	src/libtorrent/src/kademlia/dht_tracker.cpp,
	src/libtorrent/src/kademlia/find_data.cpp,
	src/libtorrent/src/kademlia/node.cpp,
	src/libtorrent/src/kademlia/refresh.cpp,
	src/libtorrent/src/kademlia/routing_table.cpp,
	src/libtorrent/src/kademlia/rpc_manager.cpp,
	src/libtorrent/src/kademlia/traversal_algorithm.cpp,
	src/libtorrent/src/lazy_bdecode.cpp, src/libtorrent/src/logger.cpp,
	src/libtorrent/src/lsd.cpp, src/libtorrent/src/magnet_uri.cpp,
	src/libtorrent/src/metadata_transfer.cpp,
	src/libtorrent/src/natpmp.cpp, src/libtorrent/src/parse_url.cpp,
	src/libtorrent/src/pch.cpp, src/libtorrent/src/pe_crypto.cpp,
	src/libtorrent/src/peer_connection.cpp,
	src/libtorrent/src/piece_picker.cpp, src/libtorrent/src/policy.cpp,
	src/libtorrent/src/session.cpp,
	src/libtorrent/src/session_impl.cpp,
	src/libtorrent/src/smart_ban.cpp,
	src/libtorrent/src/socks4_stream.cpp,
	src/libtorrent/src/socks5_stream.cpp, src/libtorrent/src/stat.cpp,
	src/libtorrent/src/storage.cpp, src/libtorrent/src/torrent.cpp,
	src/libtorrent/src/torrent_handle.cpp,
	src/libtorrent/src/torrent_info.cpp,
	src/libtorrent/src/tracker_manager.cpp,
	src/libtorrent/src/udp_socket.cpp,
	src/libtorrent/src/udp_tracker_connection.cpp,
	src/libtorrent/src/upnp.cpp, src/libtorrent/src/ut_metadata.cpp,
	src/libtorrent/src/ut_pex.cpp,
	src/libtorrent/src/web_peer_connection.cpp,
	tools/update-potfileslist.sh: Revert "Merge branch 'libt-update'
	into updater_improvements" This reverts commit fb4c994d2121fbe8f709c616c966991d8bcd9842,
	reversing changes made to f6832b7818dcd386e4b2a0f8375e28b64afa020a.

2009-08-19  Rene Milk <koshi@springlobby.info>

	* Makefile.am: add missing image header

2009-08-19  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix makefile for settings changes

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/settings++/Main.cpp, src/settings.cpp, src/settings.h: fix
	settings pickung up wrong conf file on win, some naming in Settings
	corrected

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/spring.cpp: add existence check for spring binary before
	starting

2009-08-19  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, src/settings++/frame.cpp,
	src/settings++/panel_pathoption.cpp, src/settings++/se_utils.cpp,
	src/settings++/se_utils.h: change springsettings unitsync loading to
	use usync gloabl from SL Conflicts: 	src/settings++/se_utils.cpp

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/spring.cpp, src/ui.cpp: bring back the infolog on crash
	question and dbg report prototype

2009-08-17  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: don't update channel icon highlighst if tabs is
	visible

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/settings++/Main.cpp, src/settings.cpp, src/settings.h: fix
	settings pickung up wrong conf file on win, some naming in Settings
	corrected

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/spring.cpp: add existence check for spring binary before
	starting

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h, src/battleroomlistctrl.cpp,
	src/chatpanel.cpp, src/chatpanelmenu.cpp, src/chatpanelmenu.h,
	src/usermenu.h: fix usermenu in brommlistctrl

2009-08-19  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, src/settings++/frame.cpp,
	src/settings++/panel_pathoption.cpp, src/settings++/se_utils.cpp,
	src/settings++/se_utils.h: change springsettings unitsync loading to
	use usync gloabl from SL

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/spring.cpp, src/ui.cpp: bring back the infolog on crash
	question and dbg report prototype

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/mainjoinbattletab.cpp, src/mainoptionstab.cpp,
	src/mainsingleplayertab.cpp, src/mainwindow.cpp: mostly works, some
	quirks with layout after laod reamin

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/mainjoinbattletab.cpp, src/mainjoinbattletab.h,
	src/mainoptionstab.cpp, src/mainoptionstab.h,
	src/mainsingleplayertab.cpp, src/mainwindow.cpp, src/mainwindow.h: 
	battle,sp,and otpionstab load/save works

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h, src/mainchattab.cpp,
	src/mainjoinbattletab.cpp, src/mainoptionstab.cpp,
	src/mainsingleplayertab.cpp, src/mainsingleplayertab.h,
	src/mainwindow.cpp, src/settings.cpp, src/settings.h,
	src/widgets/infopanel.cpp: preperations for all around layout saving

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/mainchattab.cpp, src/mainwindow.cpp: save load ,_func_tabs

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/mainchattab.cpp: add load/save

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h, src/settings.cpp,
	src/settings.h: add a patch from wx trac that might give perspection
	saving on chat tabs

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp: tried a couple more non working poss to
	disallow tab splitting

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h: add new tab menu entry

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h, src/chatpanelmenu.h: tab
	header menus work, a sigbart/segv remains on destr

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp: add chanserv too

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/chatpanelmenu.cpp, src/usermenu.h: shit
	works

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h, src/chatpanelmenu.cpp,
	src/chatpanelmenu.h: a bit working

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/chatpanelmenu.cpp, src/chatpanelmenu.h, src/usermenu.h: still
	nothing

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/chatpanel.cpp, src/chatpanelmenu.cpp,
	src/chatpanelmenu.h: still not wokring

2009-08-19  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/chatpanel.cpp, src/chatpanel.h,
	src/chatpanelmenu.cpp, src/chatpanelmenu.h, src/nicklistctrl.cpp,
	src/nicklistctrl.h, src/usermenu.h: shits not working

2009-08-19  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp, src/aui/slbook.cpp,
	src/chatpanel.cpp, src/chatpanel.h, src/chatpanelmenu.cpp,
	src/chatpanelmenu.h, src/server.cpp: split menu from chatpanel.cpp

2009-08-18  Rene Milk <koshi@springlobby.info>

	* src/settings++/se_utils.cpp, src/settings.cpp: code format

2009-08-18  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/aui/slbook.h, src/chatpanel.cpp,
	src/chatpanel.h, src/mainchattab.cpp, src/mainchattab.h,
	src/usermenu.h: on the way to factoring out the menu stuff from
	chatpanel

2009-08-18  Andrea Piras <braindamage@springlobby.info>

	* src/server.cpp, src/tasserver.cpp, src/tasserver.h: listing
	actually works now

2009-08-18  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed script generation when using relayhosts

2009-08-18  Andrea Piras <braindamage@springlobby.info>

	* src/hostbattledialog.cpp, src/hostbattledialog.h, src/server.cpp,
	src/server.h, src/settings.cpp, src/tasserver.cpp: now the user can
	pick the relayhost manually from the hosting dialog

2009-08-18  Andrea Piras <braindamage@springlobby.info>

	* src/battlelisttab.cpp, src/ibattle.h, src/tasserver.cpp: fixed
	some indentation fuckup

2009-08-12  Tiziano <tiziano@tizbac.dyndns.org>

	* src/battlelisttab.cpp, src/hostbattledialog.cpp,
	src/hostbattledialog.h, src/ibattle.h, src/settings.cpp,
	src/settings.h, src/tasserver.cpp: Now user can choose the
	relayhostmanager to use when hosting

2009-08-17  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: don't update channel icon highlighst if tabs is
	visible

2009-08-17  Rene Milk <koshi@springlobby.info>

	* src/channel/channellistctrl.cpp, src/customvirtlistctrl.cpp,
	src/customvirtlistctrl.h: trying to get rid of the width issues on
	win

2009-08-17  Rene Milk <koshi@springlobby.info>

	* src/hostbattledialog.cpp, src/hostbattledialog.h: implement reload
	button in host battle dialog

2009-08-17  Rene Milk <koshi@springlobby.info>

	* src/hostbattledialog.cpp, src/hostbattledialog.h,
	src/images/arrow_refresh.png.h: improve hostbattle dialog layout
	(again??)

2009-08-17  Andrea Piras <braindamage@springlobby.info>

	* : commit 30adc8ace8fd801a764e8aea8ac32afa372009f9 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Aug 15 15:54:00 2009 +0200

2009-08-15  Rene Milk <koshi@springlobby.info>

	* src/ui.cpp: Revert "disable dbg report for spring" This reverts commit 689ac4f2ff4c159cd0746996d76996fa8712c52b.

2009-08-15  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battlemaptab.h, src/battleroomtab.cpp,
	src/battleroomtab.h: fixes 1010

2009-08-15  Tiziano <tiziano@tizbac.dyndns.org>

	* src/chatpanel.cpp: Preserve custom bold from settings when using
	irc colors Implemented escape code 0x0f to pop any formatting

2009-08-12  Tiziano <tiziano@tizbac.dyndns.org>

	* src/chatpanel.cpp: Fix the exploit & apply patch on IRC Colors
	parser

2009-08-15  Rene Milk <koshi@springlobby.info>

	* src/lobbyoptionstab.cpp: fix checkbox label cut off

2009-08-15  Rene Milk <koshi@springlobby.info>

	* src/aui/slbook.cpp, src/lobbyoptionstab.cpp,
	src/lobbyoptionstab.h, src/settings.cpp, src/settings.h: optional
	close button on all tabs, fixes 919

2009-08-15  Rene Milk <koshi@springlobby.info>

	* src/tasserver.cpp: possible fix for empty ADDBOT

2009-08-14  Rene Milk <koshi@springlobby.info>

	* src/settings.cpp: try to use notepad as default editor on msw

2009-08-14  Rene Milk <koshi@springlobby.info>

	* src/ui.cpp: disable dbg report for spring

2009-08-14  Rene Milk <koshi@springlobby.info>

	* src/spring.cpp, src/springprocess.cpp, src/springprocess.h,
	src/ui.cpp, src/ui.h: first version of debug report for crashed
	spring

2009-08-14  Rene Milk <koshi@springlobby.info>

	* src/chatlog.cpp, src/ui.cpp, src/ui.h, src/uiutils.cpp,
	src/uiutils.h: a little restrucuring to not make springsettings
	depend uppon Ui and mainwindow

2009-08-14  Rene Milk <koshi@springlobby.info>

	* src/chatlog.cpp, src/chatlog.h, src/chatpanel.cpp,
	src/chatpanel.h, src/lobbyoptionstab.cpp, src/lobbyoptionstab.h,
	src/settings.cpp, src/settings.h, src/uiutils.cpp, src/uiutils.h: 
	implemented opening chtalogs in external editor, fixes 844

2009-08-12  Rene Milk <koshi@springlobby.info>

	* : commit b3a65b106c1dc3df771c8bccb4b2e44301016953 Merge: 3c024b7
	e1a495e Author: Rene Milk <koshi@springlobby.info> Date:   Wed Aug
	12 12:44:43 2009 +0200

2009-08-12  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: temp disable sounds cause
	build env is fubar

2009-08-11  Rene Milk <koshi@springlobby.info>

	* src/chatoptionstab.cpp, src/chatpanel.cpp: disable irc colors in
	chatpanel due to possible inf loop

2009-08-08  Rene Milk <koshi@springlobby.info>

	* src/maintorrenttab.cpp: fix conflict resolution error

2009-08-08  Rene Milk <koshi@springlobby.info>

	* : commit 07001790c64ac2b44bcfa5f086fa26c44220ea1a Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Aug 7 16:38:17 2009 +0200

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/agreementdialog.cpp, src/autohost.cpp,
	src/battlelistfilter.cpp, src/battlelisttab.cpp,
	src/battlemaptab.cpp, src/battleoptionstab.cpp,
	src/battleroomtab.cpp, src/battleroomtab.h, src/chatlog.cpp,
	src/chatoptionstab.cpp, src/flagimages.cpp,
	src/hostbattledialog.cpp, src/hostbattledialog.h,
	src/httpdownloader.cpp, src/httpdownloader.h,
	src/lobbyoptionstab.cpp, src/mainchattab.cpp,
	src/mainjoinbattletab.cpp, src/mainoptionstab.cpp,
	src/mainoptionstab.h, src/mainsingleplayertab.cpp,
	src/maintorrenttab.cpp, src/mapselectdialog.cpp,
	src/mmoptionwindows.cpp, src/nicklistctrl.cpp,
	src/playback/playbacktab.cpp, src/settings.cpp,
	src/springoptionstab.cpp, src/springprocess.cpp,
	src/tdfcontainer.cpp, src/tdfcontainer.h, src/thread.cpp: code
	formatting

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/playback/playbacktab.cpp: fixes 1044

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/hostbattledialog.cpp, src/hostbattledialog.h: completely
	remove fw test, fixes 1001

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/tasserver.cpp: disabled time out assumption

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/addbotdialog.cpp, src/channel/channelchooser.cpp: a couple
	more v aligns

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/chatoptionstab.cpp, src/groupoptionspanel.cpp,
	src/torrentoptionspanel.cpp: more alignement fixes

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: v-align preset selection combo

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/singleplayertab.cpp: proper label align in sptab

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: fix optiontab layout when only one
	string option has no section defined

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp: vertical center labels

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/connectwindow.cpp: language fix

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp: make error msg on updater exe replace
	fail a bit more clear

2009-08-07  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: default to loglevel 3 if gui logging is
	enabled, 5 otherwise

2009-08-07  Rene Milk <koshi@springlobby.info>

	* : commit d169092b4e94c970ca3466a4abd17fd06235d341 Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Aug 7 00:06:12 2009 +0200

2009-08-06  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.h, src/gui/skirmish_dialog.cpp: close the
	simple interface when moving to adavanced singleplayer

2009-08-06  Rene Milk <koshi@springlobby.info>

	* : commit 6ef098bd96b613cad07ec778a15d5513dfbc162b Author: Rene
	Milk <koshi@springlobby.info> Date:   Thu Aug 6 21:28:29 2009 +0200

2009-07-27  Rene Milk <koshi@springlobby.info>

	* tools/addFileToBuildsystems.sh: new script to easily add existing
	source files to git adn buildsystems

2009-08-06  Rene Milk <koshi@springlobby.info>

	* src/boost/README.txt, src/boost/md5.cpp, src/boost/md5.hpp,
	src/tasserver.cpp: working stuff

2009-08-05  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp, src/aui/slbook.cpp,
	src/aui/slbook.h, src/chatpanel.cpp, src/chatpanel.h,
	src/mainchattab.cpp, src/mainchattab.h, src/mainjoinbattletab.cpp,
	src/mainjoinbattletab.h, src/mainoptionstab.cpp,
	src/mainoptionstab.h, src/mainsingleplayertab.cpp,
	src/mainsingleplayertab.h, src/mainwindow.cpp, src/mainwindow.h,
	src/widgets/infopanel.cpp, src/widgets/infopanel.h: <b>Fix crash
	when dragging tabs with desktop effects/composition enabled</b>

2009-08-05  Rene Milk <koshi@springlobby.info>

	* src/aui/auimanager.h, src/mainwindow.cpp: adds a dummy manager
	class, not used, but maybe useful in the future

2009-08-04  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp: dur, put include in wrong code path. now
	really fix no torrent compile

2009-08-04  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp: fix non-torrent build

2009-08-04  Rene Milk <koshi@springlobby.info>

	* : commit c2028b0af3369d9e29065e4b9a98dac37e172e36 Merge: 906cabe
	0dba501 Author: Rene Milk <koshi@springlobby.info> Date:   Tue Aug 4
	01:41:48 2009 +0200

2009-08-04  Rene Milk <koshi@springlobby.info>

	* src/ui.cpp: potential fix for 1042

2009-08-02  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp: msw idiocy workaround

2009-08-02  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp: don|t show help if url not set

2009-08-02  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp: use help url

2009-08-02  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/customizations.cpp, src/customizations.h,
	src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h,
	src/springlobbyapp.cpp: refactor lobby customizations into a
	singleton class

2009-08-02  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h: add help button

2009-08-02  Rene Milk <koshi@springlobby.info>

	* src/battle.cpp, src/battleroomlistctrl.cpp,
	src/battleroomtab.cpp, src/singleplayertab.cpp, src/uiutils.h: 
	remove useless define

2009-07-31  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h,
	src/utils/controls.cpp, src/utils/controls.h: finished skirmish
	panel rework

2009-07-31  Rene Milk <koshi@springlobby.info>

	* src/gui/gradientpanel.cpp, src/gui/gradientpanel.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h: pre-sizer
	change in sp panel

2009-07-31  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/gui/gradientpanel.cpp, src/gui/gradientpanel.h,
	src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h: better
	looking sp panel

2009-07-31  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/wxgradientbutton.cpp, src/gui/wxgradientbutton.h,
	src/springlobbyapp.cpp, src/ui.cpp: use gradient buttons on simple
	front

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/springlobbyapp.cpp, src/ui.cpp,
	src/ui.h: phase out some welcome stuff to Ui, so i ca call it from
	simpleinterface too

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/crashreport.cpp, src/crashreport.h: remove uneeded header
	icludes

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: remove silly code duplication

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/springlobbyapp.h: add new cli args for
	modname to load customizations from and starting simpleinterface

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/wxbackgroundimage.h: warnings
	fixed

2009-07-30  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/gui/simplefrontbase.cpp, src/gui/simplefrontbase.h: remove
	obsolete files

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp: fix back button

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/skirmish_dialog.cpp: layout issue resolved

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/simplefrontbase.cpp, src/gui/simplefrontbase.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h: got rid of
	simplefront base class, made skirmish:dialog a panel to be added to
	simplefront frame

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp: implement random map choice

2009-07-30  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h: allow
	multiple ai libs per skirmish template

2009-07-29  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h,
	src/singleplayerbattle.cpp, src/singleplayerbattle.h: implemented
	player and AI side selection/setting

2009-07-29  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h: almost
	finished GUI

2009-07-29  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp: buildsystem fix

2009-07-29  Rene Milk <koshi@springlobby.info>

	* src/iunitsync.h, src/springunitsync.cpp, src/springunitsync.h: 
	implement loading arbitrary images from vfs

2009-07-29  Rene Milk <koshi@springlobby.info>

	* formbuilder/simplefront.fbp, src/gui/simplefront.cpp,
	src/gui/simplefrontbase.cpp, src/gui/simplefrontbase.h,
	src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h,
	src/images/replay_icon.png.h, src/images/s44.png.h,
	src/singleplayerbattle.cpp, src/singleplayerbattle.h,
	src/springunitsync.cpp: make size of simplefornt dpe on bg image

2009-07-29  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp, src/mmoptionswrapper.cpp,
	src/mmoptionswrapper.h, src/springlobbyapp.cpp,
	src/springunitsync.cpp, src/springunitsynclib.cpp,
	src/springunitsynclib.h: overwriting modoptions with values from
	custom loaded table works

2009-07-29  Rene Milk <koshi@springlobby.info>

	* formbuilder/simpleSP.fbp, src/gui/skirmish_dialog.cpp,
	src/mmoptionswrapper.cpp, src/mmoptionswrapper.h: implemented
	OptionWrapper merging

2009-07-28  Rene Milk <koshi@springlobby.info>

	* src/gui/skirmish_dialog.cpp, src/gui/skirmish_dialog.h,
	src/singleplayerbattle.cpp: launching SP works

2009-07-28  Rene Milk <koshi@springlobby.info>

	* src/spring.cpp, src/spring.h: being lazy and duplicated launch
	code for NoGuiSinglePlayerBattle

2009-07-28  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h, src/ibattle.h,
	src/singleplayerbattle.cpp, src/singleplayerbattle.h,
	src/springlobbyapp.cpp, src/springunitsync.cpp: lmost ready to
	launch singleplaer game from simple interface

2009-07-28  Rene Milk <koshi@springlobby.info>

	* src/iunitsync.h, src/mmoptionswrapper.cpp,
	src/mmoptionswrapper.h, src/springunitsync.cpp,
	src/springunitsync.h, src/springunitsynclib.cpp,
	src/springunitsynclib.h: loading skirmish list works

2009-07-28  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp: cbp update

2009-07-28  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/springlobbyapp.cpp, src/springlobbyapp.h,
	src/springunitsynclib.cpp, src/springunitsynclib.h: successfully
	load custom option table thru patched usync

2009-07-28  Rene Milk <koshi@springlobby.info>

	* formbuilder/simplefront.fbp: teh formbuilder file for simple
	frontend

2009-07-27  Rene Milk <koshi@springlobby.info>

	* src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/mainwindow.cpp, src/springlobbyapp.cpp: make simplefront
	actually do stuff

2009-07-27  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/gui/simplefront.cpp, src/gui/simplefrontbase.cpp,
	src/gui/simplefrontbase.h, src/gui/wxbackgroundimage.cpp,
	src/gui/wxbackgroundimage.h, src/images/s44.png.h,
	src/lobbyoptionstab.cpp: background grahpic example + support files

2009-07-27  Rene Milk <koshi@springlobby.info>

	* tools/addFileToBuildsystems.sh: new script to easily add existing
	source files to git adn buildsystems

2009-07-27  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/gui/simplefront.cpp, src/gui/simplefront.h,
	src/gui/simplefrontbase.cpp, src/gui/simplefrontbase.h: new files
	for simple greeeter frontend

2009-07-26  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp: proxy class for arecolours similar to allow
	custom mindiff in std::unique

2009-07-26  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp: fix for > 16 teams

2009-07-26  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp: seems to work

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: typo

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: correct code to skip an user's colour

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/getfreecolour' into getfreecolour Conflicts: 	src/ibattle.cpp

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed typo

2009-07-25  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp: fix compile

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: don't loop endlessy in getfreecolour if there is
	only 1 team

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/uiutils.cpp: tried to rewrite getfreecolour

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp, src/ibattle.h, src/uiutils.cpp: 
	fixed fixcolours for good

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: more fixes for fix colours

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed typo

2009-07-25  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: hopefulyl fixed team & ally & spec count

2009-07-25  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-even-more-build-dirs.sh: a script to create
	6 more build tests

2009-07-21  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: applied patch by wouter, thanks! fixes 1009

2009-07-20  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'buildbot/master'

2009-07-19  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'buildbot/master' into rc1

2009-07-19  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed random crash

2009-07-19  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: only assign new colours, team and ally if you're
	the host

2009-07-19  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed random crash

2009-07-19  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: only assign new colours, team and ally if you're
	the host

2009-07-19  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'buildbot/master' into rc1

2009-07-17  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/offlinebattle.cpp: more fixes for replay
	script parsing

2009-07-17  Rene Milk <koshi@springlobby.info>

	* src/playback/playbacklistctrl.cpp,
	src/playback/playbackstructs.h, src/playback/replaylist.cpp: 
	additionally save time_t from replay header to use in sorting

2009-07-17  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.h: fix wrong label for replay/savegame tab

2009-07-17  Andrea Piras <braindamage@springlobby.info>

	* src/offlinebattle.cpp: more fixes for replays

2009-07-17  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed parsing of ally in replays

2009-07-17  Andrea Piras <braindamage@springlobby.info>

	* src/offlinebattle.cpp, src/spring.cpp: some improvements for
	script.txt generation for replays

2009-07-17  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed broken script.txt generation

2009-07-15  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp: my own little wx29 build config for c::b

2009-07-15  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'insaneinside/master' into wxtrunk

2009-07-15  Andrea Piras <braindamage@springlobby.info>

	* : commit 58140dfc9b1dbad1b3dee6ad4035e89427e2d31f Merge: 49a1965
	8070720 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Wed Jul 15 12:58:48 2009 +0200

2009-07-15  Andrea Piras <braindamage@springlobby.info>

	* : commit 57876fd3d21ab6d65aa5d09a772bed58e22390a7 Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Jul 15 01:45:20 2009 +0200

2009-07-15  Rene Milk <koshi@springlobby.info>

	* src/torrentlistctrl.cpp: Merge commit 'ole/libt-update' into rc1 Conflicts: 	src/maintorrenttab.cpp 	src/torrentlistctrl.cpp

2009-07-14  Collin J. Sutton <collin.sutton@gmail.com>

	* src/battlelisttab.cpp: Corrected base class in BattleListTab event
	table declaration

2009-07-15  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'ole/libt-update' into wxtrunk Conflicts: 	src/maintorrenttab.cpp 	src/torrentlistctrl.cpp

2009-07-15  Rene Milk <koshi@springlobby.info>

	* : commit e8e6da337ff8eed102c74818f479c5c2f71d0b77 Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Jul 14 23:03:05 2009 +0200

2009-07-14  Rene Milk <koshi@springlobby.info>

	* src/mmoptionmodel.cpp: actual bugfix

2009-07-14  Rene Milk <koshi@springlobby.info>

	* src/playback/playbackthread.h: fix for gcc 4.3

2009-07-14  Rene Milk <koshi@springlobby.info>

	* Makefile.am, springlobby.cbp, src/battleroommmoptionstab.cpp,
	src/battleroomtab.cpp, src/connectwindow.cpp, src/defines.h,
	src/playback/playbackthread.h, src/settings.h: some minor fixes to
	build against wx-trunk

2009-07-13  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'insaneinside/master' into rc1

2009-07-13  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-07-12  Tommy Carlsson <tommyc@lavabit.com>

	* : Merge commit 'bd/master' Conflicts: 	src/channel/channel.cpp 	src/ui.cpp

2009-07-12  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: reduce tollerance when searching for new colours
	for bots

2009-07-12  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: append isfromdemo to bots too

2009-07-12  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: always enable ready check when not spec

2009-07-12  olemars <omsolaas@gmail.com>

	* : commit b28821d7679fbceae16f3a52ab265628a5e373f4 Author: olemars
	<omsolaas@gmail.com> Date:   Sun Jul 12 01:51:01 2009 +0200

2009-07-11  Collin J. Sutton <collin.sutton@gmail.com>

	* src/battlelistfilter.cpp: Fixed battle status filters (checkboxes)
	behavior.  Those filters are now evaluated ONLY when checked, and a battle is
	filtered out ONLY if it does NOT meet a condition.

2009-07-11  olemars <omsolaas@gmail.com>

	* src/torrentlistctrl.cpp, src/torrentwrapper.h: fixed some
	programming-at-2AM code, changed column widths

2009-07-10  Rene Milk <koshi@springlobby.info>

	* : commit f6832b7818dcd386e4b2a0f8375e28b64afa020a Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Jul 10 02:19:16 2009 +0200

2009-07-10  Rene Milk <koshi@springlobby.info>

	* : commit 008020637e38dfa28bce4c86848a0efa8eb174d0 Merge: 3b18d57
	17bacf0 Author: Rene Milk <koshi@springlobby.info> Date:   Fri Jul
	10 02:04:15 2009 +0200

2009-07-10  Rene Milk <koshi@springlobby.info>

	* : commit 1f0349c35e62337175eb1220ba5e215d9abcc988 Merge: 20165ed
	8070720 Author: Rene Milk <koshi@springlobby.info> Date:   Fri Jul
	10 01:55:59 2009 +0200

2009-07-10  Rene Milk <koshi@springlobby.info>

	* src/Helper/wxTranslationHelper.h, src/addbotdialog.h,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/iunitsync.h, src/mmoptionmodel.h, src/server.h,
	src/settings++/custom_dialogs.h, src/settings.h,
	src/springunitsynclib.h, src/ui.h, src/user.h: - copy-protected some classes

2009-07-10  Rene Milk <koshi@springlobby.info>

	* src/Helper/imageviewer.cpp, src/Helper/wxtextctrlhist.cpp,
	src/addbotdialog.cpp, src/agreementdialog.cpp,
	src/aui/artprovider.cpp, src/autobalancedialog.cpp,
	src/autohost.cpp, src/battle.cpp, src/battlelistctrl.cpp,
	src/battlelistfilter.cpp, src/battlelisttab.cpp,
	src/battlemaptab.cpp, src/battleoptionstab.cpp,
	src/battleroomlistctrl.cpp, src/battleroommmoptionstab.cpp,
	src/battleroomtab.cpp, src/boost/md5.cpp,
	src/channel/autojoinchanneldialog.cpp,
	src/channel/channelchooser.cpp, src/channel/channellistctrl.cpp,
	src/channel/channellistctrl.h, src/chatoptionstab.cpp,
	src/chatpanel.cpp, src/customlistctrl.cpp,
	src/customvirtlistctrl.cpp, src/filelister/filelistctrl.cpp,
	src/filelister/filelistdialog.cpp, src/groupoptionspanel.cpp,
	src/hostbattledialog.cpp, src/ibattle.cpp, src/iconimagelist.cpp,
	src/inetclass.h, src/lobbyoptionstab.cpp, src/maintorrenttab.cpp,
	src/mainwindow.cpp, src/mapctrl.cpp, src/mapgridctrl.cpp,
	src/mapselectdialog.cpp, src/mmoptionwindows.cpp,
	src/nicklistctrl.cpp, src/playback/playbackfilter.cpp,
	src/playback/playbacklistctrl.cpp, src/playback/playbacklistctrl.h,
	src/playback/playbacktab.cpp, src/selectusersdialog.cpp,
	src/serverevents.cpp, src/settings++/custom_dialogs.cpp,
	src/settings++/frame.cpp, src/settings++/panel_pathoption.cpp,
	src/settings++/tab_abstract.cpp, src/settings++/tab_audio.cpp,
	src/settings++/tab_ui.cpp, src/settings.cpp, src/settings.h,
	src/singleplayerbattle.h, src/singleplayertab.cpp, src/spring.cpp,
	src/springoptionstab.cpp, src/springunitsynclib.cpp,
	src/tasserver.cpp, src/tdfcontainer.cpp, src/torrentlistctrl.cpp,
	src/torrentoptionspanel.cpp, src/torrentwrapper.cpp, src/ui.cpp,
	src/uiutils.cpp, src/updater/updater.cpp, src/user.cpp,
	src/userlistctrl.cpp, src/utils/sltipwin.cpp,
	src/widgets/downloadlistctrl.cpp, src/widgets/downloadlistctrl.h,
	src/widgets/downloadpanel.cpp, src/widgets/infopanel.cpp: fix lots
	of unused parameter and missing default case warnings

2009-07-10  olemars <omsolaas@gmail.com>

	* src/torrentlistctrl.cpp: filter out seeds that aren't actually
	uploading

2009-07-10  olemars <omsolaas@gmail.com>

	* src/maintorrenttab.cpp, src/maintorrenttab.h,
	src/torrentlistctrl.cpp, src/torrentlistctrl.h,
	src/torrentwrapper.cpp, src/torrentwrapper.h: revamp getting
	somewhere usable

2009-07-10  Dmytry Lavrov <dmytrylk@gmail.com>

	* src/utils/events.h: Fixed segfault, updated comments

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelistctrl.h,
	src/battleroomlistctrl.cpp, src/battleroomlistctrl.h,
	src/channel/channellistctrl.cpp, src/channel/channellistctrl.h,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/mmoptionswrapper.cpp, src/nicklistctrl.cpp, src/nicklistctrl.h,
	src/settings.cpp, src/settings.h, src/uiutils.cpp, src/uiutils.h,
	src/userlist.h: some coding style fixes

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/utils/events.h: replaced code in event.h with new from dize

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/updater/updatermainwindow.cpp,
	src/updater/updatermainwindow.h, src/utils/platform.cpp: 
	updatermainwindow now beahving nicely

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/updater/updatermainwindow.cpp,
	src/utils/platform.cpp: trying to fix window display

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/updater/updatermainwindow.cpp: trying
	to get updater win to behave correctly

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp, src/updater/updatermainwindow.cpp,
	src/updater/updatermainwindow.h, src/utils/globalevents.h,
	src/utils/platform.cpp, src/utils/platform.h: notify update mainwin
	when update has finished

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/utils/activitynotice.cpp, src/utils/activitynotice.h: fix msw
	compile

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/updater/updater.cpp,
	src/updater/updater.h, src/updater/updatermainwindow.cpp: make all
	win OS use the seperate instance for updating

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/utils/customdialogs.cpp, src/utils/customdialogs.h: adds
	nonModal variant of timed messagebox

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/updater/updatermainwindow.cpp, src/utils/customdialogs.cpp,
	src/utils/customdialogs.h: new timedMessageBox, that is uncloseable
	for X seconds

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/Helper/slhtmlwindow.cpp, src/chatpanel.cpp,
	src/mainwindow.cpp, src/springlobbyapp.cpp, src/ui.cpp, src/ui.h,
	src/uiutils.cpp, src/uiutils.h, src/updater/updatermainwindow.cpp,
	src/updater/updatermainwindow.h, src/utils/activitynotice.cpp,
	src/utils/activitynotice.h, src/utils/math.h, src/utils/misc.cpp,
	src/widgets/downloadlistctrl.cpp: - move openbrowser to uiutils so i can use it w/o creating
	mainwindow - revamp act. notice for definable gauge size - add a changelog button to updatermainwin

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/updater/updatermainwindow.cpp,
	src/updater/updatermainwindow.h: testing updaterwin

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/lobbyoptionstab.cpp, src/springlobbyapp.cpp,
	src/springlobbyapp.h, src/utils/activitynotice.h: new member win in
	springlobbyapp

2009-07-09  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/updater/updatermainwindow.cpp, src/updater/updatermainwindow.h: 
	new files for showing a toplevelwindow while updating

2009-07-09  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/utils/activitynotice.cpp, src/utils/activitynotice.h,
	src/utils/customdialogs.cpp, src/utils/customdialogs.h: seperate
	activity notice into own header/source

2009-07-09  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/Helper/imageviewer.cpp, src/Helper/wxTranslationHelper.cpp,
	src/addbotdialog.cpp, src/battle.cpp, src/battlelistctrl.cpp,
	src/battlelisttab.cpp, src/battleroomlistctrl.cpp,
	src/battleroommmoptionstab.cpp, src/battleroomtab.cpp,
	src/chatlog.cpp, src/chatpanel.cpp, src/connectwindow.cpp,
	src/customlistctrl.cpp, src/customvirtlistctrl.cpp,
	src/hostbattledialog.cpp, src/lobbyoptionstab.cpp,
	src/mainwindow.cpp, src/mmoptionswrapper.cpp,
	src/playback/playbacktab.cpp, src/playback/replaylist.cpp,
	src/playback/savegamelist.cpp, src/serverevents.cpp,
	src/settings++/custom_dialogs.cpp, src/settings++/custom_dialogs.h,
	src/settings++/frame.cpp, src/settings++/helpmenufunctions.cpp,
	src/settings++/panel_pathoption.cpp, src/settings++/se_utils.cpp,
	src/settings++/tab_abstract.cpp, src/settings.cpp,
	src/singleplayertab.cpp, src/springlobbyapp.cpp,
	src/springoptionstab.cpp, src/springunitsync.cpp,
	src/tasserver.cpp, src/torrentwrapper.cpp, src/ui.cpp,
	src/uiutils.cpp, src/updater/updater.cpp,
	src/updater/versionchecker.cpp, src/useractions.cpp,
	src/utils/customdialogs.cpp, src/utils/customdialogs.h,
	src/widgets/infopanel.cpp: move custom dialogs to a better place

2009-07-09  Rene Milk <koshi@springlobby.info>

	* : commit 16b62d6780f3bed18b3c8d3570af01ddcc9929b8 Merge: f98f87d
	a10fbb0 Author: Rene Milk <koshi@springlobby.info> Date:   Thu Jul 9
	11:59:03 2009 +0200

2009-07-09  olemars <omsolaas@gmail.com>

	* src/maintorrenttab.cpp, src/maintorrenttab.h,
	src/torrentlistctrl.cpp: minor cleanup

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/settings++/custom_dialogs.cpp,
	src/settings++/custom_dialogs.h: trying with auto pointer, scoped
	notice still not working

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/springunitsync.cpp: remove examples

2009-07-09  Rene Milk <koshi@springlobby.info>

	* src/settings++/custom_dialogs.cpp: simplfy static box
	deconstruction, add one forgotten

2009-07-09  Rene Milk <koshi@springlobby.info>

	* : commit f98f87d3e3110b39076400a6c0afb1728d77cf25 Author: Rene
	Milk <koshi@springlobby.info> Date:   Thu Jul 9 00:01:15 2009 +0200

2009-07-08  Andrea Piras <braindamage@springlobby.info>

	* src/uiutils.cpp: changed series using tobi's algorythm so that
	numbers are less adjacent now in the fixcolours palette

2009-07-08  Rene Milk <koshi@springlobby.info>

	* : commit f7b29951b5cc0fa351322a6d67dc5ae616d820af Merge: 9c1a1e4
	e6748aa Author: Rene Milk <koshi@springlobby.info> Date:   Wed Jul 8
	20:53:30 2009 +0200

2009-07-08  olemars <omsolaas@gmail.com>

	* : commit ccb798fed79b50b58ef25d3c5b2dd0d9cfc37481 Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Jul 8 20:08:38 2009 +0200

2009-07-08  olemars <omsolaas@gmail.com>

	* : commit 9c1a1e41a9455a3416f74b80f3590985f36c1b4c Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Jul 8 19:54:14 2009 +0200

2009-07-08  olemars <omsolaas@gmail.com>

	* src/torrentlistctrl.cpp: text change

2009-07-08  Andrea Piras <braindamage@springlobby.info>

	* : commit cf93e942f926dea010cd3aaadb7f034c1821b364 Author: Rene
	Milk <r_milk01@DUNE-PROJECT.uni-muenster.de> Date:   Wed Jul 8
	16:50:02 2009 +0200

2009-07-08  Andrea Piras <braindamage@springlobby.info>

	* src/uiutils.h: removed useless colour table

2009-07-08  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h: now getfreecolour uses the new
	palettes too

2009-07-08  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp, src/ibattle.h: now
	GetFixColoursPalette automagically returns the correct palette size

2009-07-08  Andrea Piras <braindamage@springlobby.info>

	* src/uiutils.cpp: reworked a bit the GetBigFixColoursPalette so it
	returns more various results

2009-07-08  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: fixes 988, putting sort indicator on
	wrong

2009-07-08  olemars <omsolaas@gmail.com>

	* src/torrentlistctrl.cpp: Fixed refresh a bit

2009-07-07  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: revert to correct timer id

2009-07-08  Rene Milk <koshi@springlobby.info>

	* : commit 8bfb8a7bc91d8cf7011d5e8eaf778d1749f2e20a Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Jul 7 23:09:16 2009 +0200

2009-07-07  Rene Milk <koshi@springlobby.info>

	* src/singleplayerbattle.cpp, src/singleplayertab.cpp: fix sp not
	starting with nickname set, fixes 806 Conflicts: 	src/singleplayertab.cpp

2009-07-07  olemars <omsolaas@gmail.com>

	* src/iunitsync.h, src/springunitsync.cpp, src/springunitsync.h: 
	moved event stuff from IUnitSync to SpringUnitSync

2009-07-07  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp, src/uiutils.cpp, src/uiutils.h: 
	fixed build and added function to generate more colors if too many
	players are present

2009-07-07  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/uiutils.cpp, src/uiutils.h: added function to
	generated big palette of colors to fix colors

2009-07-07  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed counting of teams and allies

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/singleplayertab.cpp, src/utils/conversion.cpp,
	src/utils/conversion.h: simplfy maplist filling Conflicts: 	src/singleplayertab.cpp 	src/springunitsync.h

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/utils/events.h: remove unnecessary header

2009-07-06  olemars <omsolaas@gmail.com>

	* src/maintorrenttab.cpp, src/maintorrenttab.h,
	src/torrentlistctrl.cpp, src/torrentlistctrl.h,
	src/torrentwrapper.cpp: WiP - porting torrentlistctrl to
	virtlistctrl

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp, src/httpdownloader.cpp, src/mapctrl.cpp,
	src/singleplayertab.cpp: getting weird abort on torrent complete

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/singleplayertab.cpp, src/springunitsync.h,
	src/utils/conversion.cpp, src/utils/conversion.h: simplfy maplist
	filling

2009-07-06  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/globaleventshandler.cpp, src/globaleventshandler.h: remove
	obsolete files

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/globaleventshandler.cpp, src/globaleventshandler.h,
	src/mainwindow.cpp, src/mapctrl.cpp, src/playback/playbacktab.cpp,
	src/springlobbyapp.cpp, src/ui.cpp, src/ui.h: trigger all unitsync
	reloads via events

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/iunitsync.h, src/singleplayertab.cpp, src/springlobbyapp.cpp,
	src/springunitsync.h, src/torrentwrapper.cpp,
	src/utils/globalevents.h: trying events for triggering unitsync
	reload

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp: resolve deadlock

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelistctrl.h,
	src/battlelisttab.cpp, src/battlelisttab.h, src/battlemaptab.cpp,
	src/battlemaptab.h, src/battleoptionstab.cpp,
	src/battleoptionstab.h, src/battleroomlistctrl.cpp,
	src/battleroomlistctrl.h, src/battleroomtab.cpp,
	src/battleroomtab.h, src/channel/channel.cpp,
	src/channel/channel.h, src/chatoptionstab.cpp,
	src/chatoptionstab.h, src/chatpanel.cpp, src/chatpanel.h,
	src/mainchattab.cpp, src/mainchattab.h, src/mainjoinbattletab.cpp,
	src/mainjoinbattletab.h, src/mainoptionstab.cpp,
	src/mainoptionstab.h, src/mainsingleplayertab.cpp,
	src/mainsingleplayertab.h, src/maintorrenttab.cpp,
	src/maintorrenttab.h, src/mainwindow.cpp, src/mainwindow.h,
	src/mapctrl.cpp, src/mapctrl.h, src/mapgridctrl.cpp,
	src/mapgridctrl.h, src/mapselectdialog.cpp, src/mapselectdialog.h,
	src/mmoptionwindows.cpp, src/mmoptionwindows.h,
	src/playback/playbacktab.cpp, src/playback/playbacktab.h,
	src/server.cpp, src/singleplayerbattle.cpp,
	src/singleplayerbattle.h, src/singleplayertab.cpp,
	src/singleplayertab.h, src/springoptionstab.cpp,
	src/springoptionstab.h, src/torrentlistctrl.cpp,
	src/torrentlistctrl.h, src/torrentoptionspanel.cpp,
	src/torrentoptionspanel.h, src/ui.cpp, src/ui.h: reduce compile time
	by 17% when only doing a single change in Ui.h all Ui member refs
	removed in favor of the global, all unnesseray ui.h includes gone

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/battlemaptab.h: remove extra updates of
	battle/minimap, those do themselves now

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/addbotdialog.h, src/battlemaptab.cpp, src/ibattle.h,
	src/mainjoinbattletab.cpp, src/mainjoinbattletab.h,
	src/mainwindow.cpp, src/singleplayertab.cpp, src/singleplayertab.h,
	src/springoptionstab.cpp, src/ui.cpp, src/ui.h: all unitsync
	reloading replaced with events

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/battlemaptab.cpp, src/battlemaptab.h,
	src/battleroomtab.cpp, src/battleroomtab.h, src/ibattle.cpp,
	src/ibattle.h, src/mainjoinbattletab.cpp, src/mainwindow.cpp,
	src/utils/isink.h: some more classes converted

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/tdfcontainer.cpp, src/tdfcontainer.h: same as last

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/utils/events.h: make dize's code more readable

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/utils/globalevents.cpp, src/utils/globalevents.h,
	src/utils/networkevents.cpp, src/utils/networkevents.h,
	src/utils/uievents.cpp, src/utils/uievents.h: more of teh same for
	other event subs

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/battlelisttab.h,
	src/springunitsync.cpp, src/utils/globalevents.cpp,
	src/utils/globalevents.h, src/utils/isink.h: fixes a very subtle
	nming issue by introducing seperate namespace

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/battlelisttab.h, src/utils/isink.h: 
	interface works

2009-07-06  Rene Milk <koshi@springlobby.info>

	* Makefile.am, springlobby.cbp, src/battlelisttab.cpp,
	src/battlelisttab.h, src/utils/isink.h: prototype unitsync sink
	interface

2009-07-06  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/globaleventshandler.cpp,
	src/httpdownloader.cpp, src/torrentwrapper.cpp,
	src/utils/networkevents.h: fix build

2009-07-06  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/globalevents.cpp, src/globalevents.h,
	src/globaleventshandler.cpp, src/globaleventshandler.h: rename files
	so autofools are happy

2009-07-06  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/utils/networkevents.cpp, src/utils/networkevents.h: forgot two
	files

2009-07-06  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, src/battlelisttab.cpp,
	src/battlelisttab.h, src/common/events.h,
	src/mainjoinbattletab.cpp, src/springunitsync.cpp,
	src/utils/events.h, src/utils/globalevents.cpp,
	src/utils/globalevents.h, src/utils/uievents.cpp,
	src/utils/uievents.h: ported unitsync reload event example from
	dysfunctional events branch

2009-07-06  Rene Milk <koshi@springlobby.info>

	* src/singleplayerbattle.h: comment useless func declarations

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp: timer stuff works now

2009-07-05  Rene Milk <koshi@springlobby.info>

	* : commit c14d95afe138bb0922d385930c7bcf4cf35e2766 Merge: eecaee3
	8f3ff09 Author: Rene Milk <koshi@springlobby.info> Date:   Sun Jul 5
	21:53:21 2009 +0200

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/mainchattab.cpp, src/mainchattab.h, src/mainwindow.cpp,
	src/ui.cpp: typo fix

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/battleroommmoptionstab.cpp, src/customvirtlistctrl.cpp,
	src/customvirtlistctrl.h, src/mainchattab.cpp, src/mainchattab.h,
	src/mainjoinbattletab.cpp, src/mainjoinbattletab.h,
	src/nicklistctrl.cpp, src/ui.cpp, src/ui.h: peridioc update tiemrs
	moved to customvirtlistctrl base -- not working corretcly yet

2009-07-05  olemars <omsolaas@gmail.com>

	* src/mainwindow.cpp: compile fix: wxLogStream only declared if
	wxUSE_STD_IOSTREAM is 1 (default 0)

2009-07-05  olemars <omsolaas@gmail.com>

	* : commit 9b7d7956a53b23414c41ebb96a93834321c7d2af Merge: 43f747a
	88f7eb3 Author: Rene Milk <koshi@springlobby.info> Date:   Sun Jul 5
	17:03:57 2009 +0200

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h: didn't mean to commit the
	focus event handler, it's not needed and potentially harmful

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h, src/mainchattab.cpp: focus
	input box when chat tabs have changed

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/settings.cpp: adda notice when col widths are adjusted after
	sett rev bump

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nonportable.h, src/settings.cpp, src/settings.h,
	src/springlobbyapp.cpp: bump sett rev with impl of transaltion for
	col sizes wrt dummy col move DUMMY_COL define to a more proper place

2009-07-05  olemars <omsolaas@gmail.com>

	* : commit 0a3b01e49a400df4bc85b9823a99b9142b2aa26f Author: olemars
	<omsolaas@gmail.com> Date:   Sun Jul 5 16:06:39 2009 +0200

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadlistctrl.cpp: fix col num in widgetdllist

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.h: had the define for dummy col _not_
	defined on win, but on all others

2009-07-05  Rene Milk <koshi@springlobby.info>

	* src/singleplayertab.cpp: insert trace output to start event sink
	in SP

2009-07-05  Rene Milk <koshi@springlobby.info>

	* : commit 88f7eb33fedcf054b99c7e978efefed980e3599f Author: olemars
	<omsolaas@gmail.com> Date:   Sun Jul 5 01:31:08 2009 +0200

2009-07-05  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fix div by 0 error

2009-07-04  Andrea Piras <braindamage@springlobby.info>

	* : commit 78c97d5ac8df746c2e851bf2cf03546e9ca261dc Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat Jul 4 17:18:07 2009
	+0200

2009-07-04  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h, src/serverevents.cpp,
	src/settings++/Main.cpp, src/springlobbyapp.cpp, src/ui.cpp,
	src/utils/platform.cpp, src/utils/platform.h: cleanup app exit,
	logging works (loglevel > 3 will crash gui logging)

2009-07-04  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'ole/master'

2009-07-04  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed build

2009-07-04  olemars <omsolaas@gmail.com>

	* src/mainwindow.cpp, src/mainwindow.h, src/springlobbyapp.cpp,
	src/springlobbyapp.h, src/utils/platform.cpp: Cleaned up logwindow
	creation and destruction (hopefully). Should also eliminate the
	message duplication in the log.

2009-07-04  Rene Milk <koshi@springlobby.info>

	* : commit f05e7b7649a25512356bf6c312216ab0297d467c Author: olemars
	<omsolaas@gmail.com> Date:   Sat Jul 4 00:06:35 2009 +0200

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp: fix compile error

2009-07-03  Rene Milk <koshi@springlobby.info>

	* : commit 3ede2322c101f4d7a8b27e580ae9fb912a68efa2 Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Jul 3 23:05:29 2009 +0200

2009-07-03  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: don't loop start game

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/springlobbyapp.h,
	src/utils/platform.cpp: fix cmd line stuff and logging

2009-07-03  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: moved autocontrol right before spring launch

2009-07-03  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/ibattle.cpp, src/ibattle.h: 
	fixed autobalance

2009-07-03  Rene Milk <koshi@springlobby.info>

	* : commit 62040c6251d787d9dbe29d6beb15a49023821565 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri Jul 3 20:20:02 2009
	+0200

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp: meh, wrong conflict resolution

2009-07-03  Rene Milk <koshi@springlobby.info>

	* : commit a65721af4cc71725e2a660b31d20ead3a094cc22 Merge: 14250f9
	c536ab3 Author: Rene Milk <koshi@springlobby.info> Date:   Fri Jul 3
	19:57:22 2009 +0200

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.h: don't define SL_DUMMY_COL on non-windows

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h: fix sort col
	icon with dummy col

2009-07-03  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h: don't autospec players when you're
	ingame and reset timers after the game finished

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/ibattle.cpp, src/settings.h: fix
	col size loading/saving

2009-07-03  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/ibattle.cpp, src/ibattle.h: only
	create timer if it's needed to avoid useless load

2009-07-03  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: more fixes for script.txt generation

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: fix tooltips with dummy col

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h: remove
	obsolete func

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h: dummy column
	seems to work

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelistctrl.h,
	src/battleroomlistctrl.cpp, src/battleroomlistctrl.h,
	src/channel/channellistctrl.cpp, src/channel/channellistctrl.h,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp, src/nicklistctrl.h,
	src/playback/playbacklistctrl.cpp, src/playback/playbacklistctrl.h,
	src/widgets/downloadlistctrl.cpp, src/widgets/downloadlistctrl.h: 
	remove virtual function calls from listctrl base class

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: do not block sort on col click after
	mouse move

2009-07-03  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.h, src/customvirtlistctrl.cpp,
	src/customvirtlistctrl.h, src/nicklistctrl.cpp: trying to use
	GteItemImage for first col in nicklist

2009-07-03  Rene Milk <koshi@springlobby.info>

	* : commit 7cc5e460c15ea76b995db31e10651259786a1d57 Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Jul 3 12:09:28 2009 +0200

2009-07-03  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master' into libt-update

2009-07-03  Rene Milk <koshi@springlobby.info>

	* po/POTFILES.in: another dupe in potfiles, sigh

2009-07-03  Rene Milk <koshi@springlobby.info>

	* po/POTFILES.in, tools/update-potfileslist.sh: fix potfiles list

2009-07-03  Rene Milk <koshi@springlobby.info>

	* Makefile.am: don't ask don't tell fix for distcheck

2009-07-02  Rene Milk <koshi@springlobby.info>

	* cmake/Toolchain-mingw32.cmake: Revert "some changes for my new
	test env" This reverts commit 546dee1f0a44ff772189574c0d3cdb1eacb2b175.

2009-07-02  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix autofool for libt update too

2009-07-02  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'ole/libt-update' into libt-update

2009-07-02  olemars <omsolaas@gmail.com>

	* cmake/libtorrent.cmake: fixed libt cmake file list

2009-07-02  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: added team resorting to workaround a spring bug

2009-07-02  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: try to autostart the battle only i it's full or
	locked

2009-07-02  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp: fixed fixcolors right before
	autostart working

2009-07-02  Rene Milk <koshi@springlobby.info>

	* : commit a065be0f44f1b38f09b27d23bc31404f82431d2b Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Jul 2 02:51:42 2009
	+0200

2009-07-02  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: fix spring start

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: fixed spring autostart

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: divide by 60 the spect time

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/battleroomtab.cpp,
	src/ibattle.cpp: fixed autospec code

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/serverevents.cpp: fuck me

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed typo

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp, src/serverevents.cpp: fixed
	spring not starting as client

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* po/POTFILES.in: fixed autofools build

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* : commit 2af330b9e76e1ab62624891842cbc0455f3790ce Merge: d4bd025
	f8f3f10 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Wed Jul 1 20:11:59 2009 +0200

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt: fixed cmake project

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/hostbattledialog.cpp, src/hostbattledialog.h: added gui to
	automagically spam the battle descripting to joining users

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* : commit 04d831501a0f865eb8a0137d96ababa1acb3533f Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Wed Jul 1 19:29:23 2009
	+0200

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: removed silly hardcoded numbers, fixed a bit
	autospect code

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed autostart trigger

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed timer possibly

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed uninitialized mem

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: more clear code

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: don't force the color for the same user multiple
	times

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: wrong button auto checked

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* : commit 17f4a882625d6302cf626fd1a3207e38edadca80 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Wed Jul 1 18:31:44 2009
	+0200

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: don't run certain commands if oyu're not founder

2009-07-01  Rene Milk <koshi@springlobby.info>

	* src/ibattle.h, src/offlinebattle.cpp, src/offlinebattle.h: 
	implement copy ctor/assign op

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/offlinebattle.cpp: forgot to commit a file

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed compile

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed fix colors function when using comshare

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp: forgot to commit a change to the project

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/offlinebattle.cpp: forgot to commit a file

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed compile

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* : commit 43d2f04c9bc71f1ec5bb37e822bac4c3b7f643cd Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Wed Jul 1 17:46:49 2009
	+0200

2009-07-01  Rene Milk <koshi@springlobby.info>

	* src/offlinebattle.h, src/settings.cpp: compile fix, will abort at
	runtime tho

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: increase spect count when they join too

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp: forgot to commit a change to the project

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp, src/battleroomtab.h, src/ibattle.cpp,
	src/ibattle.h, src/settings.cpp, src/settings.h: noncompiling almost
	done version of code that auto spects players when unready or
	unsynced

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/hostbattledialog.cpp: permanently disable port test check
	feature

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* Makefile.am, src/battle.cpp, src/battle.h, src/ibattle.cpp,
	src/ibattle.h, src/offlinebattle.h, src/playback/playbacktab.cpp,
	src/serverevents.cpp, src/singleplayerbattle.cpp,
	src/singleplayerbattle.h, src/singleplayertab.cpp, src/spring.cpp,
	src/spring.h, src/ui.cpp, src/ui.h: made spring class static
	instance, now starting spring is done by battles implementation
	instead of ui class

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h: added function to automatically
	balance before starting the game

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/battle.cpp, src/battle.h, src/ibattle.cpp,
	src/ibattle.h: moved autobalance functions to iBattle, started
	adding functionality for automatic control of battle

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: fixed logic of counting sync/ready players

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp, src/ibattle.h: added functions to
	count players in teams, in allyteams, unsynced players and ready
	players

2009-07-01  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/battleroomtab.cpp,
	src/battleroomtab.h: added buttons to ring/force spect a conbination
	of unready/unsync players

2009-07-01  Rene Milk <koshi@springlobby.info>

	* src/libtorrent/src/session_impl.cpp: another libt compile fix

2009-07-01  olemars <omsolaas@gmail.com>

	* : commit 546dee1f0a44ff772189574c0d3cdb1eacb2b175 Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Jul 1 00:17:31 2009 +0200

2009-06-30  Rene Milk <koshi@springlobby.info>

	* src/libtorrent/asio.hpp,
	src/libtorrent/asio/basic_raw_socket.hpp,
	src/libtorrent/asio/basic_serial_port.hpp,
	src/libtorrent/asio/basic_socket.hpp,
	src/libtorrent/asio/buffer.hpp,
	src/libtorrent/asio/buffers_iterator.hpp,
	src/libtorrent/asio/detail/deadline_timer_service.hpp,
	src/libtorrent/asio/detail/descriptor_ops.hpp,
	src/libtorrent/asio/detail/dev_poll_reactor.hpp,
	src/libtorrent/asio/detail/epoll_reactor.hpp,
	src/libtorrent/asio/detail/handler_base_from_member.hpp,
	src/libtorrent/asio/detail/handler_queue.hpp,
	src/libtorrent/asio/detail/hash_map.hpp,
	src/libtorrent/asio/detail/indirect_handler_queue.hpp,
	src/libtorrent/asio/detail/kqueue_reactor.hpp,
	src/libtorrent/asio/detail/null_thread.hpp,
	src/libtorrent/asio/detail/old_win_sdk_compat.hpp,
	src/libtorrent/asio/detail/posix_thread.hpp,
	src/libtorrent/asio/detail/reactive_descriptor_service.hpp,
	src/libtorrent/asio/detail/reactive_serial_port_service.hpp,
	src/libtorrent/asio/detail/reactive_socket_service.hpp,
	src/libtorrent/asio/detail/reactor_op_queue.hpp,
	src/libtorrent/asio/detail/select_reactor.hpp,
	src/libtorrent/asio/detail/socket_types.hpp,
	src/libtorrent/asio/detail/strand_service.hpp,
	src/libtorrent/asio/detail/task_io_service.hpp,
	src/libtorrent/asio/detail/task_io_service_2lock.hpp,
	src/libtorrent/asio/detail/timer_queue.hpp,
	src/libtorrent/asio/detail/timer_queue_base.hpp,
	src/libtorrent/asio/detail/win_iocp_handle_service.hpp,
	src/libtorrent/asio/detail/win_iocp_io_service.hpp,
	src/libtorrent/asio/detail/win_iocp_serial_port_service.hpp,
	src/libtorrent/asio/detail/win_iocp_socket_service.hpp,
	src/libtorrent/asio/detail/win_thread.hpp,
	src/libtorrent/asio/detail/wince_thread.hpp,
	src/libtorrent/asio/detail/wrapped_handler.hpp,
	src/libtorrent/asio/handler_alloc_hook.hpp,
	src/libtorrent/asio/impl/read_at.ipp,
	src/libtorrent/asio/impl/read_until.ipp,
	src/libtorrent/asio/impl/serial_port_base.ipp,
	src/libtorrent/asio/impl/write_at.ipp,
	src/libtorrent/asio/io_service.hpp,
	src/libtorrent/asio/ip/icmp.hpp,
	src/libtorrent/asio/ip/resolver_query_base.hpp,
	src/libtorrent/asio/local/basic_endpoint.hpp,
	src/libtorrent/asio/raw_socket_service.hpp,
	src/libtorrent/asio/read.hpp, src/libtorrent/asio/read_at.hpp,
	src/libtorrent/asio/read_until.hpp,
	src/libtorrent/asio/serial_port.hpp,
	src/libtorrent/asio/serial_port_base.hpp,
	src/libtorrent/asio/serial_port_service.hpp,
	src/libtorrent/asio/ssl/basic_context.hpp,
	src/libtorrent/asio/ssl/context_base.hpp,
	src/libtorrent/asio/ssl/context_service.hpp,
	src/libtorrent/asio/ssl/detail/openssl_context_service.hpp,
	src/libtorrent/asio/ssl/detail/openssl_init.hpp,
	src/libtorrent/asio/ssl/detail/openssl_operation.hpp,
	src/libtorrent/asio/ssl/detail/openssl_types.hpp,
	src/libtorrent/asio/ssl/stream_base.hpp,
	src/libtorrent/asio/thread.hpp, src/libtorrent/asio/version.hpp,
	src/libtorrent/asio/windows/basic_random_access_handle.hpp,
	src/libtorrent/asio/windows/random_access_handle.hpp,
	src/libtorrent/asio/windows/random_access_handle_service.hpp,
	src/libtorrent/asio/write.hpp, src/libtorrent/asio/write_at.hpp,
	src/libtorrent/include/libtorrent/GeoIP.h,
	src/libtorrent/include/libtorrent/alert.hpp,
	src/libtorrent/include/libtorrent/alert_types.hpp,
	src/libtorrent/include/libtorrent/asio.hpp,
	src/libtorrent/include/libtorrent/assert.hpp,
	src/libtorrent/include/libtorrent/aux_/session_impl.hpp,
	src/libtorrent/include/libtorrent/bandwidth_manager.hpp,
	src/libtorrent/include/libtorrent/bencode.hpp,
	src/libtorrent/include/libtorrent/bitfield.hpp,
	src/libtorrent/include/libtorrent/broadcast_socket.hpp,
	src/libtorrent/include/libtorrent/bt_peer_connection.hpp,
	src/libtorrent/include/libtorrent/buffer.hpp,
	src/libtorrent/include/libtorrent/chained_buffer.hpp,
	src/libtorrent/include/libtorrent/config.hpp,
	src/libtorrent/include/libtorrent/connection_queue.hpp,
	src/libtorrent/include/libtorrent/create_torrent.hpp,
	src/libtorrent/include/libtorrent/debug.hpp,
	src/libtorrent/include/libtorrent/disk_buffer_holder.hpp,
	src/libtorrent/include/libtorrent/disk_io_thread.hpp,
	src/libtorrent/include/libtorrent/entry.hpp,
	src/libtorrent/include/libtorrent/enum_net.hpp,
	src/libtorrent/include/libtorrent/error_code.hpp,
	src/libtorrent/include/libtorrent/escape_string.hpp,
	src/libtorrent/include/libtorrent/extensions.hpp,
	src/libtorrent/include/libtorrent/extensions/smart_ban.hpp,
	src/libtorrent/include/libtorrent/extensions/ut_metadata.hpp,
	src/libtorrent/include/libtorrent/file.hpp,
	src/libtorrent/include/libtorrent/file_pool.hpp,
	src/libtorrent/include/libtorrent/file_storage.hpp,
	src/libtorrent/include/libtorrent/gzip.hpp,
	src/libtorrent/include/libtorrent/hasher.hpp,
	src/libtorrent/include/libtorrent/http_connection.hpp,
	src/libtorrent/include/libtorrent/http_parser.hpp,
	src/libtorrent/include/libtorrent/http_stream.hpp,
	src/libtorrent/include/libtorrent/http_tracker_connection.hpp,
	src/libtorrent/include/libtorrent/instantiate_connection.hpp,
	src/libtorrent/include/libtorrent/intrusive_ptr_base.hpp,
	src/libtorrent/include/libtorrent/invariant_check.hpp,
	src/libtorrent/include/libtorrent/kademlia/closest_nodes.hpp,
	src/libtorrent/include/libtorrent/kademlia/dht_tracker.hpp,
	src/libtorrent/include/libtorrent/kademlia/find_data.hpp,
	src/libtorrent/include/libtorrent/kademlia/msg.hpp,
	src/libtorrent/include/libtorrent/kademlia/node.hpp,
	src/libtorrent/include/libtorrent/kademlia/node_entry.hpp,
	src/libtorrent/include/libtorrent/kademlia/observer.hpp,
	src/libtorrent/include/libtorrent/kademlia/packet_iterator.hpp,
	src/libtorrent/include/libtorrent/kademlia/routing_table.hpp,
	src/libtorrent/include/libtorrent/kademlia/rpc_manager.hpp,
	src/libtorrent/include/libtorrent/lazy_entry.hpp,
	src/libtorrent/include/libtorrent/lsd.hpp,
	src/libtorrent/include/libtorrent/magnet_uri.hpp,
	src/libtorrent/include/libtorrent/natpmp.hpp,
	src/libtorrent/include/libtorrent/parse_url.hpp,
	src/libtorrent/include/libtorrent/pch.hpp,
	src/libtorrent/include/libtorrent/pe_crypto.hpp,
	src/libtorrent/include/libtorrent/peer_connection.hpp,
	src/libtorrent/include/libtorrent/peer_id.hpp,
	src/libtorrent/include/libtorrent/peer_info.hpp,
	src/libtorrent/include/libtorrent/piece_picker.hpp,
	src/libtorrent/include/libtorrent/policy.hpp,
	src/libtorrent/include/libtorrent/proxy_base.hpp,
	src/libtorrent/include/libtorrent/session.hpp,
	src/libtorrent/include/libtorrent/session_settings.hpp,
	src/libtorrent/include/libtorrent/session_status.hpp,
	src/libtorrent/include/libtorrent/size_type.hpp,
	src/libtorrent/include/libtorrent/socket.hpp,
	src/libtorrent/include/libtorrent/socks4_stream.hpp,
	src/libtorrent/include/libtorrent/socks5_stream.hpp,
	src/libtorrent/include/libtorrent/ssl_stream.hpp,
	src/libtorrent/include/libtorrent/stat.hpp,
	src/libtorrent/include/libtorrent/storage.hpp,
	src/libtorrent/include/libtorrent/time.hpp,
	src/libtorrent/include/libtorrent/torrent.hpp,
	src/libtorrent/include/libtorrent/torrent_handle.hpp,
	src/libtorrent/include/libtorrent/torrent_info.hpp,
	src/libtorrent/include/libtorrent/tracker_manager.hpp,
	src/libtorrent/include/libtorrent/udp_socket.hpp,
	src/libtorrent/include/libtorrent/udp_tracker_connection.hpp,
	src/libtorrent/include/libtorrent/upnp.hpp,
	src/libtorrent/include/libtorrent/variant_stream.hpp,
	src/libtorrent/include/libtorrent/version.hpp,
	src/libtorrent/include/libtorrent/web_peer_connection.hpp,
	src/libtorrent/include/libtorrent/xml_parse.hpp,
	src/libtorrent/src/GeoIP.c, src/libtorrent/src/Makefile.am,
	src/libtorrent/src/alert.cpp, src/libtorrent/src/assert.cpp,
	src/libtorrent/src/broadcast_socket.cpp,
	src/libtorrent/src/bt_peer_connection.cpp,
	src/libtorrent/src/connection_queue.cpp,
	src/libtorrent/src/create_torrent.cpp,
	src/libtorrent/src/disk_buffer_holder.cpp,
	src/libtorrent/src/disk_io_thread.cpp,
	src/libtorrent/src/entry.cpp, src/libtorrent/src/enum_net.cpp,
	src/libtorrent/src/error_code.cpp,
	src/libtorrent/src/escape_string.cpp, src/libtorrent/src/file.cpp,
	src/libtorrent/src/file_old.cpp, src/libtorrent/src/file_pool.cpp,
	src/libtorrent/src/file_storage.cpp, src/libtorrent/src/gzip.cpp,
	src/libtorrent/src/http_connection.cpp,
	src/libtorrent/src/http_parser.cpp,
	src/libtorrent/src/http_stream.cpp,
	src/libtorrent/src/http_tracker_connection.cpp,
	src/libtorrent/src/identify_client.cpp,
	src/libtorrent/src/instantiate_connection.cpp,
	src/libtorrent/src/kademlia/closest_nodes.cpp,
	src/libtorrent/src/kademlia/dht_tracker.cpp,
	src/libtorrent/src/kademlia/find_data.cpp,
	src/libtorrent/src/kademlia/node.cpp,
	src/libtorrent/src/kademlia/refresh.cpp,
	src/libtorrent/src/kademlia/routing_table.cpp,
	src/libtorrent/src/kademlia/rpc_manager.cpp,
	src/libtorrent/src/kademlia/traversal_algorithm.cpp,
	src/libtorrent/src/lazy_bdecode.cpp, src/libtorrent/src/logger.cpp,
	src/libtorrent/src/lsd.cpp, src/libtorrent/src/magnet_uri.cpp,
	src/libtorrent/src/metadata_transfer.cpp,
	src/libtorrent/src/natpmp.cpp, src/libtorrent/src/parse_url.cpp,
	src/libtorrent/src/pch.cpp, src/libtorrent/src/pe_crypto.cpp,
	src/libtorrent/src/peer_connection.cpp,
	src/libtorrent/src/piece_picker.cpp, src/libtorrent/src/policy.cpp,
	src/libtorrent/src/session.cpp,
	src/libtorrent/src/session_impl.cpp,
	src/libtorrent/src/smart_ban.cpp,
	src/libtorrent/src/socks4_stream.cpp,
	src/libtorrent/src/socks5_stream.cpp, src/libtorrent/src/stat.cpp,
	src/libtorrent/src/storage.cpp, src/libtorrent/src/torrent.cpp,
	src/libtorrent/src/torrent_handle.cpp,
	src/libtorrent/src/torrent_info.cpp,
	src/libtorrent/src/tracker_manager.cpp,
	src/libtorrent/src/udp_socket.cpp,
	src/libtorrent/src/udp_tracker_connection.cpp,
	src/libtorrent/src/upnp.cpp, src/libtorrent/src/ut_metadata.cpp,
	src/libtorrent/src/ut_pex.cpp,
	src/libtorrent/src/web_peer_connection.cpp: updated to libtorrent
	0.14.4

2009-06-30  olemars <omsolaas@gmail.com>

	* src/battlelisttab.cpp: Fixes 973 Trying to join the game you're currently in will notify you of this
	and ask if you wish to leave it.

2009-06-30  olemars <omsolaas@gmail.com>

	* src/serverevents.cpp, src/settings++/helpmenufunctions.cpp,
	src/socket.cpp, src/tasserver.cpp, src/utils/conversion.h,
	src/utils/platform.cpp: windows build fixes after koshi's gigacommit

2009-06-30  olemars <omsolaas@gmail.com>

	* : commit 55b72a3b37ecb4c71eebe363289fd682b448becd Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Jun 30 00:20:47 2009 +0200

2009-06-29  Rene Milk <koshi@springlobby.info>

	* src/utils/conversion.h: fix segfault

2009-06-29  olemars <omsolaas@gmail.com>

	* : commit 88a6e9dcd8293d7c6cad8c6fd3d8587299303d7e Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Jun 29 23:11:05 2009 +0200

2009-06-29  olemars <omsolaas@gmail.com>

	* : commit fb4d5815d36676e976b12059c2de278bb03daa73 Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Jun 29 23:04:56 2009 +0200

2009-06-29  olemars <omsolaas@gmail.com>

	* : commit 88416ac7998347c4aa3b79c121a582cb96254a54 Author: olemars
	<omsolaas@gmail.com> Date:   Mon Jun 29 21:40:00 2009 +0200

2009-06-29  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master' Conflicts: 	src/utils.cpp

2009-06-29  Rene Milk <koshi@springlobby.info>

	* : commit 62c2267e37981d9844326741cc7ae8c9a6de72b3 Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Jun 29 20:10:11 2009 +0200

2009-06-29  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt: removed unneeded media and xrc lib so macports
	version of wx can be linked from

2009-06-29  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt: removed unneeded richtext lib so macports version
	of wx can be linked from sl

2009-06-29  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt: removed unneeded qa lib so macports version of wx
	can be linked from sl

2009-06-29  Andrea Piras <braindamage@springlobby.info>

	* po/fr.po, po/springlobby.pot, src/Helper/wxtextctrlhist.h,
	src/autobalancedialog.cpp, src/battlelistctrl.cpp,
	src/battleroomlistctrl.cpp, src/battleroommmoptionstab.cpp,
	src/battleroomtab.cpp, src/chatoptionstab.cpp,
	src/filelister/filelistfilter.cpp, src/playback/playbacktab.cpp,
	src/serverevents.cpp, src/ui.cpp, src/utils.cpp: applied remram's
	patch to fix french translation and all native english strings

2009-06-29  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'ole/master'

2009-06-29  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'semi/tooltip2'

2009-06-29  olemars <omsolaas@gmail.com>

	* src/utils.cpp: fix issue with unicode/non-unicode build on windows
	(msvc)

2009-06-29  olemars <omsolaas@gmail.com>

	* CMakeLists.txt, src/springlobby.rc: minor hack to avoid manifest
	clashes

2009-06-29  Leo Moisio <semi@springlobby.info>

	* src/battleroomlistctrl.cpp: informative tooltip for player ready
	icon

2009-06-29  olemars <omsolaas@gmail.com>

	* : commit 3c30d8c125f3d2624fefa1580e56add216b04af3 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun Jun 28 23:59:00
	2009 +0200

2009-06-28  Leo Moisio <semi@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelisttab.cpp,
	src/battleroomlistctrl.cpp, src/channel/channellistctrl.cpp,
	src/customlistctrl.cpp, src/customlistctrl.h,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/filelister/filelistctrl.cpp, src/nicklistctrl.cpp,
	src/playback/playbacklistctrl.cpp, src/playback/playbacklistctrl.h,
	src/settings.cpp, src/settings.h: language fix: s/coloumn/column/

2009-06-28  Rene Milk <koshi@springlobby.info>

	* buildbot/master.cfg: current buildbot config added

2009-06-28  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/battlelistctrl.cpp,
	src/battleroomlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp: hotfix for idle crashing in
	battlelist/nicklist

2009-06-28  olemars <omsolaas@gmail.com>

	* : commit 40e687becdb331be3f8884051b44c2af47788012 Author: olemars
	<omsolaas@gmail.com> Date:   Sun Jun 28 11:59:55 2009 +0200

2009-06-28  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am: fix settings compile

2009-06-28  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/battlelistctrl.cpp, src/settings++/Main.cpp,
	src/utils/controls.cpp, src/utils/platform.cpp,
	src/utils/platform.h, src/utils/sltipwin.cpp, src/utils/sltipwin.h: 
	yay, shit buuilds

2009-06-28  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'ole/master'

2009-06-27  olemars <omsolaas@gmail.com>

	* : commit 8801c1fe574959316c23cfd3aff7b5bb7e5f189e Merge: 1800dc3
	a1cf573 Author: olemars <omsolaas@gmail.com> Date:   Sat Jun 27
	20:32:16 2009 +0200

2009-06-27  Andrea Piras <braindamage@springlobby.info>

	* src/settings.h: bumped max users to 64

2009-06-27  Rene Milk <koshi@springlobby.info>

	* src/Helper/colorbutton.cpp, src/addbotdialog.cpp, src/battle.cpp,
	src/battleroommmoptionstab.cpp, src/ibattle.cpp,
	src/mainchattab.cpp, src/mapctrl.cpp, src/mmoptionwindows.cpp,
	src/springoptionstab.cpp, src/uiutils.cpp, src/uiutils.h,
	src/utils.h: remove CLAMP macro

2009-06-27  Rene Milk <koshi@springlobby.info>

	* : commit 69c7782a2b1a97abdaa110744e776971369661a6 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Jun 27 17:41:22 2009 +0200

2009-06-27  Rene Milk <koshi@springlobby.info>

	* : commit 3f470d74cb095662d6c10061a758b67f45019fb6 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Jun 27 17:19:07 2009 +0200

2009-06-27  Rene Milk <koshi@springlobby.info>

	* tools/newfile.sh, tools/template.cpp, tools/template.h: revamped
	old "newfile" script for git, c::b and cmake

2009-06-27  Rene Milk <koshi@springlobby.info>

	* : commit c6332ed2fa66b0d93f1ebb1a329f742974b69312 Merge: 38d9ccc
	c6aa048 Author: Rene Milk <koshi@springlobby.info> Date:   Sat Jun
	27 13:28:42 2009 +0200

2009-06-27  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp: do not set window title when using vista
	update mechanism

2009-06-27  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/springlobbyapp.h: re-arrange init for
	less clutter, do not start GUI logic when updating only

2009-06-27  Rene Milk <koshi@springlobby.info>

	* : commit 1af3acc17b8769619b393ea4bab19f786c477d48 Merge: 2efca89
	c6aa048 Author: Rene Milk <koshi@springlobby.info> Date:   Sat Jun
	27 11:46:17 2009 +0200

2009-06-27  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-06-27  Rene Milk <koshi@springlobby.info>

	* src/iconimagelist.cpp: change tooltips to translateable strings

2009-06-27  Leo Moisio <leo.moisio@gmail.com>

	* src/iconimagelist.cpp: IconImageList::GetBattleStatus: better
	tooltips

2009-06-27  Leo Moisio <leo.moisio@gmail.com>

	* src/iconimagelist.cpp: refactor:
	IconImageList::GetBattleStatus{,Icon}

2009-06-27  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: refreshing only visible items seems to
	have a problem on win, now we'll redraw the entire list instead

2009-06-27  Rene Milk <koshi@springlobby.info>

	* src/springunitsync.cpp, src/springunitsync.h: implements
	cleanrock's patch
	http://springlobby.info/issues/show/872#change-2118 with tobi's
	cache class

2009-06-26  Rene Milk <koshi@springlobby.info>

	* : commit 2efca898cfde3dd033e80a31e31f2f1b56a51a62 Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Jun 26 22:48:42 2009 +0200

2009-06-26  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: linux compile fix

2009-06-26  olemars <omsolaas@gmail.com>

	* src/battle.cpp, src/ibattle.cpp, src/ibattle.h, src/mapctrl.cpp,
	src/spring.cpp, src/tasserver.cpp: fixes a few startbox issues

2009-06-26  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: fixed build with torrent off

2009-06-25  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/updater/updater.cpp,
	src/updater/updater.h, src/updater/versionchecker.cpp,
	src/utils.cpp: seems vista update with uac is somewhat working

2009-06-25  olemars <omsolaas@gmail.com>

	* : commit 9d3cb44e6c4a281214e8aa09e2330ba8cce334ae Author: Rene
	Milk <koshi@springlobby.info> Date:   Thu Jun 25 20:05:38 2009 +0200

2009-06-25  Rene Milk <koshi@springlobby.info>

	* src/serverevents.cpp: fix non-POD  warning

2009-06-25  Rene Milk <koshi@springlobby.info>

	* : commit dfd050c957b0f8a432a32e423811a5d342f29b70 Author: Rene
	Milk <koshi@springlobby.info> Date:   Thu Jun 25 19:49:51 2009 +0200

2009-06-25  Rene Milk <koshi@springlobby.info>

	* src/settings++/Main.cpp, src/settings++/main.h: fix springsettings
	for new logging init / command line params

2009-06-25  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'buildbot/master' into cmd_line

2009-06-24  Andrea Piras <braindamage@springlobby.info>

	* src/settings.h: cache version bump

2009-06-24  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp, src/springunitsync.h,
	src/springunitsynclib.cpp, src/springunitsynclib.h: cache archive
	path for all files cache archive unchained checksum for all files
	use unchained checksum for the map positions & map pic to avoid
	recaching on every spring release

2009-06-24  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: update ready status checkbox when required

2009-06-24  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: re-enable some opts

2009-06-24  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: working ok

2009-06-24  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: new funcs only were called after calling
	BAse::OnInit

2009-06-24  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/springlobbyapp.h: refactor to use
	default setup from wx

2009-06-24  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp, src/utils.cpp: disable not working cli
	parms for now

2009-06-23  Rene Milk <koshi@springlobby.info>

	* : commit 3fb7114f0a664a8190e4b5f6d077f9f66663fea2 Merge: 401b0a0
	822200f Author: Andrea Piras <braindamage@springlobby.info> Date:
	Tue Jun 23 21:53:47 2009 +0200

2009-06-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: fixed build

2009-06-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: don't disable i'm ready check in the
	battleroom for the host

2009-06-23  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'insaneinside/master'

2009-06-22  Collin J. Sutton <collin.sutton@gmail.com>

	* src/battlelistfilter.cpp, src/battlelistfilter.h: BattleListFilter
	cleanup, rank comparison fix attempt   * Renamed: BattleListFilter::{m_button_mode -> ButtonMode}.  Type     names should _always_ be clearly distinguisable from member     variable names.    * Removed incorrect divide-by-100 of battle's minimum-rank-to-join     when comparing.

2009-06-23  olemars <omsolaas@gmail.com>

	* src/ibattle.cpp, src/mapctrl.cpp, src/mapctrl.h: Fixes 936 Fixes start rects running wild on mouse move and another issue that
	was hidden by the first one

2009-06-22  olemars <omsolaas@gmail.com>

	* : commit 17540d60d66b2d29a684d6ff61218137f29c1968 Author: olemars
	<omsolaas@gmail.com> Date:   Sun Jun 21 23:08:28 2009 +0200

2009-06-21  olemars <omsolaas@gmail.com>

	* src/mapctrl.cpp, src/mapctrl.h: Fix to bug 961: SP tab: resizing
	window changes player/bot positions

2009-06-21  Andrea Piras <braindamage@springlobby.info>

	* SpringLobby.sln, SpringLobby.vcproj: removed obsolete vc project
	files, the project should be generated using cmake now

2009-06-21  Andrea Piras <braindamage@springlobby.info>

	* : commit d7d10c88a01fe68ecc48787a02034e440fab5b80 Author: olemars
	<omsolaas@gmail.com> Date:   Sat Jun 20 22:00:37 2009 +0200

2009-06-20  Andrea Piras <braindamage@springlobby.info>

	* src/chatlog.cpp: fixed possibly undefined compiler behaviour

2009-06-20  olemars <omsolaas@gmail.com>

	* src/settings.cpp: Fix to bug958, chat highlight words not getting
	deleted from conf file.

2009-06-20  Andrea Piras <braindamage@springlobby.info>

	* src/chatoptionstab.cpp, src/chatoptionstab.h: added checkbox to
	disable usage of irc colors

2009-06-20  Andrea Piras <braindamage@springlobby.info>

	* src/customvirtlistctrl.h: fixed compile

2009-06-20  Andrea Piras <braindamage@springlobby.info>

	* : commit 6f618a24b0d92a52082e4fe153aa097654f1b6eb Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat Jun 20 20:55:20
	2009 +0200

2009-06-20  Andrea Piras <braindamage@springlobby.info>

	* : commit 223b826a260a914f7965217dd57384cd2ebd1f72 Author: olemars
	<omsolaas@gmail.com> Date:   Sat Jun 20 19:53:35 2009 +0200

2009-06-20  olemars <omsolaas@gmail.com>

	* src/torrentlistctrl.h: Fix apparent typo forward declaring
	TorrentInfos as class (it's a struct). Gcc accepts this but msvc
	does not.

2009-06-20  olemars <omsolaas@gmail.com>

	* src/filelister/filelistctrl.cpp,
	src/filelister/filelistdialog.cpp,
	src/filelister/filelistfilter.cpp, src/maintorrenttab.cpp,
	src/mainwindow.cpp, src/serverevents.cpp, src/socket.cpp,
	src/spring.cpp, src/springlobbyapp.cpp, src/tasserver.cpp,
	src/torrentlistctrl.cpp, src/torrentoptionspanel.cpp,
	src/torrentwrapper.cpp, src/ui.cpp, src/updater/versionchecker.cpp,
	src/widgets/downloadpanel.cpp, src/widgets/widget.cpp: msvc build
	fixes If building under msvc, include winsock2.h anywhere wxSockets are
	used or included, otherwise wx reverts to winsock1 which is bad and
	clashes with torrentlib.  Also define NOMINMAX so windows doesn't
	mess up std::min and std::max

2009-06-20  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt: translation support is default off in cmake now
	until it gets fixed again

2009-06-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: chatlog enabled by default for new users

2009-06-17  Rene Milk <koshi@springlobby.info>

	* : commit 2a7238a9fcf503725f2c34fe3b15e7639026cf93 Merge: 0792909
	b9d656b Author: Rene Milk <koshi@springlobby.info> Date:   Wed Jun
	17 02:17:07 2009 +0200

2009-06-17  Rene Milk <koshi@springlobby.info>

	* : commit b9d656bb02751ff2f3141459b7fc43c64797237d Merge: e9268d8
	a4b2b2c Author: Rene Milk <koshi@springlobby.info> Date:   Wed Jun
	17 01:42:40 2009 +0200

2009-06-17  Rene Milk <koshi@springlobby.info>

	* : commit a4b2b2c03a6c30e034adfe6cc17b85be022042ea Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Jun 16 02:11:47 2009 +0200

2009-06-16  Rene Milk <koshi@springlobby.info>

	* po/POTFILES.in: rename file in POTFILES too

2009-06-16  Rene Milk <koshi@springlobby.info>

	* cmake/Toolchain-mingw32.cmake: fix toolchain file

2009-06-16  Rene Milk <koshi@springlobby.info>

	* : my bad, didn't see the push before that reverted this already

2009-06-16  Ole Martin Solaas <omsolaas@gmail.com>

	* CMakeLists.txt: fix compile

2009-06-16  Ole Martin Solaas <omsolaas@gmail.com>

	* src/customlistctrl.h: partial revert of changes to customlistctrl

2009-06-16  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master' into cmake-update

2009-06-16  Ole Martin Solaas <omsolaas@gmail.com>

	* : commit 70ce7584366173d0b30a29c4c3192ab0b09709df Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Jun 16 00:35:31
	2009 +0200

2009-06-16  Rene Milk <koshi@springlobby.info>

	* : commit aea7d45ace7aa6ee4e11fba9e35e52a77635be31 Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Jun 16 00:28:37 2009 +0200

2009-06-16  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp, src/httpdownloader.cpp, src/httpdownloader.h: 
	noncompiling buggy attempt to make downloader class use templates to
	get parent class

2009-06-15  Ole Martin Solaas <omsolaas@gmail.com>

	* : commit 950e643d6e8a1184349defbbb9a31ad25a28bc5c Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Jun 15 23:08:18 2009 +0200

2009-06-15  unknown <Ole Martin@.(none)>

	* src/libtorrent/include/libtorrent/bandwidth_manager.hpp: 
	libtorrent fix to compile correctly in MingW on win32

2009-06-15  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'buildbot/master'

2009-06-15  Rene Milk <koshi@springlobby.info>

	* : commit b88aa24245718d095ccf1e3e769e0c2e298771da Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Jun 15 01:48:59 2009 +0200

2009-06-15  Andrea Piras <braindamage@springlobby.info>

	* : commit d66428ba187f1401e94c45a51dfde91edf70a083 Merge: f9d0985
	d0f8f28 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Mon Jun 15 00:22:35 2009 +0200

2009-06-14  Dmytry Lavrov <dmytrylk@gmail.com>

	* src/settings.h, src/spring.cpp: Fix for router issues

2009-06-14  unknown <Ole Martin@.(none)>

	* CMakeLists.txt: minor cmake fix

2009-06-14  Rene Milk <koshi@springlobby.info>

	* : commit b2b8c40c2260f8287c8107e279d8fbbb3816f77e Author: Rene
	Milk <koshi@springlobby.info> Date:   Sun Jun 14 15:32:21 2009 +0200

2009-06-14  unknown <Ole Martin@.(none)>

	* CMakeLists.txt: Added more crosscompile checks so sound support
	works

2009-06-14  unknown <Ole Martin@.(none)>

	* CMakeLists.txt, cmake/Toolchain-mingw32.cmake: Made sure
	crosscompiling still works with changes to cmake script (hopefully) *crosscompile-specific steps are identified by the cmake macro
	CMAKE_CROSSCOMPILING in CMakeLists.txt *moved some
	crosscompile-speciific variables from CMakeLists.txt to toolchain
	file *reverted some stupidity from last commit *only link libtorrent
	if torrent support option is selected *minor cleanup although my
	cleanup vs mess ratio is poor This revision of CMakeLists.txt should
	be generic enough for general use on windows. There are some source
	code issues remaining though, especially with torrent support.

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/serverevents.cpp: automatically
	load the map defaults when hosting

2009-06-11  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h,
	src/springlobby.exe.manifest, src/springlobby.rc: manifest, sample
	code temp elevation in mainwindow

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/ibattle.cpp: possibly fixed server kicked at
	random when removing boxes

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/battle.cpp, src/battle.h,
	src/battleroomtab.cpp: fixed map preset boxes being saved flipped

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp: addbox arguments now range from 0 to 200 instead
	from 0 to 100

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/battle.cpp, src/battle.h,
	src/battlemaptab.cpp, src/battleroomtab.cpp, src/ibattle.cpp,
	src/settings.cpp, src/settings.h: automatically save boxes &
	startpostype on spring start, recall on map change if you're not the
	host

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp: fixed addbox command

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp: don't try to add the same box twice

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp: actually sends the starts rects changes to
	clients with !addbox !removebox

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionswrapper.cpp: compile fixes

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/mmoptionswrapper.cpp,
	src/mmoptionswrapper.h: now !set actually broadcasts the option
	change to the clients

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp: addded !addbox and !removebox commands

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/autohost.h, src/battle.cpp, src/battle.h,
	src/mmoptionswrapper.cpp, src/mmoptionswrapper.h: added keyExist
	command in options interface that checks for a key existance in all
	containers made !ring command accept an optional user to ring added
	!set command to set a battle value fixed !help command

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp: removed useless command duplication in autohost,
	added !map command

2009-06-11  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: skip ring all question on start press, ask
	directly for force start

2009-06-11  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelistctrl.h,
	src/battleroomlistctrl.cpp, src/battleroomlistctrl.h,
	src/channel/channellistctrl.cpp, src/channel/channellistctrl.h,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp, src/nicklistctrl.h,
	src/playback/playbacklistctrl.cpp, src/playback/playbacklistctrl.h,
	src/widgets/downloadlistctrl.cpp, src/widgets/downloadlistctrl.h: 
	new template param to customvirtlistctrl base class: the second
	template param is actually just a dummy to ensure the compiler
	generates distinct code in case we have different listctrls with
	same datatype

2009-06-11  unknown <Ole Martin@.(none)>

	* CMakeLists.txt: Some cleanup, made libtorrent a separate lib
	target, better wxWidgets detection

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/playback/playbacklistctrl.cpp,
	src/playback/playbacklistctrl.h: use proper method for setting wrong
	tooltips

2009-06-07  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: mingw build set to O2, seems
	to have been lost....

2009-06-07  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: don't block sorting on col click

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h: block sort
	while mouse is movin

2009-06-07  Rene Milk <koshi@springlobby.info>

	* src/mapctrl.cpp: remove wx 26 compat macro

2009-06-09  unknown <Ole Martin@.(none)>

	* CMakeLists.txt, src/utils.cpp: CMake and compile fixes under
	windows Cmake should now be able to setup libtorrent properly, although it
	will only build on mingw for now.  Changed sound detection under
	win32  to just query for paths and lib files since there's no way to
	autofind them on win.  "Fixed" msvc build error in utils.h, won't
	compile if windows.h is included and needed a typedef.

2009-06-07  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsynclib.cpp: attempt to make unitsync init spew it's
	errors to a popup dialog instead of stdout

2009-06-07  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: fixed side icon not being displayed in
	battleroomlistctrl

2009-06-07  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: try to search on jobjol directly for the map/mod name

2009-06-07  Andrea Piras <braindamage@springlobby.info>

	* src/settings.h: use wxFileConfig class explicitly on mac

2009-06-07  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: prepend a path separator when preparing the app
	bundle path for spring

2009-06-07  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: fixed config file for mac, now mac users can use
	the portable mode too

2009-06-07  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: mingw build set to O2, seems
	to have been lost....

2009-06-07  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/ui.cpp, src/user.h: cache side
	icon index in User too, this saves a couple of usync calls _every_
	redraw

2009-06-07  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: don't block sorting on col click

2009-06-07  Rene Milk <koshi@springlobby.info>

	* src/mapctrl.cpp: remove wx 26 compat macro

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/mapctrl.cpp: fix sideicons not being cached in mapctrl

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h: block sort
	while mouse is movin

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/playback/playbacklistctrl.cpp,
	src/playback/playbacklistctrl.h: use proper method for setting wrong
	tooltips

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: even more fixes for mac build

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed mac build

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/customvirtlistctrl.cpp, src/nicklistctrl.cpp,
	src/playback/playbacklistctrl.cpp, src/widgets/downloadlistctrl.cpp: 
	unify AddItem

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp, src/playback/playbacklistctrl.cpp: unify item
	removal

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: removed useless icon fetch

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/iconimagelist.cpp: return default icon 2 for all icons >= 2

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/iconimagelist.cpp: removed useless part of code that was never
	reached anyway

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/nicklistctrl.cpp: correct errors of bd's merge

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/customvirtlistctrl.h: stabilize
	selection on sort

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: in mac, append app bundle's inner path if spring
	bin path ends with .app

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/nicklistctrl.cpp: fixed GetIndexFromData search

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp: clamp seekpos
	in case vec size changed

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/nicklistctrl.cpp: nicklist

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp: battleroomlistctrl

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp: begin improving GetDataFromIndex
	performance - battlelistctrl

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/iconimagelist.cpp: sanitize in-cache-map check for side image

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: greatly improve sort order reversion
	efficiency

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/springoptionstab.cpp: added additional file mask to unitsync
	search on mac

2009-06-06  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: don't disable relayhost functionality if stat
	report is off

2009-06-06  unknown <Ole Martin@.(none)>

	* CMakeLists.txt, src/Helper/tasclientimport.cpp,
	src/customlistctrl.h, src/playback/playbackthread.cpp,
	src/settings++/settings.rc, src/utils.h: Fixes to make Springlobby
	successfully build on windows using msvc and mingw out of the box Notes: * msvc build is still slightly broken, will need fix for strange
	compile error in utils.cpp * msvc build does not yet support torrents, sounds or translation * mingw build supports torrents, but not sounds or translation * only tested on msvs 2008 express and code::Blocks/mingw. Should
	also work on msvs2005 and eclipse.

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp, src/battleroomtab.h: allow splitting to
	change at runtime

2009-06-06  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp, src/battleroomtab.h, src/settings.cpp,
	src/settings.h: implemented optional horizontal splitting of
	broomtab

2009-06-05  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: fix windows only logging bug

2009-06-05  Rene Milk <koshi@springlobby.info>

	* src/ui.cpp: prevent a segfault with autojoin enabled and server
	unreachable

2009-06-05  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: show the ready button properly in
	replay&savegame MP auto set properly the ready button when hosting

2009-06-03  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp: closes 759

2009-06-02  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/serverevents.h, src/tasserver.cpp: 
	correctly parse incoming bitfields for offerfile, fixed build error

2009-06-02  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/serverevents.h, src/tasserver.cpp,
	src/tasserver.h, src/updater/updater.cpp, src/updater/updater.h: 
	almost finished automatic spring update

2009-06-02  Andrea Piras <braindamage@springlobby.info>

	* : commit 676bacd9e193a69b7547be3554ff8c98624bfe4e Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Jun 2 21:04:08 2009
	+0200

2009-06-02  Rene Milk <koshi@springlobby.info>

	* src/ui.cpp: fixes 938

2009-06-02  Rene Milk <koshi@springlobby.info>

	* : commit 7ca069eb5a8eaaee60535f4a24d872b6b46aca27 Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Jun 2 18:08:17 2009 +0200

2009-06-02  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: new gcc4.4 step

2009-06-02  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt:  do not set opt level, defaults to O2 anyways and prevented setting
	 another one

2009-06-02  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: remove moronic extra
	buildstep

2009-06-01  Andrea Piras <braindamage@springlobby.info>

	* : commit eb5cec6eb2bc268e73123d4315e267f359507b9d Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Mon Jun 1 16:00:15 2009
	+0200

2009-06-01  Andrea Piras <braindamage@springlobby.info>

	* src/chatlog.cpp: fixed missing ;

2009-06-01  Andrea Piras <braindamage@springlobby.info>

	* src/playback/savegamelist.cpp: don't read the whole file when
	parsing replays

2009-06-01  Andrea Piras <braindamage@springlobby.info>

	* src/chatlog.cpp: fixed compile

2009-06-01  Andrea Piras <braindamage@springlobby.info>

	* src/chatlog.cpp: use \r\n for line endings in chatlogs in windows

2009-05-31  Andrea Piras <braindamage@springlobby.info>

	* src/playback/savegamelist.cpp: fixed logic

2009-05-31  Andrea Piras <braindamage@springlobby.info>

	* src/playback/savegamelist.cpp: fixed crash in savegame load

2009-05-30  Andrea Piras <braindamage@springlobby.info>

	* configure.ac.m4: patch by hawk78 for configure.ac.m4

2009-05-29  Rene Milk <koshi@springlobby.info>

	* po/ar.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/en_US.po,
	po/es.po, po/fi.po, po/fr.po, po/it.po, po/pl.po, po/pt.po,
	po/ro.po, po/ru.po, po/springlobby.pot, po/sv.po, po/uk.po,
	po/zh_CN.po: Revert "pofile changes" This reverts commit 15fc9907ad2cac724ba05ddaf1831a7d46e7a9ae.

2009-05-29  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix distcheck truly?

2009-05-29  Rene Milk <koshi@springlobby.info>

	* po/ar.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/en_US.po,
	po/es.po, po/fi.po, po/fr.po, po/it.po, po/pl.po, po/pt.po,
	po/ro.po, po/ru.po, po/springlobby.pot, po/sv.po, po/uk.po,
	po/zh_CN.po: pofile changes

2009-05-29  Rene Milk <koshi@springlobby.info>

	* po/POTFILES.in: fix distcheck even more

2009-05-29  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix distcheck more

2009-05-29  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix distcheck

2009-05-29  Andrea Piras <braindamage@springlobby.info>

	* : commit 36eef595e62f7980b9b108fcd42e299afb17a037 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri May 29 17:24:08
	2009 +0200

2009-05-29  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-05-29  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionswrapper.cpp, src/mmoptionswrapper.h, src/spring.cpp: 
	fixed compiling

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionswrapper.cpp, src/mmoptionswrapper.h: fixed typos >_>

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/user.h: fixed initialization order ( removes warnings)

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: fixed typo

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* : commit 5326b0598b7bbfe799c2a9e83892e78212f59aa6 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu May 28 16:43:23
	2009 +0200

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/playback/savegamelist.cpp: don't crash if there is no savegame

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/mainchattab.cpp, src/ui.cpp: removed popup message & brought
	back disconnect message to all chats

2009-05-28  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h: redirect now doesn't popups
	failed to connect message

2009-05-28  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: fixes changeing topic with GUI

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/mmoptionswrapper.cpp,
	src/mmoptionswrapper.h, src/singleplayertab.cpp, src/spring.cpp,
	src/tasserver.cpp: load bot options after adding it

2009-05-27  Rene Milk <koshi@springlobby.info>

	* Makefile.am: yet another autofools fix

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp, src/addbotdialog.h, src/battleroomtab.cpp,
	src/singleplayertab.cpp: locally store AI type

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp, src/user.cpp, src/user.h: fixed typo in user
	status check, added aitype to the user struct

2009-05-27  Rene Milk <koshi@springlobby.info>

	* : commit f325b6eca182751b3181e740501a8edbd97cc54d Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed May 27 23:18:25 2009 +0200

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* src/iunitsync.h, src/springunitsync.cpp, src/springunitsync.h,
	src/springunitsynclib.cpp, src/springunitsynclib.h: added function
	to fetch AI option list

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-05-27  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix autofools compile

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: set isfromdemo flag to server users to false

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: parse script.txt when hosting a replay

2009-05-27  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'tobi/removeallarchives'

2009-05-27  Rene Milk <koshi@springlobby.info>

	* : commit e176485a10c95e9ff990c223cddc8c756d87ba04 Merge: 08a0327
	d160a8a Author: Rene Milk <koshi@springlobby.info> Date:   Wed May
	27 19:51:26 2009 +0200

2009-05-27  Rene Milk <koshi@springlobby.info>

	* src/mmoptionswrapper.cpp: remove unnecessary map copying

2009-05-27  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/mmoptionswrapper.cpp,
	src/mmoptionswrapper.h, src/mmoptionwindows.cpp: constify
	mmoptionswrapper more

2009-05-27  Rene Milk <koshi@springlobby.info>

	* src/nicklistctrl.h: remove never used funcs

2009-05-27  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h, src/sdlsound.cpp,
	src/sdlsound.h, src/server.h, src/socket.cpp, src/socket.h,
	src/spring.cpp, src/spring.h, src/tasserver.cpp, src/tasserver.h: 
	constify

2009-05-26  Tobi Vollebregt <tobivollebregt@gmail.com>

	* src/springunitsynclib.cpp, src/springunitsynclib.h: use new
	unitsync RemoveAllArchives API

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h, src/ui.cpp: set correct
	focus when doing autoconnect

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/lobbyoptionstab.cpp, src/lobbyoptionstab.h,
	src/mainwindow.cpp, src/mainwindow.h, src/ui.cpp: add UI for setting
	starttab

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/chatpanel.cpp, src/mainwindow.h,
	src/settings.cpp, src/settings.h, src/springlobbyapp.cpp: added new
	settings for startab, moved constants for tab idx into mainwindow

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/replay/replaytab.cpp, src/replay/replaytab.h, src/spring.cpp,
	src/spring.h, src/ui.cpp, src/ui.h: fixes #814

2009-05-26  Rene Milk <koshi@springlobby.info>

	* : commit 47526e5032fc44f94f51cc758605e2334e50424f Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue May 26 02:33:20 2009 +0200

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/settings++/Defs.hpp, src/settings++/tab_render_detail.cpp: 
	fixes #853

2009-05-26  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: simplified & improved script.txt generation

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: forst half of ticket 711

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: add switch in createpopup for user specific
	oart

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/ui.cpp, src/ui.h: re-implement old autoconnect behaviour

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp: fixes #891 wrong tooltip content in
	battleroomlisctrl

2009-05-26  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp: makes listctr redraw behave way better
	on win

2009-05-25  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/nicklistctrl.cpp, src/replay/replaylistctrl.cpp,
	src/widgets/downloadlistctrl.cpp: fixes double entry in list until
	first sort issue

2009-05-25  Andrea Piras <braindamage@springlobby.info>

	* src/server.h, src/tasserver.cpp, src/tasserver.h: more timeout
	disconnect fixes

2009-05-25  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: empty buffer before connecting

2009-05-25  Andrea Piras <braindamage@springlobby.info>

	* src/socket.cpp, src/tasserver.cpp: empty socket's buffer after
	disconnect

2009-05-25  Rene Milk <koshi@springlobby.info>

	* : commit 11e46bd74d1dba9a6686da7c6be67eb49511aafa Merge: 1b0ca3e
	cc6e1ae Author: Rene Milk <koshi@springlobby.info> Date:   Mon May
	25 02:01:55 2009 +0200

2009-05-25  Rene Milk <koshi@springlobby.info>

	* src/mapselectdialog.cpp: add note for dragscroll in
	mapselectdialog

2009-05-24  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master' into listctrl-redraw

2009-05-24  Andrea Piras <braindamage@springlobby.info>

	* Makefile.am: typo

2009-05-24  Andrea Piras <braindamage@springlobby.info>

	* Makefile.am: fixed makefile

2009-05-24  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-05-24  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springlobbyapp.cpp,
	src/springoptionstab.cpp, src/springunitsynclib.cpp: spring version
	search a magnitude faster ( no init called ), and done only when
	needed and result cached in ram

2009-05-24  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h: show number of users in a
	channel

2009-05-23  Rene Milk <koshi@springlobby.info>

	* src/images/floppy_icon.png.h, src/mainwindow.cpp: new icon for
	savegame tab

2009-05-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp, src/battleroomtab.h: use checkbox for lock
	status, moved autohost button to manage menu

2009-05-23  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springoptionstab.cpp,
	src/springoptionstab.h: added function to search for spring exec
	only in the current SL folder ( on by default for windows users )

2009-05-23  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: don't force spect bots and yourself with rank
	limit

2009-05-22  Rene Milk <koshi@springlobby.info>

	* : commit 513d0912dfdc59231d9b254487205a3c5880650a Merge: 0c3b8e8
	e8a4ba6 Author: Rene Milk <koshi@springlobby.info> Date:   Fri May
	22 18:11:00 2009 +0200

2009-05-22  Rene Milk <koshi@springlobby.info>

	* : commit 003a5092db9cbb4dff3e678cab3c9ee069a85d17 Merge: 4ae0bed
	0c3b8e8 Author: Rene Milk <koshi@springlobby.info> Date:   Fri May
	22 18:04:55 2009 +0200

2009-05-22  Rene Milk <koshi@springlobby.info>

	* src/settings++/presets.h: fix compile

2009-05-22  Rene Milk <koshi@springlobby.info>

	* : commit 0c3b8e8298ed82d7dc6a4e8f20b2795a04deac6e Merge: 841f12a
	7511d64 Author: Rene Milk <koshi@springlobby.info> Date:   Fri May
	22 10:12:48 2009 +0200

2009-05-21  Rene Milk <koshi@springlobby.info>

	* src/settings++/presets.h: add preset for MaxNanoParticles

2009-05-20  Rene Milk <koshi@springlobby.info>

	* src/settings++/Defs.hpp, src/settings++/tab_abstract.cpp,
	src/settings++/tab_render_detail.cpp,
	src/settings++/tab_render_detail.h: added MaxNanoParticles

2009-05-20  Rene Milk <koshi@springlobby.info>

	* src/settings++/tab_abstract.cpp: simplified opt saving a bit

2009-05-20  Rene Milk <koshi@springlobby.info>

	* src/settings++/Defs.hpp, src/settings++/tab_abstract.cpp,
	src/settings++/tab_audio.cpp, src/settings++/tab_audio.h: added new
	sound options

2009-05-20  Rene Milk <koshi@springlobby.info>

	* src/settings++/Defs.hpp, src/settings++/tab_abstract.cpp,
	src/settings++/tab_debug.cpp: remove stdout opt for debug

2009-05-19  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, tools/buildbot-create-build-dirs.sh: Revert "some
	fixes for cmake mingw build, also trying for buildbot cmake setup" This reverts commit b7ae9fbdec334a38d975dde92362b14a062566a4.  Conflicts: 	tools/buildbot-create-build-dirs.sh

2009-05-19  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: Revert "fix toolchain file
	location" This reverts commit dc8c477e7c710a482885d680cf5fe01477ad5fc6.  Conflicts: 	tools/buildbot-create-build-dirs.sh

2009-05-19  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, tools/buildbot-create-build-dirs.sh: Revert
	"hopefully fix cmake warning and toolchain path" This reverts commit de7f47fe16ec7c7b2024f58ade48772983869765.  Conflicts: 	tools/buildbot-create-build-dirs.sh

2009-05-19  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: Revert "next try" This reverts commit 82e06efac4202e749c9bdb1feecc951c49c4181d.  Conflicts: 	tools/buildbot-create-build-dirs.sh

2009-05-19  Rene Milk <koshi@springlobby.info>

	* dummy: Revert "demo for BD" This reverts commit ff75cea3dc33f76b56a8de2d9ba21e85e7be5d0d.

2009-05-19  Rene Milk <koshi@springlobby.info>

	* dummy: demo for BD

2009-05-19  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'buildbot/master' Conflicts: 	tools/buildbot-create-build-dirs.sh

2009-05-19  Rene Milk <koshi@springlobby.info>

	* dummy: hello #springlobby (hopefully)

2009-05-18  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: next try

2009-05-18  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, tools/buildbot-create-build-dirs.sh: hopefully fix
	cmake warning and toolchain path

2009-05-18  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-create-build-dirs.sh: fix toolchain file location

2009-05-18  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, tools/buildbot-create-build-dirs.sh: some fixes
	for cmake mingw build, also trying for buildbot cmake setup

2009-05-18  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, tools/buildbot-create-build-dirs.sh: some fixes
	for cmake mingw build, also trying for buildbot cmake setup

2009-05-17  Andrea Piras <braindamage@springlobby.info>

	* : commit b30ec1c15dad85267afa772856f61d2fae8f94c2 Merge: fcc6117
	7a16584 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Sun May 17 23:05:12 2009 +0200

2009-05-17  Andrea Piras <braindamage@springlobby.info>

	* src/battleroommmoptionstab.cpp: fixed indentation

2009-05-17  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: removed duplicate (and buggy) map options
	reload that was using modname as argument

2009-05-17  Rene Milk <koshi@springlobby.info>

	* src/mmoptionswrapper.cpp, src/mmoptionswrapper.h: change param
	passing, remove default val

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* : commit ae8bcb92c1ad0c7049a807fba64b03bcd210e778 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat May 16 23:00:43
	2009 +0200

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/tasserver.cpp, src/tasserver.h: brought
	back ping time check, and fixed typo

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/mutexwrapper.h, src/server.cpp, src/server.h,
	src/serverevents.cpp, src/serverevents.h, src/socket.cpp,
	src/socket.h, src/tasserver.cpp, src/tasserver.h: Revert "now ping
	thread is done in server class instead of socket, added ping round
	trip check" This reverts commit 693a1127e4c986dbd707ed6a10172aa531832909.

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/serverevents.h, src/tasserver.cpp,
	src/tasserver.h: Revert "more sane ping behaviour" This reverts commit abbd9cc0f24dbb54ff2452897f31130971782e94.

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h: Revert "enable id tagged
	transmission only after logininfocompleted to workaround a tasserver
	idiocy" This reverts commit 5b2130ee733a374ff52a86404457f1a58ba6d946.

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h: Revert "fixed ping woes for
	good now" This reverts commit 7bdcb38eecb2b4a6c41267949d701f93ea747fd8.

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: use proper iterators instead of int iterator
	for std::vector

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/mainchattab.cpp: don't try to rejoin channels you're already
	in

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: enable config path for all users that don't use
	spring 0.78

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* : commit c1cb2817b21fd21302995a024bd1da2d989277ed Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat May 16 16:27:47
	2009 +0200

2009-05-16  Andrea Piras <braindamage@springlobby.info>

	* : commit 8c918c734c8f7f4b1761b306c9b86154c70d0ef6 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sat May 16 13:18:23
	2009 +0200

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionswrapper.cpp, src/mmoptionswrapper.h: now mmaoptions
	code can accept arbitrary amounts of scopes

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* : commit 1761dd93d7721c7c8393cdddc3b6f2f71b045454 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri May 15 22:10:18
	2009 +0200

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* : commit 866d0899b1c6508b6588cf7b8be667ca04781fe2 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri May 15 21:26:52
	2009 +0200

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp, src/user.cpp, src/user.h, src/userrankdb.cpp,
	src/userrankdb.h: Revert "fixed codeblocks project, now it compiles
	& auto loads ranks when available" This reverts commit 642411ea9fcf7b3f39cde2cbfbb9d7c831608dc5.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomlistctrl.h: Revert "now
	trust & rank can be set in the battleroom" This reverts commit c9256a53238da9c8046f1261f9b2f7dc8489c96c.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp, src/ibattle.cpp, src/ibattle.h,
	src/iunitsync.h, src/springunitsync.cpp, src/springunitsync.h,
	src/user.cpp, src/user.h, src/userrankdb.cpp, src/userrankdb.h: 
	Revert "now everything but battle list & GetBalanceRank can handle
	ranks for different mods" This reverts commit dd21fd215315bff15c704afa1285b6f9b6f08f52.  Conflicts: 	src/spring.cpp

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battleroomlistctrl.cpp,
	src/battleroomlistctrl.h, src/ibattle.cpp, src/ibattle.h,
	src/user.cpp, src/user.h, src/userrankdb.cpp, src/userrankdb.h: 
	Revert "now autobalance uses per mod rank if available, added gui to
	display rank, trust & rank accuracy ( needs more eyecandy )" This reverts commit 03ecd74c69495b62c4ec9b85de169231a4afe518.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: Revert "changed force rank to set
	rank" This reverts commit 63fccdad93de9fc41653d75f78cca72f4d5b675c.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am: Revert "fixed cmakelist & makefile" This reverts commit 292e15218aab89a2c1e345ab5ebe979eb74bb4a8.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: Revert "add separators in right click
	popup menu in the battleroom" This reverts commit a24a6720c033bb3a6f42f5c4e5a0fa0dcefdf015.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/userrankdb.cpp: Revert "actually save &
	load to disk the ranks" This reverts commit 848c198ed151ba54178148dff6cfcb267da01062.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/userrankdb.cpp: Revert "forgot an #include" This reverts commit ec58fd1afe343980c0368680343dfc5d730177ad.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/userrankdb.cpp: Revert "hopefully compiles now" This reverts commit 8c0e8702a678e7bee4fbf610dff4485a03a0847a.

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: fixed function name

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* : commit ec5f21db28770e284fb0a3324449330f39d424ee Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri May 15 21:00:34
	2009 +0200

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/settings++/Defs.hpp, src/settings++/presets.h: fixed unit
	detail name in springsettings, & range, fixed also send debug to
	console name

2009-05-15  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: use --config command line flag in windows too

2009-05-14  Andrea Piras <braindamage@springlobby.info>

	* src/httpdownloader.cpp, src/httpdownloader.h,
	src/updater/updater.cpp: now has optional unzip argument

2009-05-14  Andrea Piras <braindamage@springlobby.info>

	* src/globalevents.cpp, src/updater/updater.cpp: actually compiles
	now

2009-05-14  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/updater/exedownloader.cpp, src/updater/exedownloader.h,
	src/updater/updater.cpp: removed obsolete file

2009-05-14  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp, src/globalevents.cpp, src/globalevents.h,
	src/httpdownloader.cpp, src/httpdownloader.h, src/poolmanager.cpp,
	src/poolmanager.h, src/updater/exedownloader.h,
	src/updater/updater.cpp, src/updater/updater.h: noncompiling
	refactor of threaded downloader so i can be resued in multiple
	places

2009-05-14  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h: fixed ping woes for good now

2009-05-10  Vincenzo Di Massa <vincenzo.dimassa@itsme.it>

	* CMakeLists.txt: install xdg menu item and icon

2009-05-10  Vincenzo Di Massa <vincenzo.dimassa@itsme.it>

	* CMakeLists.txt, cmake/FindGettext.cmake,
	cmake/KWWidgetsInternationalizationMacros.cmake: attempt to fix
	cmake+gettext build&install

2009-05-10  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h: enable id tagged transmission
	only after logininfocompleted to workaround a tasserver idiocy

2009-05-10  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/serverevents.h, src/tasserver.cpp,
	src/tasserver.h: more sane ping behaviour

2009-05-09  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp: fixed c::b project,
	cmake project, makefile

2009-05-09  Andrea Piras <braindamage@springlobby.info>

	* src/mainwindow.cpp: fixed a bit tab layout, still needs new icon
	for savegame tab

2009-05-09  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/ibattle.cpp, src/ibattle.h,
	src/playback/replaylist.cpp, src/playback/savegamelist.cpp,
	src/playback/scriptparser.cpp, src/playback/scriptparser.h,
	src/server.h, src/serverevents.cpp, src/serverevents.h,
	src/tasserver.cpp, src/tasserver.h: script parsing has to be issued
	from within the battle itself added functions to send/recieve the
	battle script from/to clients removed useless separate script parse
	file

2009-05-09  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-05-07  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt: fixed cmake file

2009-05-07  Andrea Piras <braindamage@springlobby.info>

	* src/playback/playbacktab.cpp, src/playback/savegamelist.cpp: now
	launching savegames work

2009-05-07  Andrea Piras <braindamage@springlobby.info>

	* src/playback/scriptparser.cpp: possibily fixed segfaults on script
	parse

2009-05-07  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/playback/savegamelist.cpp: correctly parses savegames infos &
	fixed c::b project, cmakelists & makefile

2009-05-07  Andrea Piras <braindamage@springlobby.info>

	* src/playback/replaylist.cpp, src/playback/replaylist.h,
	src/playback/savegamelist.cpp, src/playback/savegamelist.h,
	src/playback/scriptparser.cpp, src/playback/scriptparser.h: splitted
	script parser to separate header, fixed script.txt extraction from
	savegames

2009-05-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: fixed unmute command

2009-05-04  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h,
	src/playback/playbackthread.cpp, src/playback/savegamelist.cpp,
	src/springlobbyapp.cpp: onstart load works

2009-05-03  Rene Milk <koshi@springlobby.info>

	* : commit 436cbc521cb75c00460805247d2a9f9e7bc60391 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sun May 3 23:32:11 2009 +0200

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* src/playback/playbacktab.cpp: compiles again

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* src/offlinebattle.h, src/playback/playbacktab.cpp,
	src/spring.cpp, src/spring.h, src/ui.cpp, src/ui.h: launch replays &
	savegames using script.txt rather than passing the filename directly

2009-05-03  Rene Milk <koshi@springlobby.info>

	* : commit 351feca7b581bde0ec3d5fc446dcfe135b1b1648 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sun May 3 22:34:35 2009 +0200

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* src/playback/replaylist.cpp: store in the battle class if it's a
	replay or savegame

2009-05-03  Rene Milk <koshi@springlobby.info>

	* src/ibattle.cpp, src/playback/savegamelist.cpp,
	src/playback/savegamelist.h: fix compile err after merge

2009-05-03  Rene Milk <koshi@springlobby.info>

	* : commit a9d34f2b18d3caef85d4decf28cf3b9e7969e50d Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun May 3 21:52:02 2009
	+0200

2009-05-03  Rene Milk <koshi@springlobby.info>

	* : commit 2b0eb7df292d4c10dd096d5659d89c89c54791c6 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sun May 3 21:44:06 2009 +0200

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h, src/offlinebattle.h,
	src/playback/replaylist.cpp, src/playback/replaylist.h: script gets
	saved in the battle itself now, also moved some functionality from
	OfflineBattle to IBattle

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp: now compiles again

2009-05-03  Rene Milk <koshi@springlobby.info>

	* src/playback/playbacklist.cpp, src/playback/playbacklist.h,
	src/playback/playbacktab.cpp, src/playback/replaylist.cpp: change
	func names list to playback instrad of replay

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* src/playback/replaylist.cpp: store the filename of the
	replay/savegame inside the battle class

2009-05-03  Andrea Piras <braindamage@springlobby.info>

	* : commit bad00f9d9a7f2d8eb94a116b85472f3f1b388d78 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun May 3 20:40:30 2009
	+0200

2009-05-03  Rene Milk <koshi@springlobby.info>

	* src/iunitsync.h, src/mapselectdialog.cpp,
	src/playback/playbacklist.cpp, src/playback/playbacklist.h,
	src/playback/playbacktab.cpp, src/playback/playbacktab.h,
	src/playback/playbackthread.cpp, src/playback/playbackthread.h,
	src/playback/replaylist.cpp, src/playback/replaylist.h,
	src/springunitsync.cpp, src/springunitsync.h: re-enabled loader
	functionality

2009-05-03  Rene Milk <koshi@springlobby.info>

	* src/playback/playbacktab.cpp, src/playback/playbacktab.h,
	src/playback/playbackthread.cpp, src/playback/playbackthread.h: - give loader the full Tab type as parent - split loader back in two files

2009-05-03  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp, src/mainwindow.cpp,
	src/mainwindow.h, src/mapselectdialog.h,
	src/playback/playbacklist.cpp, src/playback/playbacklist.h,
	src/playback/playbacklistctrl.cpp, src/playback/playbacklistctrl.h,
	src/playback/playbacktab.h, src/playback/playbacktraits.h,
	src/playback/replaylist.cpp, src/playback/replaylist.h,
	src/singleplayertab.cpp, src/springlobbyapp.cpp: reduce header
	entanglement

2009-05-03  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/playback/playbacklist.cpp,
	src/playback/playbacklist.h, src/playback/replaylist.h: split
	playback class in two files

2009-05-03  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/mainwindow.h,
	src/playback/playbacktab.cpp, src/playback/playbacktab.h,
	src/playback/playbackthread.cpp, src/playback/playbacktraits.h,
	src/playback/replaylist.cpp, src/playback/replaylist.h: compiles
	again

2009-05-02  Rene Milk <koshi@springlobby.info>

	* src/playback/playbackfilter.h, src/playback/playbacktab.cpp,
	src/playback/playbacktab.h, src/playback/playbackthread.h: enum name
	changes

2009-05-02  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.h, src/replay/replaylist.cpp, src/serverevents.cpp,
	src/serverevents.h, src/spring.cpp, src/tasserver.cpp, src/user.h: 
	added isfromdemo user battlestatus property, will be written to
	script.txt added functions to store/recall script.txt for battles
	added functions to set replay/savegame path to write into script.txt

2009-05-02  Rene Milk <koshi@springlobby.info>

	* src/playback/playbackfilter.cpp, src/playback/playbackfilter.h,
	src/playback/playbackfiltervalues.h, src/settings.cpp,
	src/settings.h: some name changes

2009-05-02  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomtab.cpp,
	src/customvirtlistctrl.cpp: remove superflous highlight update and
	freeze/thaw

2009-05-02  Rene Milk <koshi@springlobby.info>

	* src/playback/playbacklistctrl.cpp,
	src/playback/playbacklistctrl.h, src/playback/playbacktab.cpp: old
	functionality should be back

2009-05-02  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp: c::b proj fixed

2009-05-02  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.h, src/playback/playbacklistctrl.cpp,
	src/playback/playbacklistctrl.h, src/playback/playbacktab.cpp,
	src/playback/playbacktab.h: made playbacklistctrl into template
	class too

2009-05-02  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-05-01  Rene Milk <koshi@springlobby.info>

	* src/replay/replayfilter.cpp, src/replay/replayfilter.h,
	src/replay/replaylist.h, src/replay/replaytab.cpp,
	src/replay/replaytab.h: Signed-off-by: Rene Milk
	<koshi@springlobby.info>

2009-05-01  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h,
	src/replay/replayfilter.cpp, src/replay/replayfilter.h,
	src/replay/replaylist.h, src/replay/replaytab.cpp,
	src/replay/replaytab.h, src/spring.cpp, src/spring.h, src/ui.cpp,
	src/ui.h: begun awesome replayX refactor

2009-05-01  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.h, src/replay/replaytab.cpp: fix crash in
	replaylist reload

2009-05-01  Andrea Piras <braindamage@springlobby.info>

	* src/customvirtlistctrl.h: added missing default ctor

2009-04-28  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: preliminary, ugly version to support irc color
	strings

2009-04-28  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.h: fix for VC++ build

2009-04-26  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: remove some lingering wx26 ifdefs

2009-04-26  Andrea Piras <braindamage@springlobby.info>

	* src/filelister/filelistctrl.cpp,
	src/filelister/filelistdialog.cpp: fixed hash sign with torrent
	downloads

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* src/userrankdb.cpp: hopefully compiles now

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* src/userrankdb.cpp: forgot an #include

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp, src/userrankdb.cpp: actually save & load to
	disk the ranks

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: add separators in right click popup
	menu in the battleroom

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am: fixed cmakelist & makefile

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: changed force rank to set rank

2009-04-25  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battleroomlistctrl.cpp,
	src/battleroomlistctrl.h, src/ibattle.cpp, src/ibattle.h,
	src/user.cpp, src/user.h, src/userrankdb.cpp, src/userrankdb.h: now
	autobalance uses per mod rank if available, added gui to display
	rank, trust & rank accuracy ( needs more eyecandy )

2009-04-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp, src/ibattle.cpp, src/ibattle.h,
	src/iunitsync.h, src/spring.cpp, src/springunitsync.cpp,
	src/springunitsync.h, src/user.cpp, src/user.h, src/userrankdb.cpp,
	src/userrankdb.h: now everything but battle list & GetBalanceRank
	can handle ranks for different mods

2009-04-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomlistctrl.h: now trust &
	rank can be set in the battleroom

2009-04-23  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp, src/user.cpp, src/user.h, src/userrankdb.cpp,
	src/userrankdb.h: fixed codeblocks project, now it compiles & auto
	loads ranks when available

2009-04-23  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaylist.cpp, src/tasserver.cpp, src/user.cpp,
	src/user.h, src/userrankdb.cpp, src/userrankdb.h: noncompiling,
	gui-less first attempt to allow users to set their own ranks for
	players

2009-04-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp: don't perform needless ( and wrong )
	operations to countrycode in battleroom listctrl tooltip

2009-04-22  Andrea Piras <braindamage@springlobby.info>

	* src/server.cpp, src/server.h, src/tasserver.cpp: fixed server's
	data containers not getting flushed on disconnect

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* : commit 491089cb28f94beece7260056b698c6fdd645f3f Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Apr 21 23:45:14
	2009 +0200

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayertab.cpp: fixed revert

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaylist.cpp: users in replays are in sync & ready by
	default

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* : commit 164402ec0a8d71ba58a0f35cd18f3a8b3f43c15f Merge: a68c0f9
	96156a6 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Tue Apr 21 23:31:16 2009 +0200

2009-04-21  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp, src/iunitsync.h,
	src/singleplayertab.cpp, src/springunitsync.cpp: Revert "warn user
	when sleceting maps that getting info on failed." This reverts commit d6d70aecb3edb84bfc1fa445bfa8cdc74609b942.  Conflicts: 	src/singleplayertab.cpp

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: Revert "default torrent timeout is now 2
	seconds" This reverts commit 60aeae81c655ea39458f90d66a65df5aee2738e4.

2009-04-20  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: default torrent timeout is now 2 seconds

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/hostbattledialog.cpp: tooltip for relayhost checkbox

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: add default options if groups are missing,
	not only @ first time startup

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: added some default useful groups

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: rephrased statistic info box slightly

2009-04-21  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp, src/springlobbyapp.h,
	src/springoptionstab.cpp, src/springoptionstab.h: datadir prompt is
	no more for new users, now it's a button in the options tab

2009-04-18  Kaot <Kaot@SpringLobby.info>

	* po/de.po: Some Changes in the german Localisation.  Signed-off-by: Kaot <Kaot@SpringLobby.info>

2009-04-13  Kaot <Kaot@SpringLobby.info>

	* po/de.po: Some Changes in the german Localisation.  Signed-off-by: Kaot <Kaot@SpringLobby.info>

2009-04-20  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp, src/springlobbyapp.h: don't call OnExit
	multiple times

2009-04-20  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: default torrent timeout is now 2 seconds

2009-04-17  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: now startrects for nonexistant allyteams-players
	gets written to script.txt too

2009-04-15  Andrea Piras <braindamage@springlobby.info>

	* : commit d6b193164a48642d83de91ac2a4c4a2b096365fc Merge: 9a1e8bc
	e886f76 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Wed Apr 15 18:37:19 2009 +0200

2009-04-15  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master' into config-win

2009-04-13  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-04-12  Rene Milk <koshi@springlobby.info>

	* src/mapctrl.cpp, src/singleplayertab.cpp: astyle
	mapctrl,singelplayertab Signed-off-by: Rene Milk <koshi@springlobby.info>

2009-04-12  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-04-12  Rene Milk <koshi@springlobby.info>

	* : commit 30edcd5fe297b5e856052a4fdabd91e192c1b5b3 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Apr 11 23:06:55 2009 +0200

2009-04-11  Rene Milk <koshi@springlobby.info>

	* src/chatlog.cpp, src/chatlog.h, src/chatpanel.cpp,
	src/mainchattab.cpp: logging bug fixed!

2009-04-11  Rene Milk <koshi@springlobby.info>

	* src/chatlog.cpp, src/chatlog.h, src/chatpanel.cpp,
	src/chatpanel.h, src/mainchattab.cpp, src/mainchattab.h, src/ui.cpp: 
	some work towards fixing logging bug

2009-04-11  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp: don't apply rank limit to bots

2009-04-11  Rene Milk <koshi@springlobby.info>

	* src/socket.cpp: possibly fix all local ip issues

2009-04-11  Rene Milk <koshi@springlobby.info>

	* : commit afd92eb9fcc3b58640d5cce28f83aa255d1e3153 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Apr 11 15:00:24 2009 +0200

2009-04-11  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp, src/iunitsync.h,
	src/singleplayertab.cpp, src/springunitsync.cpp: warn user when
	sleceting maps that getting info on failed.

2009-04-11  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master' Conflicts: 	src/thread.cpp

2009-04-08  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp: fixes #849 (mapname displayed with
	extension)

2009-04-08  Rene Milk <koshi@springlobby.info>

	* : commit 5fafa51ec1980e16ec76b6dc13e79e3538c97855 Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Apr 8 23:31:44 2009 +0200

2009-04-08  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: fixed missing return T_T

2009-04-08  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-04-08  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: ignore relay host managers that are away (
	disabled )

2009-04-07  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: fixed typo appending "@IRC" to
	tizbacbridgebot's talk rather than skipping

2009-04-08  Andrea Piras <braindamage@springlobby.info>

	* Makefile.am, src/iconimagelist.cpp, src/iconimagelist.h,
	src/images/away.xpm, src/images/bot_away.xpm: added bot away status
	icon

2009-04-08  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: ignore relay host managers that are away (
	disabled )

2009-04-07  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: fixed typo appending "@IRC" to
	tizbacbridgebot's talk rather than skipping

2009-04-07  Rene Milk <koshi@springlobby.info>

	* src/settings++/panel_pathoption.cpp, src/springoptionstab.cpp: 
	avoids possible segfault with certain wx/WM combinations

2009-04-07  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: now dedicated server wants hash in unsigned format

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp, src/addbotdialog.h: show infos for the
	default selected AI in addbotdialog

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: gon't append @IRC if the chat is relayed by
	tizbacbridgebot

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: fixed addbotdialog not working with luaai &
	next version of spring

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp: possibly fixed luaai problems with next
	spring version

2009-04-07  Rene Milk <koshi@springlobby.info>

	* src/settings++/panel_pathoption.cpp, src/springoptionstab.cpp: 
	avoids possible segfault with certain wx/WM combinations

2009-04-07  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-04-06  Rene Milk <koshi@springlobby.info>

	* src/Helper/imageviewer.cpp, src/springunitsync.cpp: fixes
	screenshot viewer crashes

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp, src/addbotdialog.h: show infos for the
	default selected AI in addbotdialog

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: gon't append @IRC if the chat is relayed by
	tizbacbridgebot

2009-04-05  Rene Milk <koshi@springlobby.info>

	* src/thread.cpp: averts a crash in Thread dtor

2009-04-05  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylistctrl.cpp, src/replay/replaylistctrl.h,
	src/replay/replaytab.cpp, src/replay/replaytab.h: fixes 820
	(Application crashes when deleting replies)

2009-04-05  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/customvirtlistctrl.cpp,
	src/ibattle.cpp, src/ibattle.h, src/offlinebattle.h,
	src/replay/replaylist.cpp, src/replay/replaylist.h,
	src/replay/replaytab.cpp: fix crash on replay selection

2009-04-05  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: bleh, forgot to commit this

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: call torrent resume only when TLISTDONE
	arrived from torrent tracker

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: fixed addbotdialog not working with luaai &
	next version of spring

2009-04-05  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp: possibly fixed luaai problems with next
	spring version

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/connectwindow.cpp, src/ui.cpp, src/ui.h: registration failed
	because of connection failure now brings a prompt to switch server

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h, src/ui.cpp: server switching
	code actually works now

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: this can actually happend now

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/socket.cpp, src/tasserver.cpp, src/torrentwrapper.cpp: 
	possibly fixed some dtor crashes

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/inetclass.h, src/tasserver.cpp: register socket doesn't attach
	handler -> no more disconnect messages during register

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: use GetServer() instead of m_serv->

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: register works with single server now

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: have a single server instance for now instead of
	keeping new'ing & deleting it

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: compile fix

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: don't leak a server class while registering

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: don't rely on sendcmd to register

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: forgot to commit

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: create a special temp socket for registration
	pourposes

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/server.cpp, src/tasserver.cpp: delete all the (now) useless
	socket checks

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/server.cpp, src/server.h, src/ui.cpp: socket should live as
	long as server class exist, not be spawned before and delete
	separately

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: fixed message dialog having inverted title & message

2009-04-04  Andrea Piras <braindamage@springlobby.info>

	* src/connectwindow.cpp, src/server.h, src/serverevents.cpp,
	src/serverevents.h, src/tasserver.cpp, src/tasserver.h, src/ui.cpp,
	src/ui.h: on connection failure prompt the user to reconnect, do
	nothing or swtch to next server made default server be saved only on
	connectionm success & oly if it's not a fallback server fixed server
	name in server tab displaying hardcoded "TAS Server"

2009-04-03  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: correctly handle infohashes in unsigned
	format

2009-04-03  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'koshi/master'

2009-04-03  Rene Milk <koshi@springlobby.info>

	* : commit 8d163ba35798b0c8ec4b0484d83b05e609275bbc Author: Rene
	Milk <koshi@springlobby.info> Date:   Fri Apr 3 12:29:35 2009 +0200

2009-04-03  Andrea Piras <braindamage@springlobby.info>

	* : commit 840718ab6c9008582d8cff6177eb80e4de96baad Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri Apr 3 02:16:39 2009
	+0200

2009-04-03  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-04-02  Rene Milk <koshi@springlobby.info>

	* : commit 470cdf49bfe577b27f91a64b2ff224e16d0aa313 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Apr 2 23:09:42 2009
	+0200

2009-04-02  Andrea Piras <braindamage@springlobby.info>

	* src/chatoptionstab.cpp, src/chatpanel.cpp, src/serverevents.cpp,
	src/settings.cpp, src/settings.h, src/springlobbyapp.cpp: changed
	how highlighted words are stored internally ( no more ; separated
	list ), now on successful login if the user isn't in highlight list
	it gets auto added

2009-04-02  Rene Milk <koshi@springlobby.info>

	* src/user.cpp: fix user status icon not updated

2009-04-02  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: added back misteriously disappeared for
	loop

2009-04-02  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomlistctrl.h: fix periodic
	auto sort in broomlistctrl

2009-04-02  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: how could this slip trough? :/

2009-04-02  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: fixed build with old libtorrent versions

2009-04-02  Rene Milk <koshi@springlobby.info>

	* : commit 1602c6c761bd9c86e809047b7c279d7d46ab7f4c Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Apr 2 21:41:30 2009
	+0200

2009-04-02  Rene Milk <koshi@springlobby.info>

	* : commit 54f6f32d2b4f1792174c6cc7d958764b8def6d68 Merge: 79f310d
	b33c55d Author: Rene Milk <koshi@springlobby.info> Date:   Thu Apr 2
	21:32:36 2009 +0200

2009-04-02  Rene Milk <koshi@springlobby.info>

	* src/maintorrenttab.cpp, src/widgets/infopanel.cpp,
	src/widgets/widget.cpp: fix non working dl button, wrong save path
	and dialog name

2009-04-02  Andrea Piras <braindamage@springlobby.info>

	* : commit 28c4e45cbe45cdfb21da8734b9c171cc8e5de82e Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Apr 2 21:16:20 2009
	+0200

2009-04-02  Rene Milk <koshi@springlobby.info>

	* : commit a0b058bfd0a9c80f482502bae8e6cab0fe8cea2f Author: Rene
	Milk <koshi@springlobby.info> Date:   Thu Apr 2 00:18:53 2009 +0200

2009-04-01  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaylist.cpp, src/replay/replaythread.cpp: fixed
	include paths

2009-04-01  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomlistctrl.h: sorting and
	highlighting works, status icon broken

2009-04-01  Andrea Piras <braindamage@springlobby.info>

	* : commit c7fd2e0f0c060363c7958872520afefce6b0295d Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Wed Apr 1 23:21:02 2009
	+0200

2009-04-01  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaylist.cpp, src/replay/replaylist.h: reverted the
	change that removed reference fetch in replaylist when adding a new
	replay ( was creating pointers leading nowhere )

2009-04-01  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroomlistctrl.cpp,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp: - remove extra parameter from http://thecoccinella.org/about -  implement highlight for broomlistctrl

2009-04-01  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp: refactor done (minus sorting and
	highlighting)

2009-04-01  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp: got text in the listctrl and no more
	warnings

2009-03-31  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/customvirtlistctrl.cpp,
	src/customvirtlistctrl.h: done with text items

2009-03-31  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp: converting setting list items to
	GetItemText usage

2009-03-31  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomlistctrl.h,
	src/battleroomtab.cpp, src/customvirtlistctrl.cpp,
	src/customvirtlistctrl.h, src/user.cpp, src/user.h: changed
	battleroomlistctrl to virtual style.  compiles, but not more

2009-03-31  Rene Milk <koshi@springlobby.info>

	* src/springunitsync.cpp: fix possible crash with not fully parsed
	mapinfos

2009-03-30  Rene Milk <koshi@springlobby.info>

	* src/utils.cpp, src/utils.h: my idea of a possible fix

2009-03-29  Andrea Piras <braindamage@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp: restrict start
	position choices when in relay host mode, use as default start type
	chose before game

2009-03-29  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaythread.cpp: removed useless space

2009-03-29  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaythread.cpp: don't let 2 concurrent replay threads
	to run

2009-03-29  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaythread.cpp: fixed replay thread crashing when
	being called more than once

2009-03-29  Andrea Piras <braindamage@springlobby.info>

	* : commit 14fdf021762b59c20b0094b88786f831e17f0213 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun Mar 29 00:03:49
	2009 +0100

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/battleroomlistctrl.cpp, src/springlobbyapp.cpp: fix layout and
	missing include

2009-03-28  Rene Milk <koshi@springlobby.info>

	* : commit ed39c1490b35b19578608042ef0519f786c9acd1 Merge: 198e6a9
	21cfd12 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Sat Mar 28 23:20:31 2009 +0100

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* : commit 21cfd12fb07d3ec04f104a19871f30e94eedc172 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Mar 28 23:17:40 2009 +0100

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaythread.cpp: fixed useless segfault check

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaytab.cpp: accidentally committed removal of const

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* src/iunitsync.h, src/mainwindow.cpp, src/mapselectdialog.cpp,
	src/mapselectdialog.h, src/replay/replaylist.cpp,
	src/replay/replaylist.h, src/replay/replaylistctrl.cpp,
	src/replay/replaylistctrl.h, src/replay/replaytab.cpp,
	src/replay/replaytab.h, src/replay/replaythread.cpp,
	src/replay/replaythread.h, src/springlobbyapp.cpp,
	src/springunitsync.cpp, src/springunitsync.h: rewrote huge chunk how
	replays gets loaded

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/springlobbyapp.cpp: move intial load of
	replays

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/replay/replaythread.h: fix utterly stupid mistake

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/replay/replaytab.cpp,
	src/replay/replaytab.h, src/replay/replaythread.cpp,
	src/replay/replaythread.h: run thread from unitsync reloaded

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylist.cpp, src/replay/replaylist.h,
	src/replay/replaytab.cpp, src/replay/replaythread.cpp,
	src/replay/replaythread.h: pass filenames to relaylist thru thread

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/settings++/tab_ui.h: fix springsettings segfaulting

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/replay/replayfilter.cpp, src/replay/replayfilter.h,
	src/replay/replaylist.cpp, src/replay/replaylist.h,
	src/replay/replaytab.cpp, src/replay/replaytab.h,
	src/replay/replaythread.cpp, src/replay/replaythread.h,
	src/springlobbyapp.cpp: - not stupid imp almost works - decoupled replaylist from replaytab - constify data handling in replaytab

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylist.h, src/replay/replaytab.cpp,
	src/replay/replaythread.cpp: stupid imp works

2009-03-28  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/replay/replaylist.cpp, src/replay/replaylist.h,
	src/replay/replaythread.cpp, src/replay/replaythread.h: added stubs
	for new replaythread, also entries in buildsystem

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h, src/springlobbyapp.cpp: now
	SL focus at boot on singleplayer rather than MP so it's more
	intuitive it can work offline

2009-03-28  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-03-28  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-03-28  Rene Milk <koshi@springlobby.info>

	* src/settings++/tab_abstract.cpp: fix initialization error

2009-03-26  Andrea Piras <braindamage@springlobby.info>

	* src/settings++/Defs.hpp: remove the luaui checkbox in
	springsettings

2009-03-28  Rene Milk <koshi@springlobby.info>

	* : commit 6eaf801c8e456b0aafa758c79911064b253a4d0c Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Fri Mar 27 23:42:30
	2009 +0100

2009-03-27  Andrea Piras <braindamage@springlobby.info>

	* src/settings++/Defs.hpp: Revert "remove the luaui checkbox in
	springsettings" This reverts commit df0b6184c7d080869d2ee76fb4f62ecc7e35a1e7.

2009-03-26  Andrea Piras <braindamage@springlobby.info>

	* src/settings++/Defs.hpp: remove the luaui checkbox in
	springsettings

2009-03-25  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: better logic flow in relay host open

2009-03-25  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: fixed autojoin channel conversion putting
	channel name in password field is password wasn't set for the
	channel

2009-03-22  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h, src/ui.cpp: implement /clear
	and euqiv menu entry to clear current chatpanel

2009-03-22  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/settings++/presets.cpp: remove now obsolete presets.cpp

2009-03-22  Rene Milk <koshi@springlobby.info>

	* src/settings++/presets.cpp, src/settings++/presets.h: fixes 816

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylistctrl.cpp: all good

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylistctrl.cpp, src/replay/replaylistctrl.h,
	src/replay/replaytab.cpp: sorting kinda works

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/replay/replaytab.cpp: commented reload time notice

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/replay/replaytab.cpp: filter works again

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/customvirtlistctrl.cpp, src/replay/replaylistctrl.cpp,
	src/replay/replaylistctrl.h, src/replay/replaytab.cpp: sorting still
	does not work

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylistctrl.cpp, src/replay/replaytab.cpp,
	src/replay/replaytab.h: fix 807 and get further along wiht refact

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylist.h, src/replay/replaylistctrl.cpp,
	src/replay/replaylistctrl.h, src/replay/replaytab.cpp,
	src/replay/replaytab.h: type changed to virt, no explosion, no
	replays in list either

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/Helper/wxtextctrlhist.cpp: fixes #772

2009-03-19  Rene Milk <koshi@springlobby.info>

	* src/Helper/wxtextctrlhist.cpp, src/Helper/wxtextctrlhist.h: made
	text control remember text entered before skipping thru history

2009-03-18  Rene Milk <koshi@springlobby.info>

	* AUTHORS, README: Signed-off-by: Rene Milk <koshi@springlobby.info>

2009-03-18  Rene Milk <koshi@springlobby.info>

	* src/Helper/colorbutton.h, src/Helper/listctrl.h,
	src/Helper/sortutil.h, src/Helper/tasclientimport.h,
	src/Helper/wxTranslationHelper.h, src/Helper/wxtextctrlhist.h,
	src/aui/artprovider.h, src/aui/auimanager.h, src/aui/auiutils.h,
	src/channel/autojoinchanneldialog.h, src/channel/channel.h,
	src/channel/channelchooser.h, src/channel/channelchooserdialog.h,
	src/channel/channellist.h, src/channel/channellistctrl.h,
	src/common/events.h, src/filelister/filelistctrl.h,
	src/filelister/filelistdialog.h, src/filelister/filelistfilter.h,
	src/gui/globalauimanager.h, src/replay/replayfilter.h,
	src/replay/replaylist.h, src/replay/replaylistctrl.h,
	src/replay/replaylistfiltervalues.h, src/replay/replaytab.h,
	src/settings++/custom_dialogs.h,
	src/settings++/helpmenufunctions.h, src/updater/exedownloader.h,
	src/updater/updater.h, src/updater/versionchecker.h: SL license fix
	part 2 -- fixes #810

2009-03-18  Rene Milk <koshi@springlobby.info>

	* src/addbotdialog.h, src/agreementdialog.h,
	src/autobalancedialog.h, src/autohost.h, src/autopointers.h,
	src/battle.h, src/battlelist.h, src/battlelistctrl.h,
	src/battlelistfilter.h, src/battlelistfiltervalues.h,
	src/battlelisttab.h, src/battlemaptab.h, src/battleoptionstab.h,
	src/battleroomlistctrl.h, src/battleroommmoptionstab.h,
	src/battleroomtab.h, src/bimap.h, src/chatlog.h,
	src/chatoptionstab.h, src/chatpanel.h, src/connectwindow.h,
	src/countrycodes.h, src/crashreport.h, src/crc.h,
	src/customlistctrl.h, src/customvirtlistctrl.h,
	src/flagimagedata.h, src/flagimages.h, src/globalevents.h,
	src/globalsmanager.h, src/groupoptionspanel.h,
	src/hostbattledialog.h, src/httpdownloader.h, src/ibattle.h,
	src/iconimagelist.h, src/inetclass.h, src/iunitsync.h,
	src/lobbyoptionstab.h, src/mainchattab.h, src/mainjoinbattletab.h,
	src/mainoptionstab.h, src/mainsingleplayertab.h,
	src/maintorrenttab.h, src/mainwindow.h, src/mapctrl.h,
	src/mapgridctrl.h, src/mapselectdialog.h, src/mmoptionmodel.h,
	src/mmoptionswrapper.h, src/mmoptionwindows.h, src/mutexwrapper.h,
	src/nicklistctrl.h, src/nonportable.h, src/offlinebattle.h,
	src/sdlsound.h, src/selectusersdialog.h, src/server.h,
	src/serverevents.h, src/settings.h, src/singleplayerbattle.h,
	src/singleplayertab.h, src/socket.h, src/spring.h,
	src/springlobbyapp.h, src/springoptionstab.h, src/springprocess.h,
	src/springunitsync.h, src/springunitsynclib.h, src/tasserver.h,
	src/tasservertokentable.h, src/tdfcontainer.h, src/thingdef.h,
	src/thread.h, src/torrentlistctrl.h, src/torrentoptionspanel.h,
	src/torrentwrapper.h, src/ui.h, src/uiutils.h,
	src/unitsyncthread.h, src/user.h, src/useractions.h,
	src/userlist.h, src/userlistctrl.h, src/usermenu.h, src/utils.h: SL
	license fix part1

2009-03-18  Rene Milk <koshi@springlobby.info>

	* src/settings++/Defs.hpp, src/settings++/frame.h,
	src/settings++/panel_pathoption.h, src/settings++/presets.h,
	src/settings++/se_utils.h, src/settings++/tab_abstract.h,
	src/settings++/tab_audio.h, src/settings++/tab_debug.h,
	src/settings++/tab_quality_video.h,
	src/settings++/tab_render_detail.h, src/settings++/tab_simple.h,
	src/settings++/tab_ui.h: springsettings license fix

2009-03-18  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: fixed torrent protocol comment

2009-03-16  Rene Milk <koshi@springlobby.info>

	* tools/upload-temp-win-build.sh: i will test bash scripts before
	pushing i will test bash scripts before pushing i will test bash
	scripts before pushing ...

2009-03-16  Rene Milk <koshi@springlobby.info>

	* tools/upload-temp-win-build.sh: missed a "then"

2009-03-16  Rene Milk <koshi@springlobby.info>

	* tools/upload-temp-win-build.sh: more finesse for the win builds

2009-03-16  Rene Milk <koshi@springlobby.info>

	* : commit 01126c999f4460d3ed230804fbb5e606174154d0 Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Mar 16 22:25:56 2009 +0100

2009-03-14  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: properly decode hash quries requests from
	torrent tracker

2009-03-14  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: use proper case to decode incoming hash
	queries from torrent manager

2009-03-14  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: added support for hash queries in torrent
	system

2009-03-12  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: make register answer check be \r\n tolerant too

2009-03-12  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: convert incoming \r\n from buffer into \n if
	the server is acting retarded

2009-03-11  Andrea Piras <braindamage@springlobby.info>

	* : commit 1cd24b3baefac32bbec5c893a5d95c1af8455cc2 Author: Rene
	Milk <koshi@springlobby.info> Date:   Tue Mar 10 23:51:28 2009 +0100

2009-03-11  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/utils.cpp, src/utils.h: removed code
	duplication & fixed broken logic in param splitting

2009-03-10  Rene Milk <koshi@springlobby.info>

	* tools/update-docs.sh: don't be verbose when updating doxygen docs

2009-03-10  Rene Milk <koshi@springlobby.info>

	* Doxyfile: exclude images and sounds subdir from doxygen

2009-03-09  Rene Milk <koshi@springlobby.info>

	* Makefile.am: removed compile flags that i didn't mean to commit

2009-03-09  Rene Milk <koshi@springlobby.info>

	* : commit 5c332567eeb785492f5ec5d2b3f86cc8f7bb09e1 Merge: ebf144c
	f3cc770 Author: Rene Milk <koshi@springlobby.info> Date:   Mon Mar 9
	21:01:26 2009 +0100

2009-03-09  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h: fix nicklist width in
	chatpanels restting with resize/focus events, instead use a fixed
	ratio to grow the two panes

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: bleh, i should compile more often before hitting
	commit

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* : commit 412bb24a068d01572869fc5a4926e9e391c0d060 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun Mar 8 21:50:50 2009
	+0100

2009-03-08  Rene Milk <koshi@springlobby.info>

	* tools/changelog.sh: added the script now acting as post-recieve
	hook on buildbot repo

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/channel/autojoinchanneldialog.cpp, src/settings.cpp: correctly
	list channels

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: don't copy the channel name in the password
	field

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: forgot to commit again >_>

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springlobbyapp.cpp: properly
	convert old channel options

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: changed channels autojoin parent in the settings
	to avoid conflicts

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: bleh, forgot to commit

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: forgot to fix a function

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/channel/autojoinchanneldialog.cpp, src/chatpanel.cpp,
	src/settings.cpp, src/settings.h: channel list now returns a vector
	of a struct rather than a space delimited token

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springlobbyapp.cpp: 
	automatically convert old channel options

2009-03-08  Andrea Piras <braindamage@springlobby.info>

	* src/channel/autojoinchanneldialog.cpp,
	src/channel/autojoinchanneldialog.h, src/chatpanel.cpp,
	src/serverevents.cpp, src/settings.cpp, src/settings.h: changed
	format how channels are stored in settings

2009-03-07  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battleroommmoptionstab.cpp: fix opt
	preset not being saved

2009-03-07  Andrea Piras <braindamage@springlobby.info>

	* src/utils.cpp: nickname sanitizing checks for not being empty

2009-03-07  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: better order in variable assignment

2009-03-07  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: full range of managers allowed now

2009-03-07  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: better relay host manager selection code

2009-03-07  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: skip relay host managers that have ingame
	status, means that they don't have any available hoster slots

2009-03-06  Andrea Piras <braindamage@springlobby.info>

	* src/chatoptionstab.cpp: chat options panel to preview color
	correctly inherits background color now

2009-03-06  Rene Milk <koshi@springlobby.info>

	* Makefile.am: fix distcheck

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/battle.h, src/serverevents.cpp: fixed crash when a user was
	removed from the server before he was leaving the battle he was in

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp, src/ibattle.cpp, src/ibattle.h,
	src/singleplayertab.cpp: no more random crash on user joined battle

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* : commit 6ad32448cd1751c9a776893546f351636c1456d3 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Mar 5 21:25:45 2009
	+0100

2009-03-05  Rene Milk <koshi@springlobby.info>

	* : commit c278e1f4f3d019cb1cf5d9ca05cd87969940b4cc Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Mar 5 17:09:38 2009
	+0100

2009-03-05  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadpanel.cpp: remove extra includes

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: lowercase incoming script tags

2009-03-05  tc- <tommyc@lavabit.com>

	* src/channel/channel.cpp: Fixed compile error in channel.cpp

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/channel/channel.cpp, src/ui.cpp: added /p & /part commands to
	leave current channel

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/channel/channel.cpp, src/ui.cpp: added /p & /part commands to
	leave current channel

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp, src/ui.cpp: when LEAVE is issued as raw
	command, disable the tab, don't close it

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: add all server urls for new users, not just main
	& backup 1

2009-03-05  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: login works again

2009-03-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: incoming commands are case insensitive now

2009-03-04  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: get login nick from ACCEPTED argument

2009-03-04  Andrea Piras <braindamage@springlobby.info>

	* src/Helper/TextCompletionDatabase.cpp: make chat completion case
	insensitive

2009-03-04  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp: removed disk caching for map & mod options

2009-03-04  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: removed useless function

2009-03-04  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed teamspeak command not being sent correctly

2009-03-03  Andrea Piras <braindamage@springlobby.info>

	* src/widgets/infopanel.cpp: fixed #include path

2009-03-02  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadpanel.cpp: remove old includes

2009-03-02  Rene Milk <koshi@springlobby.info>

	* : commit 2308a54f6c889fc4da2bf2853aff10a26ac9ad2a Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Mar 2 23:13:19 2009 +0100

2009-03-02  Rene Milk <koshi@springlobby.info>

	* src/widgets/infopanel.cpp, src/widgets/infopanel.h: layout tweaks

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomlistctrl.cpp, src/battleroomtab.cpp,
	src/hostbattledialog.cpp, src/mapctrl.cpp, src/settings.h: use
	global constant unsigned int rather than hardcoding the same value
	all over the place

2009-03-02  Rene Milk <koshi@springlobby.info>

	* src/Helper/imageviewer.cpp: trim extra vars

2009-03-02  Rene Milk <koshi@springlobby.info>

	* src/Helper/imageviewer.cpp: fix ratio and bg clearing in
	imageviewer

2009-03-02  Rene Milk <koshi@springlobby.info>

	* : commit a450a0fbbbc132b1e5967a89c00a842e788c9245 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Mon Mar 2 20:39:40 2009
	+0100

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: removed boundary checks for max 16 team boxes

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayertab.cpp: removed 16 players limitation in SP

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp, src/uiutils.cpp, src/uiutils.h: moved
	makefit from unitsync to uiutils

2009-03-02  Rene Milk <koshi@springlobby.info>

	* : commit 91df6c9797576943e5a5a3a967596955257aa83a Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Mon Mar 2 13:47:19 2009
	+0100

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaytab.cpp: properly sized userlist in replay tab

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* src/replay/replaytab.cpp: now users are actually shown

2009-03-02  Andrea Piras <braindamage@springlobby.info>

	* : commit ed9696b4e6faedaef7fb0dc822f15dbf64a8bcae Merge: 180eff8
	39eeeab Author: Andrea Piras <braindamage@springlobby.info> Date:
	Mon Mar 2 13:02:46 2009 +0100

2009-03-02  tc- <tommyc@lavabit.com>

	* src/chatpanel.cpp, src/chatpanel.h, src/iconimagelist.cpp,
	src/iconimagelist.h, src/images/channel_options.xpm: Added channel
	options button to chatpanel.

2009-03-02  tc- <tommyc@lavabit.com>

	* : Resolved conflicts

2009-03-01  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: example of how to get "default" menu items into
	custom menu

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: re-enable event handlers for context menu in
	all chatpanels; TODO add to defautl menu instead of replace

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp: recreate right click popup every time it's
	requested, fixes #110

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/lobbyoptionstab.cpp, src/lobbyoptionstab.h,
	src/mainwindow.cpp, src/mainwindow.h, src/settings.cpp,
	src/settings.h: make big tab icons optional, somewhat fixes #712

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/battle.cpp, src/battlelistctrl.cpp,
	src/customvirtlistctrl.cpp, src/mainwindow.cpp, src/mainwindow.h,
	src/nicklistctrl.cpp: fix some warnings

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h: removed no-op function

2009-03-01  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadlistctrl.cpp, src/widgets/downloadpanel.cpp,
	src/widgets/infopanel.cpp, src/widgets/infopanel.h: rework ui layout
	a lot

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/flagimages.cpp: prolly save thousands of compares cause of
	non-set flag strings

2009-02-28  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp: don't cache to disk the sidepic, ram is
	enough

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/Helper/imageviewer.cpp: keeping ratio doesn't work yet

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadpanel.cpp, src/widgets/infopanel.cpp,
	src/widgets/infopanel.h: got rid of additional popups

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/Helper/imageviewer.cpp, src/Helper/imageviewer.h,
	src/mainwindow.cpp, src/widgets/downloadlistctrl.cpp,
	src/widgets/downloadlistctrl.h, src/widgets/downloadpanel.cpp,
	src/widgets/infopanel.cpp: refactor imageviewer

2009-02-28  Rene Milk <koshi@springlobby.info>

	* : commit 973503180e3af59c0624010bdcd521f18b02ab2b Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Feb 28 15:57:39 2009 +0100

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/battlemaptab.cpp, src/battlemaptab.h, src/mapctrl.cpp,
	src/singleplayertab.cpp, src/singleplayertab.h: fixes #675, minimap
	mode display switching non functional on win

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/battlelisttab.cpp, src/battlelisttab.h: show number of
	displayed battles at bottom of battlelisttab

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/torrentoptionspanel.cpp: fixes #759

2009-02-28  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadlistctrl.cpp: fix windows crash

2009-02-28  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, configure.ac.m4: fix linking

2009-02-27  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/Helper/slhtmlwindow.cpp, src/Helper/slhtmlwindow.h,
	src/widgets/infopanel.cpp, src/widgets/infopanel.h: implemented mini
	wrapper for wxHtmlWindow so i can control link clicking behaviour in
	widget info panel

2009-02-27  Rene Milk <koshi@springlobby.info>

	* : commit b5034cd7c68778701f93d45455f27ce6324b594f Merge: 7eb125a
	540fe07 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Fri Feb 27 01:44:09 2009 +0100

2009-02-27  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/channel/channellistctrl.cpp,
	src/customvirtlistctrl.cpp, src/nicklistctrl.cpp: fix stupid init
	mistake for sortorder

2009-02-27  Rene Milk <koshi@springlobby.info>

	* src/widgets/downloadpanel.cpp: sort after populate

2009-02-26  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/widgets/downloadlistctrl.cpp: 
	implement sorting

2009-02-26  Rene Milk <koshi@springlobby.info>

	* src/springunitsync.cpp, src/widgets/downloadlistctrl.cpp: fix
	compile err

2009-02-26  Rene Milk <koshi@springlobby.info>

	* : commit 7eb125af8eea2c1fd25bccdf92d34312d38a71ee Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Feb 26 19:01:12
	2009 +0100

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: automatically PM RelayHostManagerList on login
	to get relay host manager list

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: fixed typo

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: user a bot rather than #autohost topic to list
	relay managers

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: user a bot rather than #autohost topic to list
	relay managers

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/tasserver.cpp: fixed bot ally change not being
	sent

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* : commit 366c61a6be7e99cb1603a3af6b0dc17f096328e9 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Feb 26 00:45:57
	2009 +0100

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-02-26  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: correctly write myplayername when using relayhosts

2009-02-25  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/ibattle.cpp, src/ibattle.h,
	src/spring.cpp: better script generation for relayhosts

2009-02-25  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: save relay host script.txt locally before submitting

2009-02-25  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelistctrl.h: removed legacy code

2009-02-25  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/channel/channellistctrl.cpp,
	src/channel/channellistctrl.h, src/customvirtlistctrl.cpp,
	src/customvirtlistctrl.h, src/nicklistctrl.cpp: autoload/save works

2009-02-25  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/customvirtlistctrl.cpp,
	src/nicklistctrl.cpp, src/nicklistctrl.h: laoding of sortorder
	works, savin fubared

2009-02-25  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/Helper/sortutil.h,
	src/customvirtlistctrl.cpp, src/customvirtlistctrl.h,
	src/nicklistctrl.cpp, src/settings.cpp, src/settings.h: prelim work
	on autoload/save sortorder

2009-02-24  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: fixed font color properties not being applied
	correctly to chat entry box

2009-02-24  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: some sanity checks on commands sent to the
	server

2009-02-24  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: send correct command to the server instead of
	displaying it locally

2009-02-24  Rene Milk <koshi@springlobby.info>

	* src/mainwindow.cpp, src/mainwindow.h, src/nicklistctrl.cpp: set
	focus on manual request pm windows, but prohiibt focus stealing by
	automatics

2009-02-24  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylistctrl.cpp: fix sorting in replaytab for real

2009-02-24  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/chatpanel.h, src/customvirtlistctrl.h: 
	fixes adding user to group via nicklist context menu

2009-02-23  Rene Milk <koshi@springlobby.info>

	* src/replay/replaylistctrl.cpp: fixes CompareUniversal again

2009-02-23  Rene Milk <koshi@springlobby.info>

	* src/battlelistctrl.cpp, src/replay/replaylistctrl.cpp: TODO: fix
	ComapreUniversal disabled in replaylistctrl

2009-02-23  Rene Milk <koshi@springlobby.info>

	* : commit 11195c486457256192aa9957287d25f7bc695583 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Mon Feb 23 03:30:38
	2009 +0100

2009-02-23  Andrea Piras <braindamage@springlobby.info>

	* : commit f7d576425665b584513e4764eeb6976c7ee8e1d3 Merge: 3228c41
	0b709e1 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Mon Feb 23 01:17:17 2009 +0100

2009-02-23  Rene Milk <koshi@springlobby.info>

	* src/torrentwrapper.cpp: use 1 second timeout in torrentwrapper
	dtor

2009-02-23  Rene Milk <koshi@springlobby.info>

	* src/socket.cpp, src/socket.h, src/torrentwrapper.cpp: set  socket
	tiemout to 0 at torrentwrapper dtor start

2009-02-23  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp, src/battleroomtab.h: use editable combobox
	instead of choice box in battleroom or map name won't be show in not
	existing

2009-02-23  Andrea Piras <braindamage@springlobby.info>

	* : commit ab77cd9f85cb4b4ab1b590a55975065841a46785 Merge: ce20238
	658326f Author: Rene Milk <koshi@springlobby.info> Date:   Sun Feb
	22 23:54:04 2009 +0100

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: fixed map combo not being filled with
	default selection on battleroom

2009-02-22  Rene Milk <koshi@springlobby.info>

	* : commit 2d4eb1df4c1457d6d5818e379b88c13371f68e29 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun Feb 22 23:23:25
	2009 +0100

2009-02-22  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp, src/customlistctrl.cpp,
	src/selectusersdialog.cpp: use  wxWindowUpdateLocker instead of
	manually freeze/thaw

2009-02-22  Rene Milk <koshi@springlobby.info>

	* src/Helper/wxtextctrlhist.cpp, src/battlelistctrl.cpp,
	src/battlelistfilter.cpp, src/battlelisttab.cpp,
	src/battlemaptab.cpp, src/battleoptionstab.cpp,
	src/battleroomlistctrl.cpp, src/battleroomtab.cpp,
	src/chatoptionstab.cpp, src/chatpanel.cpp, src/chatpanel.h,
	src/lobbyoptionstab.cpp, src/mainchattab.cpp, src/mainchattab.h,
	src/mainoptionstab.cpp, src/mainoptionstab.h,
	src/mainsingleplayertab.cpp, src/mainsingleplayertab.h,
	src/maintorrenttab.cpp, src/mainwindow.cpp, src/mainwindow.h,
	src/replay/replaytab.cpp, src/settings++/custom_dialogs.cpp,
	src/settings.cpp, src/singleplayertab.cpp, src/socket.cpp,
	src/springlobbyapp.cpp, src/tasserver.cpp,
	src/torrentoptionspanel.cpp, src/ui.cpp, src/utils.h: removed all
	uses of conditional compile for wx 2.6 Signed-off-by: Rene Milk <koshi@springlobby.info>

2009-02-22  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp: remove obsolete code/whitespace

2009-02-22  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp: fixes 679, side selection width not
	corresponding to contents

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: ignore spectators when searching for free map
	spot

2009-02-22  Rene Milk <koshi@springlobby.info>

	* : commit 50ea55650f84f6afeddd6b36677b51df05c7b3c1 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sun Feb 22 20:21:09 2009 +0100

2009-02-22  Rene Milk <koshi@springlobby.info>

	* src/chatpanel.cpp: fixes flood warning resetting SL to one screen

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: if no AI info functionality is available,
	don't waste space in addbot dialog

2009-02-22  Rene Milk <koshi@springlobby.info>

	* : commit fa2c0aeb1efed27080180c4eba33a2f97a5418f4 Merge: 0b7d650
	47b129c Author: Andrea Piras <braindamage@springlobby.info> Date:
	Sun Feb 22 13:11:15 2009 +0100

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp, src/battleroomtab.h: 
	added map combo selector in the battleroom tab too

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp: now clicking on a map
	in a battleroom as client suggests it to the host

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/battlemaptab.cpp, src/battleroomtab.cpp: now clicking on a map
	in a battleroom as client suggests it to the host

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* : commit 3e40af95326971d5656c56ab5e8d778f76627118 Merge: 05c8868
	f3f23b2 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Sun Feb 22 12:25:48 2009 +0100

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/hostbattledialog.cpp: host slider back to 32 max for the
	moment

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/battleroomtab.cpp, src/ibattle.cpp,
	src/ibattle.h: removed bot comsharing checks

2009-02-22  Andrea Piras <braindamage@springlobby.info>

	* : commit 191a431d5592d2cef43625b3680fabc3a9a1d7c1 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Sun Feb 22 12:13:24
	2009 +0100

2009-02-21  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: show infos for default AI too

2009-02-21  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springlobbyapp.cpp,
	src/springlobbyapp.h: removed ota content downloader & prompt

2009-02-21  Andrea Piras <braindamage@springlobby.info>

	* src/addbotdialog.cpp: properly expand the ai infos

2009-02-21  Rene Milk <koshi@springlobby.info>

	* : Merge commit 'bd/master'

2009-02-20  Collin J. Sutton <collin.sutton@gmail.com>

	* src/mapctrl.cpp, src/mapctrl.h: Fixed some drawing glitches for
	expanded user box in SP

2009-02-20  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: fixed compiler error

2009-02-20  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: this only made problems

2009-02-20  Rene Milk <koshi@springlobby.info>

	* src/mainjoinbattletab.cpp, src/mainjoinbattletab.h: remove wx2.6
	legacy code, reorder includes

2009-02-20  Andrea Piras <braindamage@springlobby.info>

	* : commit 62bdcacdf0386bb4b3a3dcb4c425192b38c5ae49 Merge: 0d46952
	44991e0 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Fri Feb 20 02:13:18 2009 +0100

2009-02-20  Andrea Piras <braindamage@springlobby.info>

	* : commit 0d46952c34ed79d9f868be00b7b06ed317561e8f Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Feb 19 23:15:36
	2009 +0100

2009-02-19  Rene Milk <koshi@springlobby.info>

	* src/mapctrl.cpp: only change to cross for horst

2009-02-19  Rene Milk <koshi@springlobby.info>

	* src/mapctrl.cpp, src/mapgridctrl.cpp: - change mouse in mapgridctrl to hand to signal drag capability - change mouse in mapctrl back to cross when mode is chooose ingame

2009-02-19  Andrea Piras <braindamage@springlobby.info>

	* : commit 38794f4c03866facc5956470002176253e0113b8 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Feb 19 20:47:19
	2009 +0100

2009-02-19  Andrea Piras <braindamage@springlobby.info>

	* src/battleoptionstab.cpp, src/battleroomtab.cpp, src/ibattle.cpp,
	src/ibattle.h, src/mmoptionswrapper.cpp, src/serverevents.cpp,
	src/serverevents.h, src/spring.cpp, src/tasserver.cpp: now SL
	handles internally unit limit restrictions with a very dirty
	protocol hax no gui yet

2009-02-19  tc- <tommyc@lavabit.com>

	* src/battle.cpp, src/battleroomlistctrl.cpp, src/iconimagelist.cpp: 
	Fixed some more warnings

2009-02-19  tc- <tommyc@lavabit.com>

	* src/battle.cpp, src/battleroomlistctrl.cpp,
	src/battleroomtab.cpp, src/mainwindow.cpp, src/mmoptionwindows.cpp,
	src/replay/replaytab.cpp: Fixed some warnings

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/mainchattab.cpp: pm's don't steal focus anymore, wooohoo!

2009-02-18  Rene Milk <koshi@springlobby.info>

	* src/chatoptionstab.cpp: fixes 755

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/socket.cpp, src/socket.h: better behaviour of sending socket
	so it handles nonblocking properly

2009-02-18  Rene Milk <koshi@springlobby.info>

	* : commit 9418d39ae3f9114ec8a76a1cdf3e0f53ba587941 Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Feb 18 15:53:16 2009 +0100

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayertab.cpp: use fixed button size to prevent segfault
	in ctor

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayertab.cpp: use right color

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayertab.cpp, src/singleplayertab.h: segfaults on load,
	but should create color selection button in sp + windows :P

2009-02-18  Rene Milk <koshi@springlobby.info>

	* src/springlobby.desktop: fix suse build idiocy

2009-02-18  Rene Milk <koshi@springlobby.info>

	* po/LINGUAS, po/ar.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/en_US.po, po/es.po, po/fi.po, po/fr.po, po/it.po, po/pl.po,
	po/pt.po, po/ro.po, po/ru.po, po/springlobby.pot, po/sv.po,
	po/uk.po, po/zh_CN.po: enable switching back to english

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* : commit c6c692f57f5eb1360795ec175cbf4b511985416d Merge: 5f783f8
	74c5485 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Wed Feb 18 13:09:04 2009 +0100

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: convert action color too

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: fixed idiotic assignment

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: check for queued status, not success to
	remove to resume lists

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: check for queued status, not success to
	remove to resume lists

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp, src/torrentwrapper.h: initial work to
	thread maintenance jobs for torrent system, misses all locks so
	espect it to lock almost always :P

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp, src/torrentwrapper.h: moved dependency
	check queue to torrenttable, changed from vector to set

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: typo >_>

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: hopefully fixed 64 bit problems

2009-02-18  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springlobbyapp.cpp: 
	automatically convert old color format for options to new

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: 2 more missing functions

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: forgot to fix a function

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* : commit d49ac03c5c8bdc4a367670734f3e7440983c4d67 Merge: f6225df
	c939f5c Author: Andrea Piras <braindamage@springlobby.info> Date:
	Tue Feb 17 23:20:57 2009 +0100

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* : commit c939f5c7ec7e579332a342dc8b77bc5705e3bc69 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Feb 17 22:04:25
	2009 +0100

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.h: Revert "Named chat colors WIP" This reverts commit d34b9875eb0387d880753002c55d897bfdcabff2.  Conflicts: 	src/chatpanel.cpp

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.h: Revert "Completed inital changes for color
	getting/setting" This reverts commit 27ad87b8ac18a376592bffa36e0761db80937e66.

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: Revert "Implemented (Get|Set)ChatColor
	functions, added default color map" This reverts commit 1c99be4ba79ff3a6eda8d127744d954f7783d48a.  Conflicts: 	src/settings.cpp

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/chatoptionstab.cpp, src/chatpanel.cpp, src/mainchattab.cpp,
	src/settings.cpp: Revert "Changed GetChatColor* calls to new format" This reverts commit 18bcd87958a5b89845d66815cf2b580e9b541a22.  Conflicts: 	src/chatpanel.cpp

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/updater/updater.cpp: fixed updater message

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp, src/torrentwrapper.h: added automatic
	removal of torrent seeds who didn't transfer any data in the last 2
	minutes

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: access the torrentwrapper using
	GETtorrentwrapper, also remove the queued torrents/seed from the
	copyloop rather than join function

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: check for leech count, not seed

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/socket.cpp: don't use linux specific socket code for other OS
	such as BSD

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: better layout

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp, src/torrentwrapper.h: now leech & seed
	count are handled interally in torrenttable class

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp: remove seed request when you cancel a
	torrent too

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/torrentwrapper.cpp, src/torrentwrapper.h: all torrents are now
	queued by default rather than joined directly on fail they get auto
	removed from the queue/seed list remove torrent now removes queued
	torrents too

2009-02-17  Rene Milk <koshi@springlobby.info>

	* src/battle.cpp, src/channel/channellistctrl.cpp,
	src/mainwindow.cpp, src/mmoptionwindows.cpp, src/user.h: fix some
	warnings

2009-02-17  Rene Milk <koshi@springlobby.info>

	* src/iconimagelist.cpp, src/iconimagelist.h: fixes 674

2009-02-17  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/uiutils.cpp, src/uiutils.h: changed the way
	colors are loaded/saved in the options, this breaks retro
	compatibility but should fix all the 64 bit woes

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: removed #springlobby autojoin removal

2009-02-16  Rene Milk <koshi@springlobby.info>

	* : commit b1b5cf276de31247efb37f8bd28d0c77770756fe Merge: 1f15e2e
	4de3107 Author: Andrea Piras <braindamage@springlobby.info> Date:
	Mon Feb 16 23:17:47 2009 +0100

2009-02-16  Rene Milk <koshi@springlobby.info>

	* src/Helper/tasclientimport.cpp: import works

2009-02-16  Rene Milk <koshi@springlobby.info>

	* src/Helper/tasclientimport.cpp, src/springlobbyapp.cpp: not quite
	working

2009-02-16  tc- <tommyc@lavabit.com>

	* : Merge commit 'bd/master'

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/master'

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayerbattle.cpp, src/singleplayertab.cpp,
	src/singleplayertab.h: added button to chose colour in singleplayer

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/singleplayertab.cpp, src/singleplayertab.h: added spectator
	button in single player

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp, src/mmoptionswrapper.cpp,
	src/mmoptionswrapper.h: added api to fetch default mod/map option,
	now options summary highlights in bold options who are not on
	default

2009-02-16  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, Makefile.am, springlobby.cbp,
	src/Helper/tasclientimport.cpp, src/Helper/tasclientimport.h: added
	new files

2009-02-16  Rene Milk <koshi@springlobby.info>

	* CMakeLists.txt, configure.ac.m4: - up min wx version to 2.8.2 - remove qa lib linking

2009-02-16  Rene Milk <koshi@springlobby.info>

	* Makefile.am: added notice for new EXTRA_DIST part

2009-02-16  Rene Milk <koshi@springlobby.info>

	* src/settings.cpp: fixes #724, not returning all possible unitsync
	finds on linux

2009-02-16  Rene Milk <koshi@springlobby.info>

	* : commit 22df5daf0a25570afb13aee2125c4aba55a87264 Author: Rene
	Milk <koshi@springlobby.info> Date:   Mon Feb 16 17:35:35 2009 +0100

2009-02-16  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h: 
	revert dirty

2009-02-16  Rene Milk <koshi@springlobby.info>

	* Makefile.am: maybe fix template file issue

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: only add #main autojoin if #springlobby
	was previously there

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: don't allow the user change map size :P

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: disable option set for the clients

2009-02-16  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionwindows.cpp: use whole option popup size for the
	control

2009-02-15  Rene Milk <koshi@springlobby.info>

	* po/POTFILES.in, po/ar.po, po/cs.po, po/da.po, po/de.po, po/el.po,
	po/es.po, po/fi.po, po/fr.po, po/it.po, po/pl.po, po/pt.po,
	po/ro.po, po/ru.po, po/springlobby.pot, po/sv.po, po/uk.po,
	po/zh_CN.po: some pot updates

2009-02-15  Rene Milk <koshi@springlobby.info>

	* Makefile.am, src/battleroommmoptionstab.cpp,
	src/battleroommmoptionstab.h: temp fix template file compile thing Conflicts: 	src/battleroommmoptionstab.h

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroommmoptionstab.h: 
	FUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUUCKKKKKKKKKK

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* Makefile.am: FUUUUCK

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* CMakeLists.txt, Makefile.am: fixed buildsystemsfor missing files

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: temp disabled prefetching in windows, TODO:
	revert this

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/settings.h, src/springlobbyapp.cpp: bumped options version,
	removed SL channel autojoin for old users, replaced with #main ( can
	always be added back afterwards )

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: add #main autojoin for new users, not
	springlobby or #springlobby would become new main -.-

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: added tooltip on options summary

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionwindows.cpp: no more crash on ok on options popup

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionwindows.cpp: fixed popup layout

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionwindows.cpp: typo

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/mmoptionwindows.cpp: send host info on ok

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp: added new files to c::b project wrt option popups

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: don't show the dialog for invalid options

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: dialog shows

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroommmoptionstab.h, src/battleroomtab.cpp,
	src/battleroomtab.h, src/mmoptionmodel.h, src/mmoptionwindows.cpp,
	src/mmoptionwindows.h: experimental options popup window on list
	double click, it should work, but doesn't atm

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp, src/tasserver.cpp: put \\n <-> \n conversions
	on tasserver class, fixed relay host functionality

2009-02-15  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: use correct background for options summary,
	size correctly columns so they never get an horizontal scollbar

2009-02-13  Rene Milk <koshi@springlobby.info>

	* src/battleroomtab.cpp: minor layout adj.

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp: some layout improvements in battleroom

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* : Merge commit 'koshi/template_mmoptionspanel'

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroomtab.cpp,
	src/battleroomtab.h: added preset managing from the main battle
	panel too

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/battleroomtab.cpp, src/iunitsync.h, src/mmoptionmodel.cpp,
	src/mmoptionmodel.h, src/mmoptionswrapper.cpp: removed useless int
	option type, switched startpostype to list, now options summary uses
	full name rather than shortname

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp, src/tasserver.h: cleanup in relay hosting code

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/battlelistctrl.cpp, src/battlelisttab.cpp,
	src/channel/channellistctrl.cpp, src/chatlog.cpp,
	src/chatpanel.cpp, src/crashreport.cpp,
	src/filelister/filelistctrl.cpp, src/httpdownloader.cpp,
	src/ibattle.cpp, src/mainchattab.cpp, src/mainjoinbattletab.cpp,
	src/maintorrenttab.cpp, src/mainwindow.cpp,
	src/mmoptionswrapper.cpp, src/nicklistctrl.cpp,
	src/replay/replaylist.cpp, src/replay/replaylistctrl.cpp,
	src/serverevents.cpp, src/settings.cpp, src/socket.cpp,
	src/springlobbyapp.cpp, src/springunitsync.cpp,
	src/springunitsynclib.cpp, src/tdfcontainer.cpp, src/ui.cpp,
	src/unitsyncthread.cpp, src/updater/exedownloader.cpp,
	src/updater/updater.cpp, src/userlistctrl.cpp, src/utils.cpp: fixed
	mixed doxygen vs c++ comments in the repo

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: fixed comment types

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: disable token mode by default, not enable -.-

2009-02-13  Andrea Piras <braindamage@springlobby.info>

	* springlobby.cbp: forgot to commit c::b project changes

2009-02-12  Andrea Piras <braindamage@springlobby.info>

	* src/tasservertokentable.h: fixed segfault on login ( missing
	iterator init )

2009-02-12  Andrea Piras <braindamage@springlobby.info>

	* Makefile.am, src/tasserver.cpp, src/tasservertokentable.h: moved
	token table from tasserver class to separate header file

2009-02-12  Andrea Piras <braindamage@springlobby.info>

	* : commit fb26a43d13994e249a71bac702cb49faebe969b7 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Thu Feb 12 19:59:32
	2009 +0100

2009-02-11  Rene Milk <koshi@springlobby.info>

	* : commit d4b7601a2748b32c867d56a744d8b3c46a445bf2 Author: Rene
	Milk <koshi@springlobby.info> Date:   Wed Feb 11 16:11:31 2009 +0100

2009-02-11  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: fix template class

2009-02-11  Rene Milk <koshi@springlobby.info>

	* : commit 737c9646b8530987d0751723aa6792e8db515377 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Feb 10 21:13:06
	2009 +0100

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/mapctrl.cpp: enabled accumulated metal map generation in SP
	too, this will generate small slowdown the first time but should
	perform identically to MP now ( plus someday the feature could be
	used in SP too )

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/mapctrl.cpp: don't let the user move the positions in read
	only mode

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: correctly parse teams

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: only generate a new pos if you're the host

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: send correctly player start pos

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h, src/mapctrl.cpp: use UserPos
	properly

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: send to users their position on join

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/serverevents.cpp: server lowercases incoming tags, fixed
	parsing

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h, src/singleplayertab.cpp: free
	teams, ally & color shouldn't be searched for bots

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp, src/ibattle.h: new users don't override the
	host's ally, color, handicap, etc

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/battle.h, src/ibattle.cpp, src/ibattle.h,
	src/mapctrl.cpp, src/replay/replaylist.cpp, src/server.h,
	src/serverevents.cpp, src/spring.cpp, src/tasserver.cpp,
	src/tasserver.h, src/ui.h, src/user.cpp, src/user.h: experimental
	support to send/recieve user positions on the server

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/mapctrl.cpp, src/mapctrl.h: use enums, not constant ints

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/mapctrl.cpp: fixed function naming wtf

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/mapctrl.cpp: forgot to commit a rename

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/mapctrl.cpp, src/mapctrl.h: renamed function & removed useless
	code

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* : commit 12072cf0aaeb0815e6865ec11798b15db604c391 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Feb 10 16:02:56
	2009 +0100

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* : commit e5df69bdfb778383069928d7410852d0458e13e0 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Feb 10 15:37:07
	2009 +0100

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* : commit fd80b18c254218b65fc1f3816c068fe6d72df822 Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Tue Feb 10 15:24:16
	2009 +0100

2009-02-10  Andrea Piras <braindamage@springlobby.info>

	* src/springunitsync.cpp: now modoptions handle newlines gracefully
	rather than stripping them

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: move tip window above cursor

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: now using flat button Signed-off-by: Rene Milk <koshi@springlobby.info>

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: use tipwindow instead of
	messagebox

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: fix layout a little

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h: 
	remove button on reload

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h: new
	mapping works

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp: bleh mapping Ids to ifo doesn't
	work; ids aren't unique

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h: use
	map for info strings (so itfunctionality won#t be affected by
	tooltip setting)

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h: 
	proof of concept impl

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp: more cleanup

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp: fix locale copy error

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/updater/updater.cpp: remove debug code

2009-02-10  Rene Milk <koshi@springlobby.info>

	* src/updater/exedownloader.cpp, src/updater/updater.cpp,
	src/updater/updater.h: fixes subdir extraction / copying locale dir

2009-02-09  Andrea Piras <braindamage@springlobby.info>

	* src/ibattle.cpp: clear start rects when leaving a battle

2009-02-09  Rene Milk <koshi@springlobby.info>

	* src/utils.cpp, src/utils.h: adds copydir function and re-organizes
	includes

2009-02-09  Rene Milk <koshi@springlobby.info>

	* src/lobbyoptionstab.cpp, src/lobbyoptionstab.h: remove the lang
	selector from optionstab

2009-02-08  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: locale working on win

2009-02-08  Andrea Piras <braindamage@springlobby.info>

	* src/ui.cpp: enable sorting while ingame too

2009-02-07  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-add-locale-win-zip.sh: fix path error in new scipt

2009-02-07  Rene Milk <koshi@springlobby.info>

	* tools/buildbot-add-locale-win-zip.sh: addded new bbot script

2009-02-07  Rene Milk <koshi@springlobby.info>

	* configure.ac.m4: go back to win2k build flag

2009-02-07  Rene Milk <koshi@springlobby.info>

	* : commit a223d37786b8b187860ca733d2b2c25cd9b36461 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Feb 7 17:00:56 2009 +0100

2009-02-07  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: fixed segfault on cancel on locale select

2009-02-07  Rene Milk <koshi@springlobby.info>

	* src/springlobbyapp.cpp: fix freeze on exit

2009-02-07  Rene Milk <koshi@springlobby.info>

	* src/Helper/wxTranslationHelper.cpp, src/springlobbyapp.cpp: 
	workaround for locale lookup path on linux

2009-02-07  Rene Milk <koshi@springlobby.info>

	* : commit ddc01781e70b09179cd2f45101e6314a37b8ca32 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Feb 7 03:59:23 2009 +0100

2009-02-07  Rene Milk <koshi@springlobby.info>

	* ABOUT-NLS, ChangeLog, configure.ac.m4, m4/codeset.m4,
	m4/gettext.m4, m4/glibc21.m4, m4/iconv.m4, m4/intdiv0.m4,
	m4/intmax.m4, m4/inttypes-pri.m4, m4/inttypes_h.m4,
	m4/lcmessage.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	m4/longlong.m4, m4/nls.m4, m4/po.m4, m4/printf-posix.m4,
	m4/progtest.m4, m4/size_max.m4, m4/stdint_h.m4, m4/uintmax_t.m4,
	m4/wchar_t.m4, m4/wint_t.m4, m4/xsize.m4, po/ChangeLog,
	po/Makefile.in.in: - fixes gettext not found on my box - set req. gettext version to 0.17 - ran gettextize in top dir - that updated m4 macros

2009-02-06  Rene Milk <koshi@springlobby.info>

	* src/settings.h: fix merge error

2009-02-06  Andrea Piras <braindamage@springlobby.info>

	* src/autohost.cpp, src/battleroomtab.cpp,
	src/hostbattledialog.cpp, src/serverevents.cpp: removed player limit
	checks

2009-02-06  Rene Milk <koshi@springlobby.info>

	* : commit 7d6885878a364d5ff41d8d5118a5576d3cf421f8 Merge: e337527
	d1bd8b6 Author: Rene Milk <koshi@springlobby.info> Date:   Fri Feb 6
	02:00:41 2009 +0100

2009-02-05  Andrea Piras <braindamage@springlobby.info>

	* src/battle.cpp, src/hostbattledialog.cpp, src/tasserver.cpp,
	src/user.cpp, src/user.h: hopefully fixed rank problems for good

2009-02-05  Andrea Piras <braindamage@springlobby.info>

	* src/iconimagelist.cpp, src/tasserver.cpp: server ranks start by 0,
	not 1

2009-02-05  Andrea Piras <braindamage@springlobby.info>

	* src/hostbattledialog.cpp, src/iconimagelist.cpp,
	src/serverevents.cpp: fixed minrank detection

2009-02-04  Rene Milk <koshi@springlobby.info>

	* src/mapselectdialog.cpp, src/mapselectdialog.h, src/settings.cpp,
	src/settings.h: remember filter radio choice too

2009-02-04  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: better default color for join/part

2009-02-04  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp: create defaults when reading values & they
	aren't present

2009-02-04  Rene Milk <koshi@springlobby.info>

	* : commit ad274b3a79cbb301e1a46f5b4f5d462253a5dc72 Author: Tobi
	Vollebregt <tobivollebregt@gmail.com> Date:   Wed Feb 4 22:07:36
	2009 +0100

2009-02-04  Tobi Vollebregt <tobivollebregt@gmail.com>

	* src/mapgridctrl.cpp, src/mapgridctrl.h, src/mapselectdialog.cpp,
	src/mapselectdialog.h: mapsel: Fixed applying sort order as early as
	in OnInit.  For this, MapGridCtrl raises a LoadingCompletedEvt so that
	MapSelectDialog can re-issue UpdateSortAndFilter().

2009-02-04  Rene Milk <koshi@springlobby.info>

	* src/mapselectdialog.cpp, src/mapselectdialog.h: - remember maspel dialog size - make dtor wxsmith compatible

2009-02-04  Rene Milk <koshi@springlobby.info>

	* src/mapselectdialog.cpp: move setting the labels on sort direction
	buttons to OnInit

2009-02-04  Rene Milk <koshi@springlobby.info>

	* src/mapselectdialog.cpp, src/settings.cpp, src/settings.h: 
	remembers direction and seleced key

2009-02-04  Rene Milk <koshi@springlobby.info>

	* : commit 4fd139a318416db561bc7ec7092d0efcb67e421b Author: Andrea
	Piras <braindamage@springlobby.info> Date:   Wed Feb 4 16:34:18 2009
	+0100

2009-02-04  Andrea Piras <braindamage@springlobby.info>

	* src/chatpanel.cpp: show multiple chained newlines in topics

2009-02-02  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h: fixed windows build

2009-02-02  Andrea Piras <braindamage@springlobby.info>

	* src/springlobbyapp.cpp: fixed typo >_>

2009-02-02  Andrea Piras <braindamage@springlobby.info>

	* src/settings.cpp, src/settings.h, src/springlobbyapp.cpp: fixed
	some bool checks

2009-02-02  Andrea Piras <braindamage@springlobby.info>

	* src/settings++/se_utils.cpp, src/settings.cpp, src/settings.h,
	src/springlobbyapp.cpp, src/utils.cpp, src/utils.h: fixed importing
	of default/global config

2009-02-01  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h,
	src/singleplayerbattle.cpp: fixes MP too

2009-02-01  Rene Milk <koshi@springlobby.info>

	* springlobby.cbp, src/ibattle.cpp, src/settings.cpp,
	src/singleplayerbattle.cpp: fixes preset loading in SP

2009-02-01  Andrea Piras <braindamage@springlobby.info>

	* src/tasserver.cpp: remove automatic find ip aliases on server
	message

2009-02-01  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h,
	src/mainjoinbattletab.cpp, src/mainjoinbattletab.h,
	src/mainsingleplayertab.cpp, src/mainsingleplayertab.h: 
	Signed-off-by: Rene Milk <koshi@springlobby.info>

2009-01-31  Collin J. Sutton <collin.sutton@gmail.com>

	* src/mapctrl.cpp, src/utils.h: Some minor readability improvements P.S. Yes, I do know some LISP.  What makes you ask?? <_<   >_>

2009-01-31  Collin J. Sutton <collin.sutton@gmail.com>

	* src/mapctrl.cpp, src/mapctrl.h, src/user.h: Started reworking some
	MapCtrl stuff for sanity, clarity

2009-01-31  Collin J. Sutton <collin.sutton@gmail.com>

	* : commit 3e0ffdbb17c478e3932b48ae3ba8d78a3fc69699 Author: Collin
	J. Sutton <collin.sutton@gmail.com> Date:   Sat Jan 31 14:37:31 2009
	-0800

2009-01-31  Rene Milk <koshi@springlobby.info>

	* : commit 877e40b7e8d21bfb608bc871533b543b62719af2 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Jan 31 19:00:58 2009 +0100

2009-01-31  Rene Milk <koshi@springlobby.info>

	* : commit 27700d05c80547dc999f11b97600d20e76addc39 Author: Rene
	Milk <koshi@springlobby.info> Date:   Sat Jan 31 14:11:44 2009 +0100

2009-01-31  Rene Milk <koshi@springlobby.info>

	* src/chatoptionstab.cpp, src/lobbyoptionstab.cpp,
	src/springoptionstab.cpp: harmonize sizer spacing throughout option
	tabs

2009-01-31  Rene Milk <koshi@springlobby.info>

	* src/battleroommmoptionstab.cpp, src/battleroommmoptionstab.h: fix
	minor layout issue inmmoptionstab

2009-01-30  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: even better layout of script.txt

2009-01-30  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: improved slightly generated script.txt on
	readbility

2009-01-30  Andrea Piras <braindamage@springlobby.info>

	* src/spring.cpp: fixed script generation troubles when there are
	spectators and there is no team0

